#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1043
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 197
#define ALIAS_COUNT 1
#define TOKEN_COUNT 95
#define EXTERNAL_TOKEN_COUNT 25
#define FIELD_COUNT 29
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 58

enum ts_symbol_identifiers {
  anon_sym_LT_BANG = 1,
  aux_sym_doctype_token1 = 2,
  anon_sym_GT = 3,
  sym__doctype = 4,
  anon_sym_LT = 5,
  anon_sym_SLASH_GT = 6,
  anon_sym_LT_SLASH = 7,
  sym_attribute_name = 8,
  sym_attribute_value = 9,
  sym_entity = 10,
  anon_sym_SQUOTE = 11,
  aux_sym_quoted_attribute_value_token1 = 12,
  anon_sym_DQUOTE = 13,
  aux_sym_quoted_attribute_value_token2 = 14,
  sym_text = 15,
  anon_sym_LBRACE = 16,
  anon_sym_RBRACE = 17,
  anon_sym_SEMI = 18,
  anon_sym_LPAREN = 19,
  anon_sym_RPAREN = 20,
  anon_sym_prefetch = 21,
  anon_sym_when = 22,
  anon_sym_on = 23,
  anon_sym_after = 24,
  anon_sym_minimum = 25,
  anon_sym_ms = 26,
  anon_sym_s = 27,
  anon_sym_of = 28,
  anon_sym_track = 29,
  anon_sym_let = 30,
  anon_sym_COMMA = 31,
  anon_sym_as = 32,
  anon_sym_EQ = 33,
  anon_sym_plural = 34,
  anon_sym_select = 35,
  sym_icu_category = 36,
  anon_sym_PLUS = 37,
  anon_sym_STAR = 38,
  anon_sym_COLON = 39,
  anon_sym_else = 40,
  anon_sym_context = 41,
  anon_sym_LBRACK = 42,
  anon_sym_RBRACK = 43,
  anon_sym_LBRACK_LPAREN = 44,
  anon_sym_RPAREN_RBRACK = 45,
  anon_sym_LBRACK_AT = 46,
  anon_sym_BANG = 47,
  anon_sym_QMARK = 48,
  anon_sym_QMARK_QMARK = 49,
  anon_sym_PIPE_PIPE = 50,
  anon_sym_AMP_AMP = 51,
  anon_sym_PIPE = 52,
  sym_identifier = 53,
  sym__escape_sequence = 54,
  aux_sym_string_token1 = 55,
  aux_sym_string_token2 = 56,
  sym_number = 57,
  anon_sym_DOT = 58,
  anon_sym_QMARK_DOT = 59,
  anon_sym_BANG_DOT = 60,
  sym__closing_bracket = 61,
  anon_sym_DASH = 62,
  anon_sym_SLASH = 63,
  anon_sym_PERCENT = 64,
  anon_sym_EQ_EQ = 65,
  anon_sym_EQ_EQ_EQ = 66,
  anon_sym_BANG_EQ = 67,
  anon_sym_BANG_EQ_EQ = 68,
  anon_sym_LT_EQ = 69,
  anon_sym_GT_EQ = 70,
  sym__start_tag_name = 71,
  sym__script_start_tag_name = 72,
  sym__style_start_tag_name = 73,
  sym__end_tag_name = 74,
  sym_erroneous_end_tag_name = 75,
  sym__implicit_end_tag = 76,
  sym_raw_text = 77,
  sym_comment = 78,
  sym__interpolation_start = 79,
  sym__interpolation_end = 80,
  sym_if_start = 81,
  sym_else_start = 82,
  sym_for_start = 83,
  sym_switch_start = 84,
  sym_case_start = 85,
  sym_default_start = 86,
  sym_defer_start = 87,
  sym_let_start = 88,
  sym_empty_start = 89,
  sym_placeholder_start = 90,
  sym_loading_start = 91,
  sym_error_start = 92,
  sym_else_if_start = 93,
  sym_at_sign = 94,
  sym_document = 95,
  sym_doctype = 96,
  sym__node = 97,
  sym_element = 98,
  sym_script_element = 99,
  sym_style_element = 100,
  sym_start_tag = 101,
  sym_script_start_tag = 102,
  sym_style_start_tag = 103,
  sym_self_closing_tag = 104,
  sym_end_tag = 105,
  sym_erroneous_end_tag = 106,
  sym_attribute = 107,
  sym_quoted_attribute_value = 108,
  sym_statement_block = 109,
  sym__any_statement = 110,
  sym__alternative_statement = 111,
  sym_let_statement = 112,
  sym_switch_statement = 113,
  sym_switch_body = 114,
  sym_case_statement = 115,
  sym_default_statement = 116,
  sym_defer_statement = 117,
  sym_placeholder_statement = 118,
  sym_loading_statement = 119,
  sym_error_statement = 120,
  sym_defer_trigger = 121,
  sym_placeholder_minimum = 122,
  sym_loading_condition = 123,
  sym_defer_trigger_condition = 124,
  sym_timed_expression = 125,
  sym_for_statement = 126,
  sym_empty_statement = 127,
  sym_for_declaration = 128,
  sym_for_reference = 129,
  sym_if_statement = 130,
  sym_else_if_statement = 131,
  sym_else_statement = 132,
  sym_if_condition = 133,
  sym_if_reference = 134,
  sym__any_expression = 135,
  sym_assignment_expression = 136,
  sym_icu_expression = 137,
  sym_icu_clause = 138,
  sym_icu_case = 139,
  sym_interpolation = 140,
  sym_concatenation_expression = 141,
  sym_structural_directive = 142,
  sym_structural_expression = 143,
  sym_structural_declaration = 144,
  sym_structural_assignment = 145,
  sym__alias = 146,
  sym__else_template_expression = 147,
  sym__context_expression = 148,
  sym_property_binding = 149,
  sym_event_binding = 150,
  sym_two_way_binding = 151,
  sym_animation_binding = 152,
  sym__binding_assignment = 153,
  sym_binding_name = 154,
  sym__normal_attribute = 155,
  sym_expression = 156,
  sym_unary_expression = 157,
  sym_binary_expression = 158,
  sym_ternary_expression = 159,
  sym_nullish_coalescing_expression = 160,
  sym_conditional_expression = 161,
  sym_pipe_sequence = 162,
  sym_pipe_call = 163,
  sym_pipe_arguments = 164,
  sym__pipe_argument = 165,
  sym__primitive = 166,
  sym_object = 167,
  sym_pair = 168,
  sym_array = 169,
  sym_string = 170,
  sym_group = 171,
  sym_call_expression = 172,
  sym_arguments = 173,
  sym_member_expression = 174,
  sym_bracket_expression = 175,
  sym_static_member_expression = 176,
  sym__single_quote = 177,
  sym__double_quote = 178,
  sym__binary_op = 179,
  aux_sym_document_repeat1 = 180,
  aux_sym_start_tag_repeat1 = 181,
  aux_sym_switch_body_repeat1 = 182,
  aux_sym_defer_trigger_repeat1 = 183,
  aux_sym_for_reference_repeat1 = 184,
  aux_sym_if_statement_repeat1 = 185,
  aux_sym_icu_expression_repeat1 = 186,
  aux_sym_concatenation_expression_repeat1 = 187,
  aux_sym_structural_declaration_repeat1 = 188,
  aux_sym__binding_assignment_repeat1 = 189,
  aux_sym_pipe_sequence_repeat1 = 190,
  aux_sym_pipe_arguments_repeat1 = 191,
  aux_sym_object_repeat1 = 192,
  aux_sym_array_repeat1 = 193,
  aux_sym_string_repeat1 = 194,
  aux_sym_string_repeat2 = 195,
  aux_sym_arguments_repeat1 = 196,
  alias_sym_conditional_operator = 197,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_LT_BANG] = "<!",
  [aux_sym_doctype_token1] = "doctype_token1",
  [anon_sym_GT] = ">",
  [sym__doctype] = "doctype",
  [anon_sym_LT] = "<",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_LT_SLASH] = "</",
  [sym_attribute_name] = "attribute_name",
  [sym_attribute_value] = "attribute_value",
  [sym_entity] = "entity",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_quoted_attribute_value_token1] = "attribute_value",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_quoted_attribute_value_token2] = "attribute_value",
  [sym_text] = "text",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_SEMI] = ";",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_prefetch] = "prefetch_keyword",
  [anon_sym_when] = "special_keyword",
  [anon_sym_on] = "special_keyword",
  [anon_sym_after] = "special_keyword",
  [anon_sym_minimum] = "special_keyword",
  [anon_sym_ms] = "unit",
  [anon_sym_s] = "unit",
  [anon_sym_of] = "special_keyword",
  [anon_sym_track] = "special_keyword",
  [anon_sym_let] = "special_keyword",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "special_keyword",
  [anon_sym_EQ] = "=",
  [anon_sym_plural] = "plural",
  [anon_sym_select] = "select",
  [sym_icu_category] = "icu_category",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_COLON] = ":",
  [anon_sym_else] = "special_keyword",
  [anon_sym_context] = "special_keyword",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACK_LPAREN] = "[(",
  [anon_sym_RPAREN_RBRACK] = ")]",
  [anon_sym_LBRACK_AT] = "[@",
  [anon_sym_BANG] = "unary_operator",
  [anon_sym_QMARK] = "ternary_operator",
  [anon_sym_QMARK_QMARK] = "coalescing_operator",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "pipe_operator",
  [sym_identifier] = "identifier",
  [sym__escape_sequence] = "_escape_sequence",
  [aux_sym_string_token1] = "string_token1",
  [aux_sym_string_token2] = "string_token2",
  [sym_number] = "number",
  [anon_sym_DOT] = ".",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_BANG_DOT] = "!.",
  [sym__closing_bracket] = "_closing_bracket",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [sym__start_tag_name] = "tag_name",
  [sym__script_start_tag_name] = "tag_name",
  [sym__style_start_tag_name] = "tag_name",
  [sym__end_tag_name] = "tag_name",
  [sym_erroneous_end_tag_name] = "erroneous_end_tag_name",
  [sym__implicit_end_tag] = "_implicit_end_tag",
  [sym_raw_text] = "raw_text",
  [sym_comment] = "comment",
  [sym__interpolation_start] = "{{",
  [sym__interpolation_end] = "}}",
  [sym_if_start] = "control_keyword",
  [sym_else_start] = "control_keyword",
  [sym_for_start] = "control_keyword",
  [sym_switch_start] = "control_keyword",
  [sym_case_start] = "control_keyword",
  [sym_default_start] = "control_keyword",
  [sym_defer_start] = "control_keyword",
  [sym_let_start] = "control_keyword",
  [sym_empty_start] = "control_keyword",
  [sym_placeholder_start] = "control_keyword",
  [sym_loading_start] = "control_keyword",
  [sym_error_start] = "control_keyword",
  [sym_else_if_start] = "control_keyword",
  [sym_at_sign] = "at_sign",
  [sym_document] = "document",
  [sym_doctype] = "doctype",
  [sym__node] = "_node",
  [sym_element] = "element",
  [sym_script_element] = "script_element",
  [sym_style_element] = "style_element",
  [sym_start_tag] = "start_tag",
  [sym_script_start_tag] = "start_tag",
  [sym_style_start_tag] = "start_tag",
  [sym_self_closing_tag] = "self_closing_tag",
  [sym_end_tag] = "end_tag",
  [sym_erroneous_end_tag] = "erroneous_end_tag",
  [sym_attribute] = "attribute",
  [sym_quoted_attribute_value] = "quoted_attribute_value",
  [sym_statement_block] = "statement_block",
  [sym__any_statement] = "_any_statement",
  [sym__alternative_statement] = "_alternative_statement",
  [sym_let_statement] = "let_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_body] = "switch_body",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_placeholder_statement] = "placeholder_statement",
  [sym_loading_statement] = "loading_statement",
  [sym_error_statement] = "error_statement",
  [sym_defer_trigger] = "defer_trigger",
  [sym_placeholder_minimum] = "placeholder_minimum",
  [sym_loading_condition] = "loading_condition",
  [sym_defer_trigger_condition] = "defer_trigger_condition",
  [sym_timed_expression] = "timed_expression",
  [sym_for_statement] = "for_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_for_declaration] = "for_declaration",
  [sym_for_reference] = "for_reference",
  [sym_if_statement] = "if_statement",
  [sym_else_if_statement] = "else_if_statement",
  [sym_else_statement] = "else_statement",
  [sym_if_condition] = "if_condition",
  [sym_if_reference] = "if_reference",
  [sym__any_expression] = "_any_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_icu_expression] = "icu_expression",
  [sym_icu_clause] = "icu_clause",
  [sym_icu_case] = "icu_case",
  [sym_interpolation] = "interpolation",
  [sym_concatenation_expression] = "concatenation_expression",
  [sym_structural_directive] = "structural_directive",
  [sym_structural_expression] = "structural_expression",
  [sym_structural_declaration] = "structural_declaration",
  [sym_structural_assignment] = "structural_assignment",
  [sym__alias] = "_alias",
  [sym__else_template_expression] = "_else_template_expression",
  [sym__context_expression] = "_context_expression",
  [sym_property_binding] = "property_binding",
  [sym_event_binding] = "event_binding",
  [sym_two_way_binding] = "two_way_binding",
  [sym_animation_binding] = "animation_binding",
  [sym__binding_assignment] = "_binding_assignment",
  [sym_binding_name] = "binding_name",
  [sym__normal_attribute] = "_normal_attribute",
  [sym_expression] = "expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_nullish_coalescing_expression] = "nullish_coalescing_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_pipe_sequence] = "pipe_sequence",
  [sym_pipe_call] = "pipe_call",
  [sym_pipe_arguments] = "pipe_arguments",
  [sym__pipe_argument] = "_pipe_argument",
  [sym__primitive] = "_primitive",
  [sym_object] = "object",
  [sym_pair] = "pair",
  [sym_array] = "array",
  [sym_string] = "string",
  [sym_group] = "group",
  [sym_call_expression] = "call_expression",
  [sym_arguments] = "arguments",
  [sym_member_expression] = "member_expression",
  [sym_bracket_expression] = "bracket_expression",
  [sym_static_member_expression] = "static_member_expression",
  [sym__single_quote] = "_single_quote",
  [sym__double_quote] = "_double_quote",
  [sym__binary_op] = "_binary_op",
  [aux_sym_document_repeat1] = "document_repeat1",
  [aux_sym_start_tag_repeat1] = "start_tag_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_defer_trigger_repeat1] = "defer_trigger_repeat1",
  [aux_sym_for_reference_repeat1] = "for_reference_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_icu_expression_repeat1] = "icu_expression_repeat1",
  [aux_sym_concatenation_expression_repeat1] = "concatenation_expression_repeat1",
  [aux_sym_structural_declaration_repeat1] = "structural_declaration_repeat1",
  [aux_sym__binding_assignment_repeat1] = "_binding_assignment_repeat1",
  [aux_sym_pipe_sequence_repeat1] = "pipe_sequence_repeat1",
  [aux_sym_pipe_arguments_repeat1] = "pipe_arguments_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [alias_sym_conditional_operator] = "conditional_operator",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_LT_BANG] = anon_sym_LT_BANG,
  [aux_sym_doctype_token1] = aux_sym_doctype_token1,
  [anon_sym_GT] = anon_sym_GT,
  [sym__doctype] = sym__doctype,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [sym_attribute_name] = sym_attribute_name,
  [sym_attribute_value] = sym_attribute_value,
  [sym_entity] = sym_entity,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_quoted_attribute_value_token1] = sym_attribute_value,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_quoted_attribute_value_token2] = sym_attribute_value,
  [sym_text] = sym_text,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_prefetch] = anon_sym_prefetch,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_on] = anon_sym_when,
  [anon_sym_after] = anon_sym_when,
  [anon_sym_minimum] = anon_sym_when,
  [anon_sym_ms] = anon_sym_ms,
  [anon_sym_s] = anon_sym_ms,
  [anon_sym_of] = anon_sym_when,
  [anon_sym_track] = anon_sym_when,
  [anon_sym_let] = anon_sym_when,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_as] = anon_sym_when,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_plural] = anon_sym_plural,
  [anon_sym_select] = anon_sym_select,
  [sym_icu_category] = sym_icu_category,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_else] = anon_sym_when,
  [anon_sym_context] = anon_sym_when,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACK_LPAREN] = anon_sym_LBRACK_LPAREN,
  [anon_sym_RPAREN_RBRACK] = anon_sym_RPAREN_RBRACK,
  [anon_sym_LBRACK_AT] = anon_sym_LBRACK_AT,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [sym_identifier] = sym_identifier,
  [sym__escape_sequence] = sym__escape_sequence,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [aux_sym_string_token2] = aux_sym_string_token2,
  [sym_number] = sym_number,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_BANG_DOT] = anon_sym_BANG_DOT,
  [sym__closing_bracket] = sym__closing_bracket,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [sym__start_tag_name] = sym__start_tag_name,
  [sym__script_start_tag_name] = sym__start_tag_name,
  [sym__style_start_tag_name] = sym__start_tag_name,
  [sym__end_tag_name] = sym__start_tag_name,
  [sym_erroneous_end_tag_name] = sym_erroneous_end_tag_name,
  [sym__implicit_end_tag] = sym__implicit_end_tag,
  [sym_raw_text] = sym_raw_text,
  [sym_comment] = sym_comment,
  [sym__interpolation_start] = sym__interpolation_start,
  [sym__interpolation_end] = sym__interpolation_end,
  [sym_if_start] = sym_if_start,
  [sym_else_start] = sym_if_start,
  [sym_for_start] = sym_if_start,
  [sym_switch_start] = sym_if_start,
  [sym_case_start] = sym_if_start,
  [sym_default_start] = sym_if_start,
  [sym_defer_start] = sym_if_start,
  [sym_let_start] = sym_if_start,
  [sym_empty_start] = sym_if_start,
  [sym_placeholder_start] = sym_if_start,
  [sym_loading_start] = sym_if_start,
  [sym_error_start] = sym_if_start,
  [sym_else_if_start] = sym_if_start,
  [sym_at_sign] = sym_at_sign,
  [sym_document] = sym_document,
  [sym_doctype] = sym_doctype,
  [sym__node] = sym__node,
  [sym_element] = sym_element,
  [sym_script_element] = sym_script_element,
  [sym_style_element] = sym_style_element,
  [sym_start_tag] = sym_start_tag,
  [sym_script_start_tag] = sym_start_tag,
  [sym_style_start_tag] = sym_start_tag,
  [sym_self_closing_tag] = sym_self_closing_tag,
  [sym_end_tag] = sym_end_tag,
  [sym_erroneous_end_tag] = sym_erroneous_end_tag,
  [sym_attribute] = sym_attribute,
  [sym_quoted_attribute_value] = sym_quoted_attribute_value,
  [sym_statement_block] = sym_statement_block,
  [sym__any_statement] = sym__any_statement,
  [sym__alternative_statement] = sym__alternative_statement,
  [sym_let_statement] = sym_let_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_defer_statement] = sym_defer_statement,
  [sym_placeholder_statement] = sym_placeholder_statement,
  [sym_loading_statement] = sym_loading_statement,
  [sym_error_statement] = sym_error_statement,
  [sym_defer_trigger] = sym_defer_trigger,
  [sym_placeholder_minimum] = sym_placeholder_minimum,
  [sym_loading_condition] = sym_loading_condition,
  [sym_defer_trigger_condition] = sym_defer_trigger_condition,
  [sym_timed_expression] = sym_timed_expression,
  [sym_for_statement] = sym_for_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_for_declaration] = sym_for_declaration,
  [sym_for_reference] = sym_for_reference,
  [sym_if_statement] = sym_if_statement,
  [sym_else_if_statement] = sym_else_if_statement,
  [sym_else_statement] = sym_else_statement,
  [sym_if_condition] = sym_if_condition,
  [sym_if_reference] = sym_if_reference,
  [sym__any_expression] = sym__any_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_icu_expression] = sym_icu_expression,
  [sym_icu_clause] = sym_icu_clause,
  [sym_icu_case] = sym_icu_case,
  [sym_interpolation] = sym_interpolation,
  [sym_concatenation_expression] = sym_concatenation_expression,
  [sym_structural_directive] = sym_structural_directive,
  [sym_structural_expression] = sym_structural_expression,
  [sym_structural_declaration] = sym_structural_declaration,
  [sym_structural_assignment] = sym_structural_assignment,
  [sym__alias] = sym__alias,
  [sym__else_template_expression] = sym__else_template_expression,
  [sym__context_expression] = sym__context_expression,
  [sym_property_binding] = sym_property_binding,
  [sym_event_binding] = sym_event_binding,
  [sym_two_way_binding] = sym_two_way_binding,
  [sym_animation_binding] = sym_animation_binding,
  [sym__binding_assignment] = sym__binding_assignment,
  [sym_binding_name] = sym_binding_name,
  [sym__normal_attribute] = sym__normal_attribute,
  [sym_expression] = sym_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_nullish_coalescing_expression] = sym_nullish_coalescing_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_pipe_sequence] = sym_pipe_sequence,
  [sym_pipe_call] = sym_pipe_call,
  [sym_pipe_arguments] = sym_pipe_arguments,
  [sym__pipe_argument] = sym__pipe_argument,
  [sym__primitive] = sym__primitive,
  [sym_object] = sym_object,
  [sym_pair] = sym_pair,
  [sym_array] = sym_array,
  [sym_string] = sym_string,
  [sym_group] = sym_group,
  [sym_call_expression] = sym_call_expression,
  [sym_arguments] = sym_arguments,
  [sym_member_expression] = sym_member_expression,
  [sym_bracket_expression] = sym_bracket_expression,
  [sym_static_member_expression] = sym_static_member_expression,
  [sym__single_quote] = sym__single_quote,
  [sym__double_quote] = sym__double_quote,
  [sym__binary_op] = sym__binary_op,
  [aux_sym_document_repeat1] = aux_sym_document_repeat1,
  [aux_sym_start_tag_repeat1] = aux_sym_start_tag_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_defer_trigger_repeat1] = aux_sym_defer_trigger_repeat1,
  [aux_sym_for_reference_repeat1] = aux_sym_for_reference_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_icu_expression_repeat1] = aux_sym_icu_expression_repeat1,
  [aux_sym_concatenation_expression_repeat1] = aux_sym_concatenation_expression_repeat1,
  [aux_sym_structural_declaration_repeat1] = aux_sym_structural_declaration_repeat1,
  [aux_sym__binding_assignment_repeat1] = aux_sym__binding_assignment_repeat1,
  [aux_sym_pipe_sequence_repeat1] = aux_sym_pipe_sequence_repeat1,
  [aux_sym_pipe_arguments_repeat1] = aux_sym_pipe_arguments_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [alias_sym_conditional_operator] = alias_sym_conditional_operator,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LT_BANG] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_doctype_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym__doctype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_attribute_name] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_value] = {
    .visible = true,
    .named = true,
  },
  [sym_entity] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_attribute_value_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_attribute_value_token2] = {
    .visible = true,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_prefetch] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_on] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_after] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_minimum] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_ms] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_s] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_track] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_plural] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [sym_icu_category] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_context] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym__closing_bracket] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [sym__start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__script_start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__style_start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__end_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym_erroneous_end_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__implicit_end_tag] = {
    .visible = false,
    .named = true,
  },
  [sym_raw_text] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__interpolation_start] = {
    .visible = true,
    .named = false,
  },
  [sym__interpolation_end] = {
    .visible = true,
    .named = false,
  },
  [sym_if_start] = {
    .visible = true,
    .named = true,
  },
  [sym_else_start] = {
    .visible = true,
    .named = true,
  },
  [sym_for_start] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_start] = {
    .visible = true,
    .named = true,
  },
  [sym_case_start] = {
    .visible = true,
    .named = true,
  },
  [sym_default_start] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_start] = {
    .visible = true,
    .named = true,
  },
  [sym_let_start] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_start] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder_start] = {
    .visible = true,
    .named = true,
  },
  [sym_loading_start] = {
    .visible = true,
    .named = true,
  },
  [sym_error_start] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_start] = {
    .visible = true,
    .named = true,
  },
  [sym_at_sign] = {
    .visible = true,
    .named = true,
  },
  [sym_document] = {
    .visible = true,
    .named = true,
  },
  [sym_doctype] = {
    .visible = true,
    .named = true,
  },
  [sym__node] = {
    .visible = false,
    .named = true,
  },
  [sym_element] = {
    .visible = true,
    .named = true,
  },
  [sym_script_element] = {
    .visible = true,
    .named = true,
  },
  [sym_style_element] = {
    .visible = true,
    .named = true,
  },
  [sym_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_script_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_style_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_self_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_end_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_erroneous_end_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_attribute_value] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym__any_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__alternative_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_let_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_loading_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_error_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_trigger] = {
    .visible = true,
    .named = true,
  },
  [sym_placeholder_minimum] = {
    .visible = true,
    .named = true,
  },
  [sym_loading_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_trigger_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_timed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_for_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_if_reference] = {
    .visible = true,
    .named = true,
  },
  [sym__any_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_icu_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_icu_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_icu_case] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_structural_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__alias] = {
    .visible = false,
    .named = true,
  },
  [sym__else_template_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__context_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_property_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_event_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_two_way_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_animation_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__binding_assignment] = {
    .visible = false,
    .named = true,
  },
  [sym_binding_name] = {
    .visible = true,
    .named = true,
  },
  [sym__normal_attribute] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullish_coalescing_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_call] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__pipe_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__primitive] = {
    .visible = false,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_group] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bracket_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_static_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__single_quote] = {
    .visible = false,
    .named = true,
  },
  [sym__double_quote] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_op] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_document_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_start_tag_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_defer_trigger_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_reference_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_icu_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structural_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__binding_assignment_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pipe_sequence_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pipe_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_conditional_operator] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_alternative_condition = 3,
  field_arguments = 4,
  field_body = 5,
  field_call = 6,
  field_condition = 7,
  field_consequence = 8,
  field_declaration = 9,
  field_default = 10,
  field_empty = 11,
  field_error = 12,
  field_function = 13,
  field_key = 14,
  field_left = 15,
  field_loading = 16,
  field_minimum = 17,
  field_name = 18,
  field_named = 19,
  field_object = 20,
  field_operator = 21,
  field_pipes = 22,
  field_placeholder = 23,
  field_property = 24,
  field_reference = 25,
  field_right = 26,
  field_track = 27,
  field_trigger = 28,
  field_value = 29,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_alternative_condition] = "alternative_condition",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_call] = "call",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_declaration] = "declaration",
  [field_default] = "default",
  [field_empty] = "empty",
  [field_error] = "error",
  [field_function] = "function",
  [field_key] = "key",
  [field_left] = "left",
  [field_loading] = "loading",
  [field_minimum] = "minimum",
  [field_name] = "name",
  [field_named] = "named",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_pipes] = "pipes",
  [field_placeholder] = "placeholder",
  [field_property] = "property",
  [field_reference] = "reference",
  [field_right] = "right",
  [field_track] = "track",
  [field_trigger] = "trigger",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 6},
  [2] = {.index = 6, .length = 1},
  [3] = {.index = 7, .length = 1},
  [4] = {.index = 8, .length = 1},
  [5] = {.index = 9, .length = 1},
  [6] = {.index = 10, .length = 1},
  [7] = {.index = 11, .length = 1},
  [8] = {.index = 12, .length = 1},
  [9] = {.index = 13, .length = 12},
  [10] = {.index = 25, .length = 2},
  [11] = {.index = 27, .length = 1},
  [12] = {.index = 28, .length = 1},
  [13] = {.index = 29, .length = 6},
  [14] = {.index = 35, .length = 1},
  [15] = {.index = 36, .length = 2},
  [16] = {.index = 38, .length = 3},
  [17] = {.index = 41, .length = 2},
  [18] = {.index = 43, .length = 1},
  [19] = {.index = 44, .length = 2},
  [20] = {.index = 46, .length = 2},
  [21] = {.index = 48, .length = 1},
  [22] = {.index = 49, .length = 1},
  [23] = {.index = 50, .length = 2},
  [24] = {.index = 52, .length = 1},
  [25] = {.index = 53, .length = 2},
  [26] = {.index = 55, .length = 2},
  [27] = {.index = 57, .length = 2},
  [28] = {.index = 59, .length = 2},
  [29] = {.index = 61, .length = 2},
  [30] = {.index = 63, .length = 2},
  [31] = {.index = 65, .length = 1},
  [32] = {.index = 66, .length = 2},
  [33] = {.index = 68, .length = 2},
  [34] = {.index = 70, .length = 1},
  [35] = {.index = 71, .length = 3},
  [36] = {.index = 74, .length = 8},
  [37] = {.index = 82, .length = 3},
  [38] = {.index = 85, .length = 1},
  [39] = {.index = 86, .length = 2},
  [40] = {.index = 88, .length = 1},
  [41] = {.index = 89, .length = 9},
  [42] = {.index = 98, .length = 2},
  [43] = {.index = 100, .length = 3},
  [44] = {.index = 103, .length = 3},
  [45] = {.index = 106, .length = 2},
  [46] = {.index = 108, .length = 1},
  [47] = {.index = 109, .length = 1},
  [48] = {.index = 110, .length = 2},
  [49] = {.index = 112, .length = 2},
  [50] = {.index = 114, .length = 1},
  [51] = {.index = 115, .length = 6},
  [52] = {.index = 121, .length = 3},
  [53] = {.index = 124, .length = 2},
  [54] = {.index = 126, .length = 3},
  [55] = {.index = 129, .length = 4},
  [56] = {.index = 133, .length = 1},
  [57] = {.index = 134, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_alternative, 0, .inherited = true},
    {field_alternative_condition, 0, .inherited = true},
    {field_empty, 0, .inherited = true},
    {field_error, 0, .inherited = true},
    {field_loading, 0, .inherited = true},
    {field_placeholder, 0, .inherited = true},
  [6] =
    {field_placeholder, 0},
  [7] =
    {field_loading, 0},
  [8] =
    {field_error, 0},
  [9] =
    {field_empty, 0},
  [10] =
    {field_alternative_condition, 0},
  [11] =
    {field_alternative, 0},
  [12] =
    {field_body, 1},
  [13] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
    {field_alternative_condition, 0, .inherited = true},
    {field_alternative_condition, 1, .inherited = true},
    {field_empty, 0, .inherited = true},
    {field_empty, 1, .inherited = true},
    {field_error, 0, .inherited = true},
    {field_error, 1, .inherited = true},
    {field_loading, 0, .inherited = true},
    {field_loading, 1, .inherited = true},
    {field_placeholder, 0, .inherited = true},
    {field_placeholder, 1, .inherited = true},
  [25] =
    {field_operator, 0},
    {field_value, 1},
  [27] =
    {field_pipes, 1},
  [28] =
    {field_body, 2},
  [29] =
    {field_alternative, 1, .inherited = true},
    {field_alternative_condition, 1, .inherited = true},
    {field_empty, 1, .inherited = true},
    {field_error, 1, .inherited = true},
    {field_loading, 1, .inherited = true},
    {field_placeholder, 1, .inherited = true},
  [35] =
    {field_function, 0},
  [36] =
    {field_condition, 0},
    {field_default, 2},
  [38] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [41] =
    {field_left, 0},
    {field_right, 2},
  [43] =
    {field_name, 0},
  [44] =
    {field_object, 0},
    {field_property, 2},
  [46] =
    {field_call, 2},
    {field_object, 0},
  [48] =
    {field_trigger, 1},
  [49] =
    {field_condition, 1},
  [50] =
    {field_name, 0},
    {field_value, 2},
  [52] =
    {field_minimum, 1},
  [53] =
    {field_key, 0},
    {field_value, 2},
  [55] =
    {field_arguments, 2},
    {field_function, 0},
  [57] =
    {field_arguments, 1},
    {field_name, 0},
  [59] =
    {field_condition, 2},
    {field_consequence, 4},
  [61] =
    {field_body, 4},
    {field_declaration, 2},
  [63] =
    {field_body, 4},
    {field_value, 2},
  [65] =
    {field_trigger, 2},
  [66] =
    {field_condition, 1},
    {field_condition, 2, .inherited = true},
  [68] =
    {field_condition, 0, .inherited = true},
    {field_condition, 1, .inherited = true},
  [70] =
    {field_value, 1},
  [71] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [74] =
    {field_alternative, 5, .inherited = true},
    {field_alternative_condition, 5, .inherited = true},
    {field_condition, 2},
    {field_consequence, 4},
    {field_empty, 5, .inherited = true},
    {field_error, 5, .inherited = true},
    {field_loading, 5, .inherited = true},
    {field_placeholder, 5, .inherited = true},
  [82] =
    {field_condition, 2},
    {field_consequence, 5},
    {field_reference, 3},
  [85] =
    {field_alias, 1},
  [86] =
    {field_condition, 1},
    {field_condition, 3},
  [88] =
    {field_trigger, 3},
  [89] =
    {field_alternative, 6, .inherited = true},
    {field_alternative_condition, 6, .inherited = true},
    {field_condition, 2},
    {field_consequence, 5},
    {field_empty, 6, .inherited = true},
    {field_error, 6, .inherited = true},
    {field_loading, 6, .inherited = true},
    {field_placeholder, 6, .inherited = true},
    {field_reference, 3},
  [98] =
    {field_alias, 1},
    {field_alias, 2, .inherited = true},
  [100] =
    {field_body, 6},
    {field_declaration, 2},
    {field_reference, 4},
  [103] =
    {field_name, 0},
    {field_track, 5},
    {field_value, 2},
  [106] =
    {field_alias, 0, .inherited = true},
    {field_alias, 1, .inherited = true},
  [108] =
    {field_alias, 1, .inherited = true},
  [109] =
    {field_named, 1, .inherited = true},
  [110] =
    {field_alias, 1, .inherited = true},
    {field_name, 0},
  [112] =
    {field_alias, 1, .inherited = true},
    {field_named, 2, .inherited = true},
  [114] =
    {field_named, 2, .inherited = true},
  [115] =
    {field_alternative, 2, .inherited = true},
    {field_alternative_condition, 2, .inherited = true},
    {field_empty, 2, .inherited = true},
    {field_error, 2, .inherited = true},
    {field_loading, 2, .inherited = true},
    {field_placeholder, 2, .inherited = true},
  [121] =
    {field_name, 0},
    {field_operator, 1},
    {field_value, 2},
  [124] =
    {field_alias, 1, .inherited = true},
    {field_named, 3, .inherited = true},
  [126] =
    {field_name, 1},
    {field_operator, 2},
    {field_value, 3},
  [129] =
    {field_alias, 3, .inherited = true},
    {field_name, 0},
    {field_operator, 1},
    {field_value, 2},
  [133] =
    {field_named, 1},
  [134] =
    {field_alias, 4, .inherited = true},
    {field_name, 1},
    {field_operator, 2},
    {field_value, 3},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [17] = {
    [1] = alias_sym_conditional_operator,
  },
  [35] = {
    [3] = anon_sym_QMARK,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 4,
  [6] = 3,
  [7] = 2,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 8,
  [12] = 12,
  [13] = 8,
  [14] = 10,
  [15] = 10,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 18,
  [22] = 19,
  [23] = 17,
  [24] = 19,
  [25] = 19,
  [26] = 26,
  [27] = 17,
  [28] = 17,
  [29] = 26,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 18,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 38,
  [45] = 20,
  [46] = 46,
  [47] = 47,
  [48] = 32,
  [49] = 17,
  [50] = 50,
  [51] = 19,
  [52] = 43,
  [53] = 43,
  [54] = 38,
  [55] = 19,
  [56] = 17,
  [57] = 57,
  [58] = 58,
  [59] = 18,
  [60] = 60,
  [61] = 34,
  [62] = 39,
  [63] = 42,
  [64] = 35,
  [65] = 43,
  [66] = 66,
  [67] = 41,
  [68] = 68,
  [69] = 37,
  [70] = 36,
  [71] = 43,
  [72] = 66,
  [73] = 50,
  [74] = 38,
  [75] = 47,
  [76] = 60,
  [77] = 68,
  [78] = 33,
  [79] = 79,
  [80] = 19,
  [81] = 46,
  [82] = 31,
  [83] = 38,
  [84] = 17,
  [85] = 30,
  [86] = 58,
  [87] = 57,
  [88] = 88,
  [89] = 19,
  [90] = 17,
  [91] = 91,
  [92] = 79,
  [93] = 38,
  [94] = 79,
  [95] = 95,
  [96] = 38,
  [97] = 79,
  [98] = 19,
  [99] = 19,
  [100] = 88,
  [101] = 101,
  [102] = 88,
  [103] = 19,
  [104] = 88,
  [105] = 105,
  [106] = 18,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 19,
  [112] = 112,
  [113] = 113,
  [114] = 17,
  [115] = 115,
  [116] = 17,
  [117] = 17,
  [118] = 91,
  [119] = 17,
  [120] = 105,
  [121] = 108,
  [122] = 101,
  [123] = 110,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 124,
  [128] = 128,
  [129] = 109,
  [130] = 125,
  [131] = 107,
  [132] = 18,
  [133] = 124,
  [134] = 124,
  [135] = 135,
  [136] = 126,
  [137] = 137,
  [138] = 126,
  [139] = 107,
  [140] = 126,
  [141] = 124,
  [142] = 126,
  [143] = 126,
  [144] = 107,
  [145] = 124,
  [146] = 146,
  [147] = 147,
  [148] = 20,
  [149] = 124,
  [150] = 124,
  [151] = 126,
  [152] = 124,
  [153] = 153,
  [154] = 126,
  [155] = 126,
  [156] = 156,
  [157] = 43,
  [158] = 112,
  [159] = 126,
  [160] = 160,
  [161] = 112,
  [162] = 162,
  [163] = 126,
  [164] = 164,
  [165] = 19,
  [166] = 166,
  [167] = 124,
  [168] = 113,
  [169] = 126,
  [170] = 112,
  [171] = 124,
  [172] = 128,
  [173] = 173,
  [174] = 26,
  [175] = 175,
  [176] = 125,
  [177] = 177,
  [178] = 17,
  [179] = 126,
  [180] = 180,
  [181] = 124,
  [182] = 182,
  [183] = 126,
  [184] = 124,
  [185] = 126,
  [186] = 126,
  [187] = 125,
  [188] = 188,
  [189] = 124,
  [190] = 190,
  [191] = 126,
  [192] = 192,
  [193] = 32,
  [194] = 33,
  [195] = 38,
  [196] = 43,
  [197] = 38,
  [198] = 43,
  [199] = 31,
  [200] = 113,
  [201] = 18,
  [202] = 43,
  [203] = 43,
  [204] = 190,
  [205] = 43,
  [206] = 112,
  [207] = 38,
  [208] = 153,
  [209] = 162,
  [210] = 109,
  [211] = 36,
  [212] = 137,
  [213] = 34,
  [214] = 43,
  [215] = 164,
  [216] = 173,
  [217] = 177,
  [218] = 109,
  [219] = 30,
  [220] = 50,
  [221] = 37,
  [222] = 182,
  [223] = 113,
  [224] = 107,
  [225] = 39,
  [226] = 41,
  [227] = 38,
  [228] = 180,
  [229] = 38,
  [230] = 192,
  [231] = 35,
  [232] = 38,
  [233] = 46,
  [234] = 38,
  [235] = 235,
  [236] = 235,
  [237] = 112,
  [238] = 235,
  [239] = 235,
  [240] = 79,
  [241] = 107,
  [242] = 79,
  [243] = 243,
  [244] = 243,
  [245] = 243,
  [246] = 243,
  [247] = 79,
  [248] = 243,
  [249] = 243,
  [250] = 243,
  [251] = 243,
  [252] = 107,
  [253] = 88,
  [254] = 243,
  [255] = 243,
  [256] = 112,
  [257] = 88,
  [258] = 91,
  [259] = 243,
  [260] = 243,
  [261] = 243,
  [262] = 262,
  [263] = 107,
  [264] = 107,
  [265] = 265,
  [266] = 107,
  [267] = 112,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 107,
  [272] = 109,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 190,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 88,
  [288] = 91,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 107,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 112,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 113,
  [309] = 112,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 112,
  [315] = 315,
  [316] = 316,
  [317] = 112,
  [318] = 318,
  [319] = 319,
  [320] = 162,
  [321] = 298,
  [322] = 322,
  [323] = 190,
  [324] = 180,
  [325] = 153,
  [326] = 326,
  [327] = 327,
  [328] = 164,
  [329] = 322,
  [330] = 182,
  [331] = 113,
  [332] = 173,
  [333] = 311,
  [334] = 303,
  [335] = 300,
  [336] = 283,
  [337] = 273,
  [338] = 262,
  [339] = 313,
  [340] = 177,
  [341] = 109,
  [342] = 319,
  [343] = 192,
  [344] = 307,
  [345] = 297,
  [346] = 289,
  [347] = 322,
  [348] = 282,
  [349] = 281,
  [350] = 279,
  [351] = 277,
  [352] = 322,
  [353] = 275,
  [354] = 316,
  [355] = 295,
  [356] = 306,
  [357] = 318,
  [358] = 312,
  [359] = 301,
  [360] = 360,
  [361] = 137,
  [362] = 291,
  [363] = 286,
  [364] = 285,
  [365] = 284,
  [366] = 305,
  [367] = 278,
  [368] = 274,
  [369] = 270,
  [370] = 268,
  [371] = 269,
  [372] = 310,
  [373] = 265,
  [374] = 304,
  [375] = 280,
  [376] = 302,
  [377] = 296,
  [378] = 293,
  [379] = 292,
  [380] = 290,
  [381] = 315,
  [382] = 382,
  [383] = 382,
  [384] = 382,
  [385] = 382,
  [386] = 107,
  [387] = 382,
  [388] = 382,
  [389] = 112,
  [390] = 113,
  [391] = 382,
  [392] = 382,
  [393] = 382,
  [394] = 382,
  [395] = 109,
  [396] = 382,
  [397] = 382,
  [398] = 382,
  [399] = 382,
  [400] = 400,
  [401] = 400,
  [402] = 402,
  [403] = 400,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 407,
  [411] = 400,
  [412] = 408,
  [413] = 400,
  [414] = 414,
  [415] = 400,
  [416] = 404,
  [417] = 400,
  [418] = 418,
  [419] = 400,
  [420] = 418,
  [421] = 418,
  [422] = 107,
  [423] = 400,
  [424] = 414,
  [425] = 418,
  [426] = 400,
  [427] = 402,
  [428] = 400,
  [429] = 409,
  [430] = 400,
  [431] = 431,
  [432] = 400,
  [433] = 400,
  [434] = 434,
  [435] = 434,
  [436] = 18,
  [437] = 437,
  [438] = 434,
  [439] = 434,
  [440] = 440,
  [441] = 434,
  [442] = 434,
  [443] = 434,
  [444] = 434,
  [445] = 445,
  [446] = 446,
  [447] = 437,
  [448] = 18,
  [449] = 449,
  [450] = 434,
  [451] = 437,
  [452] = 434,
  [453] = 434,
  [454] = 434,
  [455] = 434,
  [456] = 449,
  [457] = 434,
  [458] = 434,
  [459] = 459,
  [460] = 437,
  [461] = 434,
  [462] = 437,
  [463] = 434,
  [464] = 464,
  [465] = 464,
  [466] = 464,
  [467] = 467,
  [468] = 467,
  [469] = 464,
  [470] = 464,
  [471] = 20,
  [472] = 472,
  [473] = 464,
  [474] = 18,
  [475] = 26,
  [476] = 464,
  [477] = 464,
  [478] = 464,
  [479] = 50,
  [480] = 18,
  [481] = 472,
  [482] = 464,
  [483] = 464,
  [484] = 484,
  [485] = 464,
  [486] = 464,
  [487] = 464,
  [488] = 484,
  [489] = 36,
  [490] = 33,
  [491] = 35,
  [492] = 18,
  [493] = 46,
  [494] = 31,
  [495] = 173,
  [496] = 41,
  [497] = 32,
  [498] = 162,
  [499] = 499,
  [500] = 39,
  [501] = 30,
  [502] = 37,
  [503] = 164,
  [504] = 50,
  [505] = 505,
  [506] = 506,
  [507] = 34,
  [508] = 508,
  [509] = 79,
  [510] = 18,
  [511] = 18,
  [512] = 79,
  [513] = 79,
  [514] = 18,
  [515] = 88,
  [516] = 88,
  [517] = 91,
  [518] = 79,
  [519] = 79,
  [520] = 18,
  [521] = 521,
  [522] = 88,
  [523] = 91,
  [524] = 88,
  [525] = 113,
  [526] = 79,
  [527] = 91,
  [528] = 109,
  [529] = 521,
  [530] = 113,
  [531] = 190,
  [532] = 88,
  [533] = 18,
  [534] = 109,
  [535] = 113,
  [536] = 18,
  [537] = 177,
  [538] = 109,
  [539] = 18,
  [540] = 153,
  [541] = 79,
  [542] = 79,
  [543] = 180,
  [544] = 137,
  [545] = 137,
  [546] = 192,
  [547] = 109,
  [548] = 180,
  [549] = 182,
  [550] = 190,
  [551] = 88,
  [552] = 113,
  [553] = 153,
  [554] = 91,
  [555] = 79,
  [556] = 153,
  [557] = 557,
  [558] = 91,
  [559] = 137,
  [560] = 79,
  [561] = 88,
  [562] = 88,
  [563] = 109,
  [564] = 113,
  [565] = 180,
  [566] = 18,
  [567] = 88,
  [568] = 109,
  [569] = 569,
  [570] = 113,
  [571] = 571,
  [572] = 572,
  [573] = 180,
  [574] = 574,
  [575] = 557,
  [576] = 576,
  [577] = 571,
  [578] = 569,
  [579] = 113,
  [580] = 569,
  [581] = 18,
  [582] = 109,
  [583] = 79,
  [584] = 571,
  [585] = 79,
  [586] = 91,
  [587] = 569,
  [588] = 137,
  [589] = 88,
  [590] = 113,
  [591] = 109,
  [592] = 571,
  [593] = 593,
  [594] = 91,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 137,
  [600] = 109,
  [601] = 601,
  [602] = 602,
  [603] = 88,
  [604] = 190,
  [605] = 605,
  [606] = 91,
  [607] = 576,
  [608] = 608,
  [609] = 180,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 180,
  [614] = 614,
  [615] = 153,
  [616] = 153,
  [617] = 180,
  [618] = 153,
  [619] = 88,
  [620] = 137,
  [621] = 153,
  [622] = 622,
  [623] = 113,
  [624] = 137,
  [625] = 574,
  [626] = 190,
  [627] = 109,
  [628] = 137,
  [629] = 153,
  [630] = 79,
  [631] = 153,
  [632] = 612,
  [633] = 180,
  [634] = 611,
  [635] = 137,
  [636] = 610,
  [637] = 622,
  [638] = 601,
  [639] = 597,
  [640] = 602,
  [641] = 593,
  [642] = 605,
  [643] = 643,
  [644] = 79,
  [645] = 608,
  [646] = 180,
  [647] = 595,
  [648] = 648,
  [649] = 113,
  [650] = 614,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 88,
  [655] = 113,
  [656] = 153,
  [657] = 657,
  [658] = 658,
  [659] = 91,
  [660] = 190,
  [661] = 661,
  [662] = 652,
  [663] = 652,
  [664] = 648,
  [665] = 153,
  [666] = 109,
  [667] = 658,
  [668] = 668,
  [669] = 153,
  [670] = 670,
  [671] = 88,
  [672] = 672,
  [673] = 109,
  [674] = 113,
  [675] = 675,
  [676] = 190,
  [677] = 91,
  [678] = 678,
  [679] = 652,
  [680] = 678,
  [681] = 661,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 682,
  [686] = 682,
  [687] = 684,
  [688] = 137,
  [689] = 689,
  [690] = 690,
  [691] = 684,
  [692] = 692,
  [693] = 180,
  [694] = 694,
  [695] = 682,
  [696] = 684,
  [697] = 692,
  [698] = 683,
  [699] = 682,
  [700] = 700,
  [701] = 701,
  [702] = 682,
  [703] = 682,
  [704] = 684,
  [705] = 684,
  [706] = 682,
  [707] = 689,
  [708] = 684,
  [709] = 682,
  [710] = 710,
  [711] = 692,
  [712] = 690,
  [713] = 684,
  [714] = 682,
  [715] = 682,
  [716] = 684,
  [717] = 684,
  [718] = 690,
  [719] = 689,
  [720] = 682,
  [721] = 684,
  [722] = 722,
  [723] = 700,
  [724] = 701,
  [725] = 682,
  [726] = 700,
  [727] = 684,
  [728] = 682,
  [729] = 701,
  [730] = 700,
  [731] = 153,
  [732] = 701,
  [733] = 684,
  [734] = 684,
  [735] = 684,
  [736] = 682,
  [737] = 653,
  [738] = 684,
  [739] = 692,
  [740] = 682,
  [741] = 682,
  [742] = 684,
  [743] = 689,
  [744] = 690,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 109,
  [755] = 113,
  [756] = 756,
  [757] = 756,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 750,
  [762] = 752,
  [763] = 109,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 113,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 769,
  [777] = 751,
  [778] = 778,
  [779] = 745,
  [780] = 780,
  [781] = 764,
  [782] = 780,
  [783] = 778,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 789,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 792,
  [796] = 796,
  [797] = 788,
  [798] = 789,
  [799] = 799,
  [800] = 800,
  [801] = 794,
  [802] = 792,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 153,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 789,
  [824] = 792,
  [825] = 791,
  [826] = 808,
  [827] = 794,
  [828] = 828,
  [829] = 794,
  [830] = 811,
  [831] = 831,
  [832] = 832,
  [833] = 289,
  [834] = 834,
  [835] = 812,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 787,
  [841] = 805,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 839,
  [846] = 806,
  [847] = 837,
  [848] = 832,
  [849] = 796,
  [850] = 301,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 854,
  [857] = 857,
  [858] = 858,
  [859] = 857,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 854,
  [866] = 866,
  [867] = 867,
  [868] = 853,
  [869] = 869,
  [870] = 854,
  [871] = 871,
  [872] = 871,
  [873] = 855,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 864,
  [879] = 879,
  [880] = 854,
  [881] = 881,
  [882] = 882,
  [883] = 862,
  [884] = 861,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 854,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 854,
  [895] = 895,
  [896] = 896,
  [897] = 876,
  [898] = 898,
  [899] = 858,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 866,
  [904] = 854,
  [905] = 854,
  [906] = 854,
  [907] = 854,
  [908] = 855,
  [909] = 909,
  [910] = 881,
  [911] = 911,
  [912] = 855,
  [913] = 913,
  [914] = 914,
  [915] = 914,
  [916] = 867,
  [917] = 917,
  [918] = 875,
  [919] = 854,
  [920] = 920,
  [921] = 851,
  [922] = 854,
  [923] = 854,
  [924] = 911,
  [925] = 909,
  [926] = 902,
  [927] = 854,
  [928] = 928,
  [929] = 874,
  [930] = 877,
  [931] = 896,
  [932] = 932,
  [933] = 879,
  [934] = 934,
  [935] = 935,
  [936] = 869,
  [937] = 937,
  [938] = 854,
  [939] = 854,
  [940] = 886,
  [941] = 893,
  [942] = 854,
  [943] = 901,
  [944] = 944,
  [945] = 854,
  [946] = 854,
  [947] = 854,
  [948] = 885,
  [949] = 892,
  [950] = 900,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 965,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 952,
  [993] = 993,
  [994] = 981,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 985,
  [999] = 999,
  [1000] = 959,
  [1001] = 958,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 977,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 956,
  [1009] = 999,
  [1010] = 1002,
  [1011] = 1003,
  [1012] = 1006,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 980,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 987,
  [1022] = 1015,
  [1023] = 978,
  [1024] = 991,
  [1025] = 967,
  [1026] = 983,
  [1027] = 1027,
  [1028] = 1007,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 965,
  [1032] = 973,
  [1033] = 973,
  [1034] = 965,
  [1035] = 990,
  [1036] = 988,
  [1037] = 1029,
  [1038] = 1027,
  [1039] = 973,
  [1040] = 1018,
  [1041] = 1013,
  [1042] = 982,
};

static TSCharacterRange sym_attribute_name_character_set_1[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'!', '!'}, {'#', '&'}, {'+', '-'}, {'/', ';'}, {'?', 'Z'}, {'\\', '\\'},
  {'^', 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(96);
      ADVANCE_MAP(
        '!', 204,
        '"', 160,
        '%', 249,
        '&', 12,
        '\'', 157,
        '(', 167,
        ')', 168,
        '*', 191,
        '+', 190,
        ',', 181,
        '-', 245,
        '.', 242,
        '/', 248,
        ':', 192,
        ';', 166,
        '<', 104,
        '=', 185,
        '>', 101,
        '?', 205,
        '[', 198,
        '\\', 73,
        ']', 199,
        'a', 40,
        'c', 60,
        'e', 48,
        'l', 36,
        'm', 46,
        'o', 41,
        'p', 50,
        's', 176,
        't', 61,
        'w', 44,
        '{', 164,
        '|', 209,
        '}', 165,
        'D', 82,
        'd', 82,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(240);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 21,
        '"', 160,
        '%', 249,
        '&', 14,
        '\'', 157,
        '(', 167,
        ')', 23,
        '*', 191,
        '+', 190,
        ',', 181,
        '-', 246,
        '.', 242,
        '/', 247,
        ':', 192,
        '<', 105,
        '=', 22,
        '>', 101,
        '?', 205,
        '[', 197,
        '|', 209,
        '}', 165,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (('$' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 21,
        '"', 160,
        '%', 249,
        '&', 14,
        '(', 167,
        ')', 168,
        '*', 191,
        '+', 190,
        ',', 181,
        '-', 245,
        '.', 242,
        '/', 247,
        ':', 192,
        ';', 166,
        '<', 105,
        '=', 185,
        '>', 101,
        '?', 205,
        '[', 197,
        ']', 199,
        'a', 64,
        'p', 49,
        's', 34,
        '|', 209,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 203,
        '"', 160,
        '\'', 157,
        '(', 167,
        ')', 168,
        ';', 166,
        '[', 197,
        '{', 164,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(210);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(203);
      if (lookahead == '"') ADVANCE(160);
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == '[') ADVANCE(197);
      if (lookahead == 'l') ADVANCE(211);
      if (lookahead == '{') ADVANCE(164);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(210);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 20,
        '"', 160,
        '&', 14,
        '\'', 157,
        '(', 167,
        ')', 168,
        '+', 190,
        ',', 181,
        '.', 242,
        ':', 192,
        ';', 166,
        '=', 184,
        '?', 205,
        '[', 197,
        ']', 199,
        '|', 209,
        '}', 165,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 6:
      if (lookahead == '"') ADVANCE(160);
      if (lookahead == '\'') ADVANCE(157);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (lookahead != 0 &&
          (lookahead < '<' || '>' < lookahead)) ADVANCE(116);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '"', 160,
        '(', 167,
        '*', 191,
        '/', 234,
        '>', 100,
        '[', 198,
        '\\', 233,
        '\'', 232,
        ')', 232,
        '.', 232,
        '<', 232,
        '=', 232,
        ']', 232,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(232);
      if (lookahead != 0) ADVANCE(236);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '"', 160,
        '(', 167,
        '*', 191,
        '>', 100,
        '[', 198,
        '\\', 233,
        '\'', 232,
        ')', 232,
        '.', 232,
        '<', 232,
        '=', 232,
        ']', 232,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(232);
      if (lookahead != 0) ADVANCE(236);
      END_STATE();
    case 9:
      if (lookahead == '"') ADVANCE(160);
      if (lookahead == ',') ADVANCE(181);
      if (lookahead == ':') ADVANCE(192);
      if (lookahead == ';') ADVANCE(166);
      if (lookahead == '=') ADVANCE(184);
      if (lookahead == 'a') ADVANCE(217);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 10:
      if (lookahead == '"') ADVANCE(160);
      if (lookahead == '\\') ADVANCE(235);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(232);
      if (lookahead != 0) ADVANCE(232);
      END_STATE();
    case 11:
      if (lookahead == '"') ADVANCE(160);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(161);
      if (lookahead != 0) ADVANCE(162);
      END_STATE();
    case 12:
      if (lookahead == '#') ADVANCE(85);
      if (lookahead == '&') ADVANCE(208);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(156);
      END_STATE();
    case 13:
      if (lookahead == '#') ADVANCE(85);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(156);
      END_STATE();
    case 14:
      if (lookahead == '&') ADVANCE(208);
      END_STATE();
    case 15:
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '\\') ADVANCE(238);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(237);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(239);
      if (lookahead != 0) ADVANCE(237);
      END_STATE();
    case 16:
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '\\') ADVANCE(238);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(237);
      if (lookahead != 0) ADVANCE(237);
      END_STATE();
    case 17:
      if (lookahead == '\'') ADVANCE(157);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(158);
      if (lookahead != 0) ADVANCE(159);
      END_STATE();
    case 18:
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == '*') ADVANCE(191);
      if (lookahead == '/') ADVANCE(108);
      if (lookahead == '=') ADVANCE(184);
      if (lookahead == '>') ADVANCE(100);
      if (lookahead == '[') ADVANCE(198);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || '*' < lookahead) &&
          lookahead != '.' &&
          lookahead != '/' &&
          (lookahead < '<' || '>' < lookahead) &&
          lookahead != ']') ADVANCE(115);
      END_STATE();
    case 19:
      if (lookahead == '(') ADVANCE(167);
      if (lookahead == '*') ADVANCE(191);
      if (lookahead == '=') ADVANCE(184);
      if (lookahead == '>') ADVANCE(100);
      if (lookahead == '[') ADVANCE(198);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      if (lookahead != 0 &&
          lookahead != '"' &&
          (lookahead < '\'' || '*' < lookahead) &&
          lookahead != '.' &&
          (lookahead < '<' || '>' < lookahead) &&
          lookahead != ']') ADVANCE(115);
      END_STATE();
    case 20:
      if (lookahead == '.') ADVANCE(244);
      END_STATE();
    case 21:
      if (lookahead == '.') ADVANCE(244);
      if (lookahead == '=') ADVANCE(252);
      END_STATE();
    case 22:
      if (lookahead == '=') ADVANCE(250);
      END_STATE();
    case 23:
      if (lookahead == ']') ADVANCE(201);
      END_STATE();
    case 24:
      if (lookahead == 'a') ADVANCE(26);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(51);
      END_STATE();
    case 26:
      if (lookahead == 'c') ADVANCE(47);
      END_STATE();
    case 27:
      if (lookahead == 'c') ADVANCE(216);
      if (lookahead == 'e') ADVANCE(214);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 28:
      if (lookahead == 'c') ADVANCE(216);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(28);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 29:
      if (lookahead == 'c') ADVANCE(43);
      END_STATE();
    case 30:
      if (lookahead == 'c') ADVANCE(68);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 32:
      if (lookahead == 'e') ADVANCE(193);
      END_STATE();
    case 33:
      if (lookahead == 'e') ADVANCE(76);
      END_STATE();
    case 34:
      if (lookahead == 'e') ADVANCE(53);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(62);
      END_STATE();
    case 36:
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(30);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(70);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(58);
      END_STATE();
    case 40:
      if (lookahead == 'f') ADVANCE(71);
      if (lookahead == 's') ADVANCE(182);
      END_STATE();
    case 41:
      if (lookahead == 'f') ADVANCE(177);
      if (lookahead == 'n') ADVANCE(171);
      END_STATE();
    case 42:
      if (lookahead == 'f') ADVANCE(38);
      END_STATE();
    case 43:
      if (lookahead == 'h') ADVANCE(169);
      END_STATE();
    case 44:
      if (lookahead == 'h') ADVANCE(39);
      END_STATE();
    case 45:
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 46:
      if (lookahead == 'i') ADVANCE(57);
      if (lookahead == 's') ADVANCE(174);
      END_STATE();
    case 47:
      if (lookahead == 'k') ADVANCE(178);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(66);
      END_STATE();
    case 49:
      if (lookahead == 'l') ADVANCE(75);
      END_STATE();
    case 50:
      if (lookahead == 'l') ADVANCE(75);
      if (lookahead == 'r') ADVANCE(31);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(186);
      END_STATE();
    case 52:
      if (lookahead == 'l') ADVANCE(211);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(37);
      END_STATE();
    case 54:
      if (lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 55:
      if (lookahead == 'm') ADVANCE(74);
      END_STATE();
    case 56:
      if (lookahead == 'm') ADVANCE(65);
      if (lookahead == 's') ADVANCE(175);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(45);
      END_STATE();
    case 58:
      if (lookahead == 'n') ADVANCE(170);
      END_STATE();
    case 59:
      if (lookahead == 'n') ADVANCE(72);
      END_STATE();
    case 60:
      if (lookahead == 'o') ADVANCE(59);
      END_STATE();
    case 61:
      if (lookahead == 'r') ADVANCE(24);
      END_STATE();
    case 62:
      if (lookahead == 'r') ADVANCE(172);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(25);
      END_STATE();
    case 64:
      if (lookahead == 's') ADVANCE(182);
      END_STATE();
    case 65:
      if (lookahead == 's') ADVANCE(174);
      END_STATE();
    case 66:
      if (lookahead == 's') ADVANCE(32);
      END_STATE();
    case 67:
      if (lookahead == 't') ADVANCE(179);
      END_STATE();
    case 68:
      if (lookahead == 't') ADVANCE(187);
      END_STATE();
    case 69:
      if (lookahead == 't') ADVANCE(195);
      END_STATE();
    case 70:
      if (lookahead == 't') ADVANCE(29);
      END_STATE();
    case 71:
      if (lookahead == 't') ADVANCE(35);
      END_STATE();
    case 72:
      if (lookahead == 't') ADVANCE(33);
      END_STATE();
    case 73:
      if (lookahead == 'u') ADVANCE(77);
      if (lookahead == 'x') ADVANCE(93);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(229);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 74:
      if (lookahead == 'u') ADVANCE(54);
      END_STATE();
    case 75:
      if (lookahead == 'u') ADVANCE(63);
      END_STATE();
    case 76:
      if (lookahead == 'x') ADVANCE(69);
      END_STATE();
    case 77:
      if (lookahead == '{') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(89);
      END_STATE();
    case 78:
      if (lookahead == '}') ADVANCE(165);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(188);
      if (lookahead != 0 &&
          lookahead != '{') ADVANCE(189);
      END_STATE();
    case 79:
      if (lookahead == '}') ADVANCE(224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      END_STATE();
    case 80:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(84);
      END_STATE();
    case 81:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 82:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(80);
      END_STATE();
    case 83:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(81);
      END_STATE();
    case 84:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(86);
      END_STATE();
    case 85:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(122);
      END_STATE();
    case 86:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(83);
      END_STATE();
    case 87:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(87);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '@' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(163);
      END_STATE();
    case 88:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(98);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(99);
      END_STATE();
    case 89:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(93);
      END_STATE();
    case 90:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(224);
      END_STATE();
    case 91:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(127);
      END_STATE();
    case 92:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      END_STATE();
    case 93:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(90);
      END_STATE();
    case 94:
      if (eof) ADVANCE(96);
      ADVANCE_MAP(
        '!', 204,
        '"', 160,
        '%', 249,
        '&', 12,
        '\'', 157,
        '(', 167,
        ')', 168,
        '*', 191,
        '+', 190,
        ',', 181,
        '-', 245,
        '.', 242,
        '/', 248,
        ':', 192,
        ';', 166,
        '<', 104,
        '=', 185,
        '>', 101,
        '?', 205,
        '[', 198,
        ']', 199,
        'a', 40,
        'c', 60,
        'e', 48,
        'l', 36,
        'm', 46,
        'o', 41,
        'p', 50,
        's', 176,
        't', 61,
        'w', 44,
        '{', 164,
        '|', 209,
        '}', 165,
        'D', 82,
        'd', 82,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(240);
      END_STATE();
    case 95:
      if (eof) ADVANCE(96);
      if (lookahead == '&') ADVANCE(13);
      if (lookahead == '<') ADVANCE(103);
      if (lookahead == '>') ADVANCE(100);
      if (lookahead == '{') ADVANCE(164);
      if (lookahead == '}') ADVANCE(165);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (lookahead != 0 &&
          lookahead != '@') ADVANCE(163);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_LT_BANG);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(aux_sym_doctype_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(98);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(99);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(aux_sym_doctype_token1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(99);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(255);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym__doctype);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(97);
      if (lookahead == '/') ADVANCE(107);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(97);
      if (lookahead == '/') ADVANCE(107);
      if (lookahead == '=') ADVANCE(254);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(254);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_attribute_name);
      if (lookahead == '>') ADVANCE(106);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_attribute_name);
      if (lookahead == '{') ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_attribute_name);
      if (lookahead == '}') ADVANCE(231);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(114);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(231);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_attribute_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_attribute_name);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_attribute_value);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '<' || '>' < lookahead)) ADVANCE(116);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_entity);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(118);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(119);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(120);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(118);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(123);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(124);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(126);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(118);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(130);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(131);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(132);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(133);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(134);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(135);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(136);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(137);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(138);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(140);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(141);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(142);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(143);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(144);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(145);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(146);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(147);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(148);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(149);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(150);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(151);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(152);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(153);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(154);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_entity);
      if (lookahead == ';') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(155);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(158);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(159);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token1);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(159);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token2);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(161);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(162);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym_quoted_attribute_value_token2);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(162);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_text);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(87);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '@' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(163);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_prefetch);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_on);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_after);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_minimum);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_ms);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_s);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_s);
      if (lookahead == 'e') ADVANCE(53);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_track);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(250);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_plural);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_icu_category);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(188);
      if (lookahead != 0 &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(189);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_icu_category);
      if (lookahead != 0 &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(189);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_context);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_context);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '(') ADVANCE(200);
      if (lookahead == '@') ADVANCE(202);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_LBRACK_LPAREN);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_RPAREN_RBRACK);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '.') ADVANCE(244);
      if (lookahead == '=') ADVANCE(252);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(243);
      if (lookahead == '?') ADVANCE(206);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(207);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(241);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(210);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(219);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(194);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(222);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(218);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(221);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(215);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(183);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(212);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(180);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(196);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(213);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(220);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym__escape_sequence);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (lookahead == '\n') ADVANCE(224);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(231);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(224);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(224);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(231);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(227);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym__escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(228);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym__escape_sequence);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '\r') ADVANCE(226);
      if (lookahead == '?') ADVANCE(225);
      if (lookahead == 'u') ADVANCE(109);
      if (lookahead == 'x') ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(230);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == '"' ||
          ('\'' <= lookahead && lookahead <= '*') ||
          lookahead == '.' ||
          ('<' <= lookahead && lookahead <= '>') ||
          lookahead == '[' ||
          lookahead == ']') ADVANCE(224);
      if (lookahead != 0) ADVANCE(231);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '>') ADVANCE(106);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == 'u') ADVANCE(77);
      if (lookahead == 'x') ADVANCE(93);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(229);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if ((!eof && set_contains(sym_attribute_name_character_set_1, 9, lookahead))) ADVANCE(115);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == 'u') ADVANCE(77);
      if (lookahead == 'x') ADVANCE(93);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(229);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(241);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(240);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(241);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_BANG_DOT);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(223);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '>') ADVANCE(106);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(251);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(253);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 95, .external_lex_state = 2},
  [2] = {.lex_state = 95, .external_lex_state = 2},
  [3] = {.lex_state = 95, .external_lex_state = 3},
  [4] = {.lex_state = 95, .external_lex_state = 3},
  [5] = {.lex_state = 95, .external_lex_state = 3},
  [6] = {.lex_state = 95, .external_lex_state = 3},
  [7] = {.lex_state = 95, .external_lex_state = 3},
  [8] = {.lex_state = 95, .external_lex_state = 2},
  [9] = {.lex_state = 95, .external_lex_state = 2},
  [10] = {.lex_state = 95, .external_lex_state = 2},
  [11] = {.lex_state = 95, .external_lex_state = 2},
  [12] = {.lex_state = 95, .external_lex_state = 2},
  [13] = {.lex_state = 95, .external_lex_state = 2},
  [14] = {.lex_state = 95, .external_lex_state = 2},
  [15] = {.lex_state = 95, .external_lex_state = 2},
  [16] = {.lex_state = 95, .external_lex_state = 2},
  [17] = {.lex_state = 2, .external_lex_state = 4},
  [18] = {.lex_state = 2, .external_lex_state = 4},
  [19] = {.lex_state = 2, .external_lex_state = 4},
  [20] = {.lex_state = 2, .external_lex_state = 4},
  [21] = {.lex_state = 1, .external_lex_state = 4},
  [22] = {.lex_state = 1, .external_lex_state = 4},
  [23] = {.lex_state = 1, .external_lex_state = 4},
  [24] = {.lex_state = 1, .external_lex_state = 4},
  [25] = {.lex_state = 2, .external_lex_state = 4},
  [26] = {.lex_state = 2, .external_lex_state = 4},
  [27] = {.lex_state = 2, .external_lex_state = 4},
  [28] = {.lex_state = 1, .external_lex_state = 4},
  [29] = {.lex_state = 1, .external_lex_state = 4},
  [30] = {.lex_state = 2, .external_lex_state = 4},
  [31] = {.lex_state = 2, .external_lex_state = 4},
  [32] = {.lex_state = 2, .external_lex_state = 4},
  [33] = {.lex_state = 2, .external_lex_state = 4},
  [34] = {.lex_state = 2, .external_lex_state = 4},
  [35] = {.lex_state = 2, .external_lex_state = 4},
  [36] = {.lex_state = 2, .external_lex_state = 4},
  [37] = {.lex_state = 2, .external_lex_state = 4},
  [38] = {.lex_state = 2, .external_lex_state = 4},
  [39] = {.lex_state = 2, .external_lex_state = 4},
  [40] = {.lex_state = 1, .external_lex_state = 4},
  [41] = {.lex_state = 2, .external_lex_state = 4},
  [42] = {.lex_state = 95, .external_lex_state = 2},
  [43] = {.lex_state = 2, .external_lex_state = 4},
  [44] = {.lex_state = 2, .external_lex_state = 4},
  [45] = {.lex_state = 1, .external_lex_state = 4},
  [46] = {.lex_state = 2, .external_lex_state = 4},
  [47] = {.lex_state = 95, .external_lex_state = 2},
  [48] = {.lex_state = 1, .external_lex_state = 4},
  [49] = {.lex_state = 1, .external_lex_state = 4},
  [50] = {.lex_state = 2, .external_lex_state = 4},
  [51] = {.lex_state = 1, .external_lex_state = 4},
  [52] = {.lex_state = 2, .external_lex_state = 4},
  [53] = {.lex_state = 2, .external_lex_state = 4},
  [54] = {.lex_state = 2, .external_lex_state = 4},
  [55] = {.lex_state = 2, .external_lex_state = 4},
  [56] = {.lex_state = 2, .external_lex_state = 4},
  [57] = {.lex_state = 95, .external_lex_state = 2},
  [58] = {.lex_state = 95, .external_lex_state = 2},
  [59] = {.lex_state = 2, .external_lex_state = 4},
  [60] = {.lex_state = 95, .external_lex_state = 2},
  [61] = {.lex_state = 1, .external_lex_state = 4},
  [62] = {.lex_state = 1, .external_lex_state = 4},
  [63] = {.lex_state = 95, .external_lex_state = 3},
  [64] = {.lex_state = 1, .external_lex_state = 4},
  [65] = {.lex_state = 1, .external_lex_state = 4},
  [66] = {.lex_state = 4, .external_lex_state = 4},
  [67] = {.lex_state = 1, .external_lex_state = 4},
  [68] = {.lex_state = 3, .external_lex_state = 4},
  [69] = {.lex_state = 1, .external_lex_state = 4},
  [70] = {.lex_state = 1, .external_lex_state = 4},
  [71] = {.lex_state = 1, .external_lex_state = 4},
  [72] = {.lex_state = 4, .external_lex_state = 4},
  [73] = {.lex_state = 1, .external_lex_state = 4},
  [74] = {.lex_state = 1, .external_lex_state = 4},
  [75] = {.lex_state = 95, .external_lex_state = 3},
  [76] = {.lex_state = 95, .external_lex_state = 3},
  [77] = {.lex_state = 3, .external_lex_state = 4},
  [78] = {.lex_state = 1, .external_lex_state = 4},
  [79] = {.lex_state = 2, .external_lex_state = 4},
  [80] = {.lex_state = 2, .external_lex_state = 4},
  [81] = {.lex_state = 1, .external_lex_state = 4},
  [82] = {.lex_state = 1, .external_lex_state = 4},
  [83] = {.lex_state = 1, .external_lex_state = 4},
  [84] = {.lex_state = 2, .external_lex_state = 4},
  [85] = {.lex_state = 1, .external_lex_state = 4},
  [86] = {.lex_state = 95, .external_lex_state = 3},
  [87] = {.lex_state = 95, .external_lex_state = 3},
  [88] = {.lex_state = 2, .external_lex_state = 4},
  [89] = {.lex_state = 2, .external_lex_state = 4},
  [90] = {.lex_state = 2, .external_lex_state = 4},
  [91] = {.lex_state = 2, .external_lex_state = 4},
  [92] = {.lex_state = 1, .external_lex_state = 4},
  [93] = {.lex_state = 2, .external_lex_state = 4},
  [94] = {.lex_state = 1, .external_lex_state = 4},
  [95] = {.lex_state = 3, .external_lex_state = 4},
  [96] = {.lex_state = 1, .external_lex_state = 4},
  [97] = {.lex_state = 2, .external_lex_state = 4},
  [98] = {.lex_state = 2, .external_lex_state = 5},
  [99] = {.lex_state = 2, .external_lex_state = 4},
  [100] = {.lex_state = 2, .external_lex_state = 4},
  [101] = {.lex_state = 3, .external_lex_state = 4},
  [102] = {.lex_state = 1, .external_lex_state = 4},
  [103] = {.lex_state = 2, .external_lex_state = 5},
  [104] = {.lex_state = 1, .external_lex_state = 4},
  [105] = {.lex_state = 3, .external_lex_state = 4},
  [106] = {.lex_state = 2, .external_lex_state = 5},
  [107] = {.lex_state = 2, .external_lex_state = 4},
  [108] = {.lex_state = 3, .external_lex_state = 4},
  [109] = {.lex_state = 2, .external_lex_state = 4},
  [110] = {.lex_state = 3, .external_lex_state = 4},
  [111] = {.lex_state = 2, .external_lex_state = 5},
  [112] = {.lex_state = 2, .external_lex_state = 4},
  [113] = {.lex_state = 2, .external_lex_state = 4},
  [114] = {.lex_state = 2, .external_lex_state = 5},
  [115] = {.lex_state = 2, .external_lex_state = 4},
  [116] = {.lex_state = 2, .external_lex_state = 5},
  [117] = {.lex_state = 2, .external_lex_state = 5},
  [118] = {.lex_state = 1, .external_lex_state = 4},
  [119] = {.lex_state = 2, .external_lex_state = 4},
  [120] = {.lex_state = 3, .external_lex_state = 4},
  [121] = {.lex_state = 3, .external_lex_state = 4},
  [122] = {.lex_state = 3, .external_lex_state = 4},
  [123] = {.lex_state = 3, .external_lex_state = 4},
  [124] = {.lex_state = 3, .external_lex_state = 4},
  [125] = {.lex_state = 3, .external_lex_state = 4},
  [126] = {.lex_state = 3, .external_lex_state = 4},
  [127] = {.lex_state = 3, .external_lex_state = 4},
  [128] = {.lex_state = 2, .external_lex_state = 5},
  [129] = {.lex_state = 1, .external_lex_state = 4},
  [130] = {.lex_state = 3, .external_lex_state = 4},
  [131] = {.lex_state = 1, .external_lex_state = 4},
  [132] = {.lex_state = 2, .external_lex_state = 5},
  [133] = {.lex_state = 3, .external_lex_state = 4},
  [134] = {.lex_state = 3, .external_lex_state = 4},
  [135] = {.lex_state = 3, .external_lex_state = 4},
  [136] = {.lex_state = 3, .external_lex_state = 4},
  [137] = {.lex_state = 2, .external_lex_state = 4},
  [138] = {.lex_state = 3, .external_lex_state = 4},
  [139] = {.lex_state = 2, .external_lex_state = 4},
  [140] = {.lex_state = 3, .external_lex_state = 4},
  [141] = {.lex_state = 3, .external_lex_state = 4},
  [142] = {.lex_state = 3, .external_lex_state = 4},
  [143] = {.lex_state = 3, .external_lex_state = 4},
  [144] = {.lex_state = 1, .external_lex_state = 4},
  [145] = {.lex_state = 3, .external_lex_state = 4},
  [146] = {.lex_state = 3, .external_lex_state = 4},
  [147] = {.lex_state = 3, .external_lex_state = 4},
  [148] = {.lex_state = 2, .external_lex_state = 5},
  [149] = {.lex_state = 3, .external_lex_state = 4},
  [150] = {.lex_state = 3, .external_lex_state = 4},
  [151] = {.lex_state = 3, .external_lex_state = 4},
  [152] = {.lex_state = 3, .external_lex_state = 4},
  [153] = {.lex_state = 2, .external_lex_state = 4},
  [154] = {.lex_state = 3, .external_lex_state = 4},
  [155] = {.lex_state = 3, .external_lex_state = 4},
  [156] = {.lex_state = 2, .external_lex_state = 4},
  [157] = {.lex_state = 2, .external_lex_state = 4},
  [158] = {.lex_state = 1, .external_lex_state = 4},
  [159] = {.lex_state = 3, .external_lex_state = 4},
  [160] = {.lex_state = 3, .external_lex_state = 4},
  [161] = {.lex_state = 1, .external_lex_state = 4},
  [162] = {.lex_state = 2, .external_lex_state = 4},
  [163] = {.lex_state = 3, .external_lex_state = 4},
  [164] = {.lex_state = 2, .external_lex_state = 4},
  [165] = {.lex_state = 2, .external_lex_state = 5},
  [166] = {.lex_state = 3, .external_lex_state = 4},
  [167] = {.lex_state = 3, .external_lex_state = 4},
  [168] = {.lex_state = 1, .external_lex_state = 4},
  [169] = {.lex_state = 3, .external_lex_state = 4},
  [170] = {.lex_state = 2, .external_lex_state = 4},
  [171] = {.lex_state = 3, .external_lex_state = 4},
  [172] = {.lex_state = 2, .external_lex_state = 4},
  [173] = {.lex_state = 2, .external_lex_state = 4},
  [174] = {.lex_state = 2, .external_lex_state = 5},
  [175] = {.lex_state = 3, .external_lex_state = 4},
  [176] = {.lex_state = 3, .external_lex_state = 4},
  [177] = {.lex_state = 2, .external_lex_state = 4},
  [178] = {.lex_state = 2, .external_lex_state = 5},
  [179] = {.lex_state = 3, .external_lex_state = 4},
  [180] = {.lex_state = 2, .external_lex_state = 4},
  [181] = {.lex_state = 3, .external_lex_state = 4},
  [182] = {.lex_state = 2, .external_lex_state = 4},
  [183] = {.lex_state = 3, .external_lex_state = 4},
  [184] = {.lex_state = 3, .external_lex_state = 4},
  [185] = {.lex_state = 3, .external_lex_state = 4},
  [186] = {.lex_state = 3, .external_lex_state = 4},
  [187] = {.lex_state = 3, .external_lex_state = 4},
  [188] = {.lex_state = 3, .external_lex_state = 4},
  [189] = {.lex_state = 3, .external_lex_state = 4},
  [190] = {.lex_state = 2, .external_lex_state = 4},
  [191] = {.lex_state = 3, .external_lex_state = 4},
  [192] = {.lex_state = 2, .external_lex_state = 4},
  [193] = {.lex_state = 2, .external_lex_state = 5},
  [194] = {.lex_state = 2, .external_lex_state = 5},
  [195] = {.lex_state = 2, .external_lex_state = 5},
  [196] = {.lex_state = 2, .external_lex_state = 5},
  [197] = {.lex_state = 2, .external_lex_state = 5},
  [198] = {.lex_state = 2, .external_lex_state = 5},
  [199] = {.lex_state = 2, .external_lex_state = 5},
  [200] = {.lex_state = 2, .external_lex_state = 4},
  [201] = {.lex_state = 2, .external_lex_state = 4},
  [202] = {.lex_state = 2, .external_lex_state = 4},
  [203] = {.lex_state = 2, .external_lex_state = 5},
  [204] = {.lex_state = 1, .external_lex_state = 4},
  [205] = {.lex_state = 2, .external_lex_state = 5},
  [206] = {.lex_state = 2, .external_lex_state = 4},
  [207] = {.lex_state = 2, .external_lex_state = 5},
  [208] = {.lex_state = 1, .external_lex_state = 4},
  [209] = {.lex_state = 1, .external_lex_state = 4},
  [210] = {.lex_state = 2, .external_lex_state = 4},
  [211] = {.lex_state = 2, .external_lex_state = 5},
  [212] = {.lex_state = 1, .external_lex_state = 4},
  [213] = {.lex_state = 2, .external_lex_state = 5},
  [214] = {.lex_state = 2, .external_lex_state = 4},
  [215] = {.lex_state = 1, .external_lex_state = 4},
  [216] = {.lex_state = 1, .external_lex_state = 4},
  [217] = {.lex_state = 1, .external_lex_state = 4},
  [218] = {.lex_state = 1, .external_lex_state = 4},
  [219] = {.lex_state = 2, .external_lex_state = 5},
  [220] = {.lex_state = 2, .external_lex_state = 5},
  [221] = {.lex_state = 2, .external_lex_state = 5},
  [222] = {.lex_state = 1, .external_lex_state = 4},
  [223] = {.lex_state = 1, .external_lex_state = 4},
  [224] = {.lex_state = 2, .external_lex_state = 4},
  [225] = {.lex_state = 2, .external_lex_state = 5},
  [226] = {.lex_state = 2, .external_lex_state = 5},
  [227] = {.lex_state = 2, .external_lex_state = 4},
  [228] = {.lex_state = 1, .external_lex_state = 4},
  [229] = {.lex_state = 2, .external_lex_state = 4},
  [230] = {.lex_state = 1, .external_lex_state = 4},
  [231] = {.lex_state = 2, .external_lex_state = 5},
  [232] = {.lex_state = 2, .external_lex_state = 5},
  [233] = {.lex_state = 2, .external_lex_state = 5},
  [234] = {.lex_state = 2, .external_lex_state = 5},
  [235] = {.lex_state = 3, .external_lex_state = 4},
  [236] = {.lex_state = 3, .external_lex_state = 4},
  [237] = {.lex_state = 1, .external_lex_state = 4},
  [238] = {.lex_state = 3, .external_lex_state = 4},
  [239] = {.lex_state = 3, .external_lex_state = 4},
  [240] = {.lex_state = 2, .external_lex_state = 5},
  [241] = {.lex_state = 1, .external_lex_state = 4},
  [242] = {.lex_state = 2, .external_lex_state = 5},
  [243] = {.lex_state = 3, .external_lex_state = 4},
  [244] = {.lex_state = 3, .external_lex_state = 4},
  [245] = {.lex_state = 3, .external_lex_state = 4},
  [246] = {.lex_state = 3, .external_lex_state = 4},
  [247] = {.lex_state = 2, .external_lex_state = 4},
  [248] = {.lex_state = 3, .external_lex_state = 4},
  [249] = {.lex_state = 3, .external_lex_state = 4},
  [250] = {.lex_state = 3, .external_lex_state = 4},
  [251] = {.lex_state = 3, .external_lex_state = 4},
  [252] = {.lex_state = 2, .external_lex_state = 4},
  [253] = {.lex_state = 2, .external_lex_state = 5},
  [254] = {.lex_state = 3, .external_lex_state = 4},
  [255] = {.lex_state = 3, .external_lex_state = 4},
  [256] = {.lex_state = 2, .external_lex_state = 4},
  [257] = {.lex_state = 2, .external_lex_state = 5},
  [258] = {.lex_state = 2, .external_lex_state = 5},
  [259] = {.lex_state = 3, .external_lex_state = 4},
  [260] = {.lex_state = 3, .external_lex_state = 4},
  [261] = {.lex_state = 3, .external_lex_state = 4},
  [262] = {.lex_state = 95, .external_lex_state = 2},
  [263] = {.lex_state = 2, .external_lex_state = 5},
  [264] = {.lex_state = 2, .external_lex_state = 4},
  [265] = {.lex_state = 95, .external_lex_state = 2},
  [266] = {.lex_state = 2, .external_lex_state = 5},
  [267] = {.lex_state = 2, .external_lex_state = 5},
  [268] = {.lex_state = 95, .external_lex_state = 2},
  [269] = {.lex_state = 95, .external_lex_state = 2},
  [270] = {.lex_state = 95, .external_lex_state = 2},
  [271] = {.lex_state = 2, .external_lex_state = 5},
  [272] = {.lex_state = 2, .external_lex_state = 5},
  [273] = {.lex_state = 95, .external_lex_state = 2},
  [274] = {.lex_state = 95, .external_lex_state = 2},
  [275] = {.lex_state = 95, .external_lex_state = 2},
  [276] = {.lex_state = 2, .external_lex_state = 4},
  [277] = {.lex_state = 95, .external_lex_state = 2},
  [278] = {.lex_state = 95, .external_lex_state = 2},
  [279] = {.lex_state = 95, .external_lex_state = 2},
  [280] = {.lex_state = 95, .external_lex_state = 2},
  [281] = {.lex_state = 95, .external_lex_state = 2},
  [282] = {.lex_state = 95, .external_lex_state = 2},
  [283] = {.lex_state = 95, .external_lex_state = 2},
  [284] = {.lex_state = 95, .external_lex_state = 2},
  [285] = {.lex_state = 95, .external_lex_state = 2},
  [286] = {.lex_state = 95, .external_lex_state = 2},
  [287] = {.lex_state = 2, .external_lex_state = 4},
  [288] = {.lex_state = 2, .external_lex_state = 4},
  [289] = {.lex_state = 95, .external_lex_state = 2},
  [290] = {.lex_state = 95, .external_lex_state = 2},
  [291] = {.lex_state = 95, .external_lex_state = 2},
  [292] = {.lex_state = 95, .external_lex_state = 2},
  [293] = {.lex_state = 95, .external_lex_state = 2},
  [294] = {.lex_state = 2, .external_lex_state = 4},
  [295] = {.lex_state = 95, .external_lex_state = 2},
  [296] = {.lex_state = 95, .external_lex_state = 2},
  [297] = {.lex_state = 95, .external_lex_state = 2},
  [298] = {.lex_state = 95, .external_lex_state = 2},
  [299] = {.lex_state = 2, .external_lex_state = 5},
  [300] = {.lex_state = 95, .external_lex_state = 2},
  [301] = {.lex_state = 95, .external_lex_state = 2},
  [302] = {.lex_state = 95, .external_lex_state = 2},
  [303] = {.lex_state = 95, .external_lex_state = 2},
  [304] = {.lex_state = 95, .external_lex_state = 2},
  [305] = {.lex_state = 95, .external_lex_state = 2},
  [306] = {.lex_state = 95, .external_lex_state = 2},
  [307] = {.lex_state = 95, .external_lex_state = 2},
  [308] = {.lex_state = 2, .external_lex_state = 5},
  [309] = {.lex_state = 2, .external_lex_state = 5},
  [310] = {.lex_state = 95, .external_lex_state = 2},
  [311] = {.lex_state = 95, .external_lex_state = 2},
  [312] = {.lex_state = 95, .external_lex_state = 2},
  [313] = {.lex_state = 95, .external_lex_state = 2},
  [314] = {.lex_state = 2, .external_lex_state = 4},
  [315] = {.lex_state = 95, .external_lex_state = 2},
  [316] = {.lex_state = 95, .external_lex_state = 2},
  [317] = {.lex_state = 2, .external_lex_state = 4},
  [318] = {.lex_state = 95, .external_lex_state = 2},
  [319] = {.lex_state = 95, .external_lex_state = 2},
  [320] = {.lex_state = 2, .external_lex_state = 5},
  [321] = {.lex_state = 95, .external_lex_state = 3},
  [322] = {.lex_state = 3, .external_lex_state = 4},
  [323] = {.lex_state = 2, .external_lex_state = 5},
  [324] = {.lex_state = 2, .external_lex_state = 5},
  [325] = {.lex_state = 2, .external_lex_state = 5},
  [326] = {.lex_state = 95, .external_lex_state = 3},
  [327] = {.lex_state = 3, .external_lex_state = 4},
  [328] = {.lex_state = 2, .external_lex_state = 5},
  [329] = {.lex_state = 3, .external_lex_state = 4},
  [330] = {.lex_state = 2, .external_lex_state = 5},
  [331] = {.lex_state = 2, .external_lex_state = 5},
  [332] = {.lex_state = 2, .external_lex_state = 5},
  [333] = {.lex_state = 95, .external_lex_state = 3},
  [334] = {.lex_state = 95, .external_lex_state = 3},
  [335] = {.lex_state = 95, .external_lex_state = 3},
  [336] = {.lex_state = 95, .external_lex_state = 3},
  [337] = {.lex_state = 95, .external_lex_state = 3},
  [338] = {.lex_state = 95, .external_lex_state = 3},
  [339] = {.lex_state = 95, .external_lex_state = 3},
  [340] = {.lex_state = 2, .external_lex_state = 5},
  [341] = {.lex_state = 2, .external_lex_state = 5},
  [342] = {.lex_state = 95, .external_lex_state = 3},
  [343] = {.lex_state = 2, .external_lex_state = 5},
  [344] = {.lex_state = 95, .external_lex_state = 3},
  [345] = {.lex_state = 95, .external_lex_state = 3},
  [346] = {.lex_state = 95, .external_lex_state = 3},
  [347] = {.lex_state = 3, .external_lex_state = 4},
  [348] = {.lex_state = 95, .external_lex_state = 3},
  [349] = {.lex_state = 95, .external_lex_state = 3},
  [350] = {.lex_state = 95, .external_lex_state = 3},
  [351] = {.lex_state = 95, .external_lex_state = 3},
  [352] = {.lex_state = 3, .external_lex_state = 4},
  [353] = {.lex_state = 95, .external_lex_state = 3},
  [354] = {.lex_state = 95, .external_lex_state = 3},
  [355] = {.lex_state = 95, .external_lex_state = 3},
  [356] = {.lex_state = 95, .external_lex_state = 3},
  [357] = {.lex_state = 95, .external_lex_state = 3},
  [358] = {.lex_state = 95, .external_lex_state = 3},
  [359] = {.lex_state = 95, .external_lex_state = 3},
  [360] = {.lex_state = 95, .external_lex_state = 3},
  [361] = {.lex_state = 2, .external_lex_state = 5},
  [362] = {.lex_state = 95, .external_lex_state = 3},
  [363] = {.lex_state = 95, .external_lex_state = 3},
  [364] = {.lex_state = 95, .external_lex_state = 3},
  [365] = {.lex_state = 95, .external_lex_state = 3},
  [366] = {.lex_state = 95, .external_lex_state = 3},
  [367] = {.lex_state = 95, .external_lex_state = 3},
  [368] = {.lex_state = 95, .external_lex_state = 3},
  [369] = {.lex_state = 95, .external_lex_state = 3},
  [370] = {.lex_state = 95, .external_lex_state = 3},
  [371] = {.lex_state = 95, .external_lex_state = 3},
  [372] = {.lex_state = 95, .external_lex_state = 3},
  [373] = {.lex_state = 95, .external_lex_state = 3},
  [374] = {.lex_state = 95, .external_lex_state = 3},
  [375] = {.lex_state = 95, .external_lex_state = 3},
  [376] = {.lex_state = 95, .external_lex_state = 3},
  [377] = {.lex_state = 95, .external_lex_state = 3},
  [378] = {.lex_state = 95, .external_lex_state = 3},
  [379] = {.lex_state = 95, .external_lex_state = 3},
  [380] = {.lex_state = 95, .external_lex_state = 3},
  [381] = {.lex_state = 95, .external_lex_state = 3},
  [382] = {.lex_state = 3, .external_lex_state = 4},
  [383] = {.lex_state = 3, .external_lex_state = 4},
  [384] = {.lex_state = 3, .external_lex_state = 4},
  [385] = {.lex_state = 3, .external_lex_state = 4},
  [386] = {.lex_state = 2, .external_lex_state = 5},
  [387] = {.lex_state = 3, .external_lex_state = 4},
  [388] = {.lex_state = 3, .external_lex_state = 4},
  [389] = {.lex_state = 2, .external_lex_state = 5},
  [390] = {.lex_state = 2, .external_lex_state = 4},
  [391] = {.lex_state = 3, .external_lex_state = 4},
  [392] = {.lex_state = 3, .external_lex_state = 4},
  [393] = {.lex_state = 3, .external_lex_state = 4},
  [394] = {.lex_state = 3, .external_lex_state = 4},
  [395] = {.lex_state = 2, .external_lex_state = 4},
  [396] = {.lex_state = 3, .external_lex_state = 4},
  [397] = {.lex_state = 3, .external_lex_state = 4},
  [398] = {.lex_state = 3, .external_lex_state = 4},
  [399] = {.lex_state = 3, .external_lex_state = 4},
  [400] = {.lex_state = 3, .external_lex_state = 4},
  [401] = {.lex_state = 3, .external_lex_state = 4},
  [402] = {.lex_state = 3, .external_lex_state = 4},
  [403] = {.lex_state = 3, .external_lex_state = 4},
  [404] = {.lex_state = 3, .external_lex_state = 4},
  [405] = {.lex_state = 3, .external_lex_state = 4},
  [406] = {.lex_state = 3, .external_lex_state = 4},
  [407] = {.lex_state = 3, .external_lex_state = 4},
  [408] = {.lex_state = 3, .external_lex_state = 4},
  [409] = {.lex_state = 3, .external_lex_state = 4},
  [410] = {.lex_state = 3, .external_lex_state = 4},
  [411] = {.lex_state = 3, .external_lex_state = 4},
  [412] = {.lex_state = 3, .external_lex_state = 4},
  [413] = {.lex_state = 3, .external_lex_state = 4},
  [414] = {.lex_state = 3, .external_lex_state = 4},
  [415] = {.lex_state = 3, .external_lex_state = 4},
  [416] = {.lex_state = 3, .external_lex_state = 4},
  [417] = {.lex_state = 3, .external_lex_state = 4},
  [418] = {.lex_state = 3, .external_lex_state = 4},
  [419] = {.lex_state = 3, .external_lex_state = 4},
  [420] = {.lex_state = 3, .external_lex_state = 4},
  [421] = {.lex_state = 3, .external_lex_state = 4},
  [422] = {.lex_state = 2, .external_lex_state = 4},
  [423] = {.lex_state = 3, .external_lex_state = 4},
  [424] = {.lex_state = 3, .external_lex_state = 4},
  [425] = {.lex_state = 3, .external_lex_state = 4},
  [426] = {.lex_state = 3, .external_lex_state = 4},
  [427] = {.lex_state = 3, .external_lex_state = 4},
  [428] = {.lex_state = 3, .external_lex_state = 4},
  [429] = {.lex_state = 3, .external_lex_state = 4},
  [430] = {.lex_state = 3, .external_lex_state = 4},
  [431] = {.lex_state = 3, .external_lex_state = 4},
  [432] = {.lex_state = 3, .external_lex_state = 4},
  [433] = {.lex_state = 3, .external_lex_state = 4},
  [434] = {.lex_state = 3, .external_lex_state = 4},
  [435] = {.lex_state = 3, .external_lex_state = 4},
  [436] = {.lex_state = 5, .external_lex_state = 4},
  [437] = {.lex_state = 3, .external_lex_state = 4},
  [438] = {.lex_state = 3, .external_lex_state = 4},
  [439] = {.lex_state = 3, .external_lex_state = 4},
  [440] = {.lex_state = 3, .external_lex_state = 4},
  [441] = {.lex_state = 3, .external_lex_state = 4},
  [442] = {.lex_state = 3, .external_lex_state = 4},
  [443] = {.lex_state = 3, .external_lex_state = 4},
  [444] = {.lex_state = 3, .external_lex_state = 4},
  [445] = {.lex_state = 3, .external_lex_state = 4},
  [446] = {.lex_state = 3, .external_lex_state = 4},
  [447] = {.lex_state = 3, .external_lex_state = 4},
  [448] = {.lex_state = 2, .external_lex_state = 4},
  [449] = {.lex_state = 3, .external_lex_state = 4},
  [450] = {.lex_state = 3, .external_lex_state = 4},
  [451] = {.lex_state = 3, .external_lex_state = 4},
  [452] = {.lex_state = 3, .external_lex_state = 4},
  [453] = {.lex_state = 3, .external_lex_state = 4},
  [454] = {.lex_state = 3, .external_lex_state = 4},
  [455] = {.lex_state = 3, .external_lex_state = 4},
  [456] = {.lex_state = 3, .external_lex_state = 4},
  [457] = {.lex_state = 3, .external_lex_state = 4},
  [458] = {.lex_state = 3, .external_lex_state = 4},
  [459] = {.lex_state = 3, .external_lex_state = 4},
  [460] = {.lex_state = 3, .external_lex_state = 4},
  [461] = {.lex_state = 3, .external_lex_state = 4},
  [462] = {.lex_state = 3, .external_lex_state = 4},
  [463] = {.lex_state = 3, .external_lex_state = 4},
  [464] = {.lex_state = 2, .external_lex_state = 4},
  [465] = {.lex_state = 2, .external_lex_state = 4},
  [466] = {.lex_state = 2, .external_lex_state = 4},
  [467] = {.lex_state = 18, .external_lex_state = 6},
  [468] = {.lex_state = 18, .external_lex_state = 6},
  [469] = {.lex_state = 2, .external_lex_state = 4},
  [470] = {.lex_state = 2, .external_lex_state = 4},
  [471] = {.lex_state = 5, .external_lex_state = 4},
  [472] = {.lex_state = 18, .external_lex_state = 6},
  [473] = {.lex_state = 2, .external_lex_state = 4},
  [474] = {.lex_state = 2, .external_lex_state = 4},
  [475] = {.lex_state = 5, .external_lex_state = 4},
  [476] = {.lex_state = 2, .external_lex_state = 4},
  [477] = {.lex_state = 2, .external_lex_state = 4},
  [478] = {.lex_state = 2, .external_lex_state = 4},
  [479] = {.lex_state = 2, .external_lex_state = 4},
  [480] = {.lex_state = 5, .external_lex_state = 4},
  [481] = {.lex_state = 18, .external_lex_state = 6},
  [482] = {.lex_state = 2, .external_lex_state = 4},
  [483] = {.lex_state = 2, .external_lex_state = 4},
  [484] = {.lex_state = 18, .external_lex_state = 6},
  [485] = {.lex_state = 2, .external_lex_state = 4},
  [486] = {.lex_state = 2, .external_lex_state = 4},
  [487] = {.lex_state = 2, .external_lex_state = 4},
  [488] = {.lex_state = 19, .external_lex_state = 4},
  [489] = {.lex_state = 5, .external_lex_state = 4},
  [490] = {.lex_state = 5, .external_lex_state = 4},
  [491] = {.lex_state = 5, .external_lex_state = 4},
  [492] = {.lex_state = 2, .external_lex_state = 4},
  [493] = {.lex_state = 5, .external_lex_state = 4},
  [494] = {.lex_state = 5, .external_lex_state = 4},
  [495] = {.lex_state = 5, .external_lex_state = 4},
  [496] = {.lex_state = 5, .external_lex_state = 4},
  [497] = {.lex_state = 5, .external_lex_state = 4},
  [498] = {.lex_state = 5, .external_lex_state = 4},
  [499] = {.lex_state = 19, .external_lex_state = 4},
  [500] = {.lex_state = 5, .external_lex_state = 4},
  [501] = {.lex_state = 5, .external_lex_state = 4},
  [502] = {.lex_state = 5, .external_lex_state = 4},
  [503] = {.lex_state = 5, .external_lex_state = 4},
  [504] = {.lex_state = 5, .external_lex_state = 4},
  [505] = {.lex_state = 19, .external_lex_state = 4},
  [506] = {.lex_state = 19, .external_lex_state = 4},
  [507] = {.lex_state = 5, .external_lex_state = 4},
  [508] = {.lex_state = 19, .external_lex_state = 4},
  [509] = {.lex_state = 5, .external_lex_state = 4},
  [510] = {.lex_state = 2, .external_lex_state = 4},
  [511] = {.lex_state = 2, .external_lex_state = 5},
  [512] = {.lex_state = 5, .external_lex_state = 4},
  [513] = {.lex_state = 0, .external_lex_state = 4},
  [514] = {.lex_state = 2, .external_lex_state = 4},
  [515] = {.lex_state = 0, .external_lex_state = 4},
  [516] = {.lex_state = 5, .external_lex_state = 4},
  [517] = {.lex_state = 0, .external_lex_state = 4},
  [518] = {.lex_state = 0, .external_lex_state = 4},
  [519] = {.lex_state = 0, .external_lex_state = 4},
  [520] = {.lex_state = 2, .external_lex_state = 5},
  [521] = {.lex_state = 7, .external_lex_state = 6},
  [522] = {.lex_state = 5, .external_lex_state = 4},
  [523] = {.lex_state = 5, .external_lex_state = 4},
  [524] = {.lex_state = 0, .external_lex_state = 4},
  [525] = {.lex_state = 0, .external_lex_state = 4},
  [526] = {.lex_state = 0, .external_lex_state = 4},
  [527] = {.lex_state = 0, .external_lex_state = 4},
  [528] = {.lex_state = 0, .external_lex_state = 4},
  [529] = {.lex_state = 8, .external_lex_state = 4},
  [530] = {.lex_state = 5, .external_lex_state = 4},
  [531] = {.lex_state = 0, .external_lex_state = 4},
  [532] = {.lex_state = 0, .external_lex_state = 4},
  [533] = {.lex_state = 2, .external_lex_state = 5},
  [534] = {.lex_state = 5, .external_lex_state = 4},
  [535] = {.lex_state = 0, .external_lex_state = 4},
  [536] = {.lex_state = 2, .external_lex_state = 4},
  [537] = {.lex_state = 5, .external_lex_state = 4},
  [538] = {.lex_state = 5, .external_lex_state = 4},
  [539] = {.lex_state = 2, .external_lex_state = 4},
  [540] = {.lex_state = 5, .external_lex_state = 4},
  [541] = {.lex_state = 0, .external_lex_state = 5},
  [542] = {.lex_state = 0, .external_lex_state = 4},
  [543] = {.lex_state = 5, .external_lex_state = 4},
  [544] = {.lex_state = 5, .external_lex_state = 4},
  [545] = {.lex_state = 0, .external_lex_state = 4},
  [546] = {.lex_state = 5, .external_lex_state = 4},
  [547] = {.lex_state = 0, .external_lex_state = 4},
  [548] = {.lex_state = 0, .external_lex_state = 4},
  [549] = {.lex_state = 5, .external_lex_state = 4},
  [550] = {.lex_state = 5, .external_lex_state = 4},
  [551] = {.lex_state = 0, .external_lex_state = 4},
  [552] = {.lex_state = 5, .external_lex_state = 4},
  [553] = {.lex_state = 0, .external_lex_state = 4},
  [554] = {.lex_state = 0, .external_lex_state = 5},
  [555] = {.lex_state = 0, .external_lex_state = 5},
  [556] = {.lex_state = 0, .external_lex_state = 4},
  [557] = {.lex_state = 18, .external_lex_state = 6},
  [558] = {.lex_state = 0, .external_lex_state = 4},
  [559] = {.lex_state = 0, .external_lex_state = 4},
  [560] = {.lex_state = 0, .external_lex_state = 5},
  [561] = {.lex_state = 0, .external_lex_state = 4},
  [562] = {.lex_state = 0, .external_lex_state = 5},
  [563] = {.lex_state = 0, .external_lex_state = 4},
  [564] = {.lex_state = 0, .external_lex_state = 4},
  [565] = {.lex_state = 0, .external_lex_state = 4},
  [566] = {.lex_state = 2, .external_lex_state = 4},
  [567] = {.lex_state = 0, .external_lex_state = 5},
  [568] = {.lex_state = 0, .external_lex_state = 4},
  [569] = {.lex_state = 5, .external_lex_state = 4},
  [570] = {.lex_state = 0, .external_lex_state = 4},
  [571] = {.lex_state = 5, .external_lex_state = 4},
  [572] = {.lex_state = 5, .external_lex_state = 4},
  [573] = {.lex_state = 5, .external_lex_state = 4},
  [574] = {.lex_state = 18, .external_lex_state = 6},
  [575] = {.lex_state = 19, .external_lex_state = 4},
  [576] = {.lex_state = 18, .external_lex_state = 6},
  [577] = {.lex_state = 5, .external_lex_state = 4},
  [578] = {.lex_state = 5, .external_lex_state = 4},
  [579] = {.lex_state = 0, .external_lex_state = 4},
  [580] = {.lex_state = 5, .external_lex_state = 4},
  [581] = {.lex_state = 2, .external_lex_state = 5},
  [582] = {.lex_state = 0, .external_lex_state = 4},
  [583] = {.lex_state = 0, .external_lex_state = 4},
  [584] = {.lex_state = 5, .external_lex_state = 4},
  [585] = {.lex_state = 0, .external_lex_state = 4},
  [586] = {.lex_state = 0, .external_lex_state = 5},
  [587] = {.lex_state = 5, .external_lex_state = 4},
  [588] = {.lex_state = 5, .external_lex_state = 4},
  [589] = {.lex_state = 0, .external_lex_state = 5},
  [590] = {.lex_state = 0, .external_lex_state = 5},
  [591] = {.lex_state = 0, .external_lex_state = 5},
  [592] = {.lex_state = 5, .external_lex_state = 4},
  [593] = {.lex_state = 18, .external_lex_state = 6},
  [594] = {.lex_state = 0, .external_lex_state = 4},
  [595] = {.lex_state = 18, .external_lex_state = 6},
  [596] = {.lex_state = 9, .external_lex_state = 4},
  [597] = {.lex_state = 18, .external_lex_state = 6},
  [598] = {.lex_state = 0, .external_lex_state = 4},
  [599] = {.lex_state = 0, .external_lex_state = 5},
  [600] = {.lex_state = 0, .external_lex_state = 5},
  [601] = {.lex_state = 18, .external_lex_state = 6},
  [602] = {.lex_state = 18, .external_lex_state = 6},
  [603] = {.lex_state = 0, .external_lex_state = 4},
  [604] = {.lex_state = 0, .external_lex_state = 4},
  [605] = {.lex_state = 18, .external_lex_state = 6},
  [606] = {.lex_state = 0, .external_lex_state = 4},
  [607] = {.lex_state = 19, .external_lex_state = 4},
  [608] = {.lex_state = 18, .external_lex_state = 6},
  [609] = {.lex_state = 0, .external_lex_state = 5},
  [610] = {.lex_state = 18, .external_lex_state = 6},
  [611] = {.lex_state = 18, .external_lex_state = 6},
  [612] = {.lex_state = 18, .external_lex_state = 6},
  [613] = {.lex_state = 0, .external_lex_state = 4},
  [614] = {.lex_state = 18, .external_lex_state = 6},
  [615] = {.lex_state = 0, .external_lex_state = 4},
  [616] = {.lex_state = 0, .external_lex_state = 5},
  [617] = {.lex_state = 0, .external_lex_state = 4},
  [618] = {.lex_state = 0, .external_lex_state = 4},
  [619] = {.lex_state = 0, .external_lex_state = 4},
  [620] = {.lex_state = 0, .external_lex_state = 4},
  [621] = {.lex_state = 0, .external_lex_state = 4},
  [622] = {.lex_state = 18, .external_lex_state = 6},
  [623] = {.lex_state = 0, .external_lex_state = 5},
  [624] = {.lex_state = 0, .external_lex_state = 4},
  [625] = {.lex_state = 19, .external_lex_state = 4},
  [626] = {.lex_state = 0, .external_lex_state = 4},
  [627] = {.lex_state = 0, .external_lex_state = 5},
  [628] = {.lex_state = 0, .external_lex_state = 4},
  [629] = {.lex_state = 0, .external_lex_state = 5},
  [630] = {.lex_state = 0, .external_lex_state = 4},
  [631] = {.lex_state = 5, .external_lex_state = 4},
  [632] = {.lex_state = 19, .external_lex_state = 4},
  [633] = {.lex_state = 0, .external_lex_state = 4},
  [634] = {.lex_state = 19, .external_lex_state = 4},
  [635] = {.lex_state = 0, .external_lex_state = 5},
  [636] = {.lex_state = 19, .external_lex_state = 4},
  [637] = {.lex_state = 19, .external_lex_state = 4},
  [638] = {.lex_state = 19, .external_lex_state = 4},
  [639] = {.lex_state = 19, .external_lex_state = 4},
  [640] = {.lex_state = 19, .external_lex_state = 4},
  [641] = {.lex_state = 19, .external_lex_state = 4},
  [642] = {.lex_state = 19, .external_lex_state = 4},
  [643] = {.lex_state = 5, .external_lex_state = 4},
  [644] = {.lex_state = 0, .external_lex_state = 5},
  [645] = {.lex_state = 19, .external_lex_state = 4},
  [646] = {.lex_state = 0, .external_lex_state = 5},
  [647] = {.lex_state = 19, .external_lex_state = 4},
  [648] = {.lex_state = 2, .external_lex_state = 4},
  [649] = {.lex_state = 0, .external_lex_state = 5},
  [650] = {.lex_state = 19, .external_lex_state = 4},
  [651] = {.lex_state = 2, .external_lex_state = 4},
  [652] = {.lex_state = 2, .external_lex_state = 4},
  [653] = {.lex_state = 2, .external_lex_state = 4},
  [654] = {.lex_state = 0, .external_lex_state = 4},
  [655] = {.lex_state = 0, .external_lex_state = 4},
  [656] = {.lex_state = 0, .external_lex_state = 5},
  [657] = {.lex_state = 2, .external_lex_state = 4},
  [658] = {.lex_state = 2, .external_lex_state = 5},
  [659] = {.lex_state = 0, .external_lex_state = 4},
  [660] = {.lex_state = 0, .external_lex_state = 4},
  [661] = {.lex_state = 95, .external_lex_state = 7},
  [662] = {.lex_state = 2, .external_lex_state = 4},
  [663] = {.lex_state = 2, .external_lex_state = 4},
  [664] = {.lex_state = 1, .external_lex_state = 4},
  [665] = {.lex_state = 0, .external_lex_state = 4},
  [666] = {.lex_state = 0, .external_lex_state = 4},
  [667] = {.lex_state = 2, .external_lex_state = 4},
  [668] = {.lex_state = 0, .external_lex_state = 4},
  [669] = {.lex_state = 0, .external_lex_state = 4},
  [670] = {.lex_state = 2, .external_lex_state = 4},
  [671] = {.lex_state = 0, .external_lex_state = 5},
  [672] = {.lex_state = 95, .external_lex_state = 7},
  [673] = {.lex_state = 0, .external_lex_state = 4},
  [674] = {.lex_state = 0, .external_lex_state = 4},
  [675] = {.lex_state = 15, .external_lex_state = 4},
  [676] = {.lex_state = 0, .external_lex_state = 5},
  [677] = {.lex_state = 0, .external_lex_state = 5},
  [678] = {.lex_state = 0, .external_lex_state = 4},
  [679] = {.lex_state = 2, .external_lex_state = 4},
  [680] = {.lex_state = 0, .external_lex_state = 4},
  [681] = {.lex_state = 95, .external_lex_state = 7},
  [682] = {.lex_state = 2, .external_lex_state = 4},
  [683] = {.lex_state = 0, .external_lex_state = 7},
  [684] = {.lex_state = 2, .external_lex_state = 4},
  [685] = {.lex_state = 2, .external_lex_state = 4},
  [686] = {.lex_state = 2, .external_lex_state = 4},
  [687] = {.lex_state = 2, .external_lex_state = 4},
  [688] = {.lex_state = 0, .external_lex_state = 5},
  [689] = {.lex_state = 10, .external_lex_state = 4},
  [690] = {.lex_state = 16, .external_lex_state = 4},
  [691] = {.lex_state = 2, .external_lex_state = 4},
  [692] = {.lex_state = 2, .external_lex_state = 4},
  [693] = {.lex_state = 0, .external_lex_state = 5},
  [694] = {.lex_state = 2, .external_lex_state = 4},
  [695] = {.lex_state = 2, .external_lex_state = 4},
  [696] = {.lex_state = 2, .external_lex_state = 4},
  [697] = {.lex_state = 2, .external_lex_state = 4},
  [698] = {.lex_state = 0, .external_lex_state = 7},
  [699] = {.lex_state = 2, .external_lex_state = 4},
  [700] = {.lex_state = 10, .external_lex_state = 4},
  [701] = {.lex_state = 16, .external_lex_state = 4},
  [702] = {.lex_state = 2, .external_lex_state = 4},
  [703] = {.lex_state = 2, .external_lex_state = 4},
  [704] = {.lex_state = 2, .external_lex_state = 4},
  [705] = {.lex_state = 2, .external_lex_state = 4},
  [706] = {.lex_state = 2, .external_lex_state = 4},
  [707] = {.lex_state = 10, .external_lex_state = 4},
  [708] = {.lex_state = 2, .external_lex_state = 4},
  [709] = {.lex_state = 2, .external_lex_state = 4},
  [710] = {.lex_state = 0, .external_lex_state = 4},
  [711] = {.lex_state = 2, .external_lex_state = 4},
  [712] = {.lex_state = 16, .external_lex_state = 4},
  [713] = {.lex_state = 2, .external_lex_state = 4},
  [714] = {.lex_state = 2, .external_lex_state = 4},
  [715] = {.lex_state = 2, .external_lex_state = 4},
  [716] = {.lex_state = 2, .external_lex_state = 4},
  [717] = {.lex_state = 2, .external_lex_state = 4},
  [718] = {.lex_state = 16, .external_lex_state = 4},
  [719] = {.lex_state = 10, .external_lex_state = 4},
  [720] = {.lex_state = 2, .external_lex_state = 4},
  [721] = {.lex_state = 2, .external_lex_state = 4},
  [722] = {.lex_state = 0, .external_lex_state = 4},
  [723] = {.lex_state = 10, .external_lex_state = 4},
  [724] = {.lex_state = 16, .external_lex_state = 4},
  [725] = {.lex_state = 2, .external_lex_state = 4},
  [726] = {.lex_state = 10, .external_lex_state = 4},
  [727] = {.lex_state = 2, .external_lex_state = 4},
  [728] = {.lex_state = 2, .external_lex_state = 4},
  [729] = {.lex_state = 16, .external_lex_state = 4},
  [730] = {.lex_state = 10, .external_lex_state = 4},
  [731] = {.lex_state = 0, .external_lex_state = 4},
  [732] = {.lex_state = 16, .external_lex_state = 4},
  [733] = {.lex_state = 2, .external_lex_state = 4},
  [734] = {.lex_state = 2, .external_lex_state = 4},
  [735] = {.lex_state = 2, .external_lex_state = 4},
  [736] = {.lex_state = 2, .external_lex_state = 4},
  [737] = {.lex_state = 1, .external_lex_state = 4},
  [738] = {.lex_state = 2, .external_lex_state = 4},
  [739] = {.lex_state = 2, .external_lex_state = 4},
  [740] = {.lex_state = 2, .external_lex_state = 4},
  [741] = {.lex_state = 2, .external_lex_state = 4},
  [742] = {.lex_state = 2, .external_lex_state = 4},
  [743] = {.lex_state = 10, .external_lex_state = 4},
  [744] = {.lex_state = 16, .external_lex_state = 4},
  [745] = {.lex_state = 2, .external_lex_state = 4},
  [746] = {.lex_state = 0, .external_lex_state = 4},
  [747] = {.lex_state = 0, .external_lex_state = 4},
  [748] = {.lex_state = 0, .external_lex_state = 4},
  [749] = {.lex_state = 5, .external_lex_state = 4},
  [750] = {.lex_state = 0, .external_lex_state = 4},
  [751] = {.lex_state = 0, .external_lex_state = 4},
  [752] = {.lex_state = 6, .external_lex_state = 4},
  [753] = {.lex_state = 0, .external_lex_state = 4},
  [754] = {.lex_state = 0, .external_lex_state = 4},
  [755] = {.lex_state = 0, .external_lex_state = 4},
  [756] = {.lex_state = 0, .external_lex_state = 4},
  [757] = {.lex_state = 0, .external_lex_state = 4},
  [758] = {.lex_state = 0, .external_lex_state = 4},
  [759] = {.lex_state = 0, .external_lex_state = 4},
  [760] = {.lex_state = 0, .external_lex_state = 4},
  [761] = {.lex_state = 0, .external_lex_state = 4},
  [762] = {.lex_state = 6, .external_lex_state = 4},
  [763] = {.lex_state = 0, .external_lex_state = 5},
  [764] = {.lex_state = 78, .external_lex_state = 4},
  [765] = {.lex_state = 0, .external_lex_state = 4},
  [766] = {.lex_state = 0, .external_lex_state = 4},
  [767] = {.lex_state = 10, .external_lex_state = 4},
  [768] = {.lex_state = 16, .external_lex_state = 4},
  [769] = {.lex_state = 0, .external_lex_state = 4},
  [770] = {.lex_state = 0, .external_lex_state = 5},
  [771] = {.lex_state = 0, .external_lex_state = 4},
  [772] = {.lex_state = 0, .external_lex_state = 4},
  [773] = {.lex_state = 78, .external_lex_state = 4},
  [774] = {.lex_state = 0, .external_lex_state = 4},
  [775] = {.lex_state = 0, .external_lex_state = 4},
  [776] = {.lex_state = 0, .external_lex_state = 4},
  [777] = {.lex_state = 0, .external_lex_state = 4},
  [778] = {.lex_state = 0, .external_lex_state = 4},
  [779] = {.lex_state = 2, .external_lex_state = 4},
  [780] = {.lex_state = 0, .external_lex_state = 4},
  [781] = {.lex_state = 78, .external_lex_state = 4},
  [782] = {.lex_state = 0, .external_lex_state = 4},
  [783] = {.lex_state = 0, .external_lex_state = 4},
  [784] = {.lex_state = 0, .external_lex_state = 4},
  [785] = {.lex_state = 95, .external_lex_state = 7},
  [786] = {.lex_state = 0, .external_lex_state = 4},
  [787] = {.lex_state = 0, .external_lex_state = 8},
  [788] = {.lex_state = 2, .external_lex_state = 4},
  [789] = {.lex_state = 0, .external_lex_state = 4},
  [790] = {.lex_state = 0, .external_lex_state = 4},
  [791] = {.lex_state = 0, .external_lex_state = 4},
  [792] = {.lex_state = 0, .external_lex_state = 4},
  [793] = {.lex_state = 0, .external_lex_state = 4},
  [794] = {.lex_state = 0, .external_lex_state = 4},
  [795] = {.lex_state = 0, .external_lex_state = 4},
  [796] = {.lex_state = 0, .external_lex_state = 5},
  [797] = {.lex_state = 2, .external_lex_state = 4},
  [798] = {.lex_state = 0, .external_lex_state = 4},
  [799] = {.lex_state = 0, .external_lex_state = 4},
  [800] = {.lex_state = 0, .external_lex_state = 4},
  [801] = {.lex_state = 0, .external_lex_state = 4},
  [802] = {.lex_state = 0, .external_lex_state = 4},
  [803] = {.lex_state = 0, .external_lex_state = 4},
  [804] = {.lex_state = 0, .external_lex_state = 4},
  [805] = {.lex_state = 0, .external_lex_state = 8},
  [806] = {.lex_state = 0, .external_lex_state = 5},
  [807] = {.lex_state = 0, .external_lex_state = 4},
  [808] = {.lex_state = 78, .external_lex_state = 4},
  [809] = {.lex_state = 0, .external_lex_state = 4},
  [810] = {.lex_state = 0, .external_lex_state = 5},
  [811] = {.lex_state = 0, .external_lex_state = 5},
  [812] = {.lex_state = 0, .external_lex_state = 4},
  [813] = {.lex_state = 95, .external_lex_state = 7},
  [814] = {.lex_state = 52, .external_lex_state = 4},
  [815] = {.lex_state = 0, .external_lex_state = 4},
  [816] = {.lex_state = 27, .external_lex_state = 4},
  [817] = {.lex_state = 0, .external_lex_state = 4},
  [818] = {.lex_state = 0, .external_lex_state = 4},
  [819] = {.lex_state = 0, .external_lex_state = 4},
  [820] = {.lex_state = 52, .external_lex_state = 4},
  [821] = {.lex_state = 0, .external_lex_state = 4},
  [822] = {.lex_state = 0, .external_lex_state = 4},
  [823] = {.lex_state = 0, .external_lex_state = 4},
  [824] = {.lex_state = 0, .external_lex_state = 4},
  [825] = {.lex_state = 0, .external_lex_state = 4},
  [826] = {.lex_state = 78, .external_lex_state = 4},
  [827] = {.lex_state = 0, .external_lex_state = 4},
  [828] = {.lex_state = 0, .external_lex_state = 4},
  [829] = {.lex_state = 0, .external_lex_state = 4},
  [830] = {.lex_state = 0, .external_lex_state = 4},
  [831] = {.lex_state = 0, .external_lex_state = 4},
  [832] = {.lex_state = 0, .external_lex_state = 4},
  [833] = {.lex_state = 95, .external_lex_state = 7},
  [834] = {.lex_state = 0, .external_lex_state = 4},
  [835] = {.lex_state = 0, .external_lex_state = 4},
  [836] = {.lex_state = 0, .external_lex_state = 4},
  [837] = {.lex_state = 0, .external_lex_state = 9},
  [838] = {.lex_state = 0, .external_lex_state = 4},
  [839] = {.lex_state = 0, .external_lex_state = 5},
  [840] = {.lex_state = 0, .external_lex_state = 8},
  [841] = {.lex_state = 0, .external_lex_state = 8},
  [842] = {.lex_state = 0, .external_lex_state = 4},
  [843] = {.lex_state = 0, .external_lex_state = 4},
  [844] = {.lex_state = 0, .external_lex_state = 4},
  [845] = {.lex_state = 0, .external_lex_state = 5},
  [846] = {.lex_state = 0, .external_lex_state = 4},
  [847] = {.lex_state = 0, .external_lex_state = 9},
  [848] = {.lex_state = 0, .external_lex_state = 4},
  [849] = {.lex_state = 0, .external_lex_state = 4},
  [850] = {.lex_state = 95, .external_lex_state = 7},
  [851] = {.lex_state = 0, .external_lex_state = 4},
  [852] = {.lex_state = 5, .external_lex_state = 4},
  [853] = {.lex_state = 0, .external_lex_state = 4},
  [854] = {.lex_state = 5, .external_lex_state = 4},
  [855] = {.lex_state = 5, .external_lex_state = 4},
  [856] = {.lex_state = 5, .external_lex_state = 4},
  [857] = {.lex_state = 0, .external_lex_state = 4},
  [858] = {.lex_state = 0, .external_lex_state = 4},
  [859] = {.lex_state = 0, .external_lex_state = 4},
  [860] = {.lex_state = 0, .external_lex_state = 8},
  [861] = {.lex_state = 0, .external_lex_state = 4},
  [862] = {.lex_state = 0, .external_lex_state = 4},
  [863] = {.lex_state = 0, .external_lex_state = 8},
  [864] = {.lex_state = 0, .external_lex_state = 4},
  [865] = {.lex_state = 5, .external_lex_state = 4},
  [866] = {.lex_state = 0, .external_lex_state = 4},
  [867] = {.lex_state = 0, .external_lex_state = 4},
  [868] = {.lex_state = 0, .external_lex_state = 4},
  [869] = {.lex_state = 5, .external_lex_state = 4},
  [870] = {.lex_state = 5, .external_lex_state = 4},
  [871] = {.lex_state = 0, .external_lex_state = 4},
  [872] = {.lex_state = 0, .external_lex_state = 4},
  [873] = {.lex_state = 5, .external_lex_state = 4},
  [874] = {.lex_state = 5, .external_lex_state = 4},
  [875] = {.lex_state = 0, .external_lex_state = 4},
  [876] = {.lex_state = 0, .external_lex_state = 10},
  [877] = {.lex_state = 0, .external_lex_state = 4},
  [878] = {.lex_state = 0, .external_lex_state = 4},
  [879] = {.lex_state = 0, .external_lex_state = 4},
  [880] = {.lex_state = 5, .external_lex_state = 4},
  [881] = {.lex_state = 0, .external_lex_state = 4},
  [882] = {.lex_state = 56, .external_lex_state = 4},
  [883] = {.lex_state = 0, .external_lex_state = 4},
  [884] = {.lex_state = 0, .external_lex_state = 4},
  [885] = {.lex_state = 0, .external_lex_state = 4},
  [886] = {.lex_state = 0, .external_lex_state = 4},
  [887] = {.lex_state = 0, .external_lex_state = 8},
  [888] = {.lex_state = 0, .external_lex_state = 8},
  [889] = {.lex_state = 0, .external_lex_state = 4},
  [890] = {.lex_state = 5, .external_lex_state = 4},
  [891] = {.lex_state = 0, .external_lex_state = 4},
  [892] = {.lex_state = 0, .external_lex_state = 4},
  [893] = {.lex_state = 0, .external_lex_state = 4},
  [894] = {.lex_state = 5, .external_lex_state = 4},
  [895] = {.lex_state = 0, .external_lex_state = 4},
  [896] = {.lex_state = 0, .external_lex_state = 4},
  [897] = {.lex_state = 0, .external_lex_state = 10},
  [898] = {.lex_state = 0, .external_lex_state = 4},
  [899] = {.lex_state = 0, .external_lex_state = 4},
  [900] = {.lex_state = 0, .external_lex_state = 4},
  [901] = {.lex_state = 17, .external_lex_state = 4},
  [902] = {.lex_state = 11, .external_lex_state = 4},
  [903] = {.lex_state = 0, .external_lex_state = 4},
  [904] = {.lex_state = 5, .external_lex_state = 4},
  [905] = {.lex_state = 5, .external_lex_state = 4},
  [906] = {.lex_state = 5, .external_lex_state = 4},
  [907] = {.lex_state = 5, .external_lex_state = 4},
  [908] = {.lex_state = 5, .external_lex_state = 4},
  [909] = {.lex_state = 0, .external_lex_state = 4},
  [910] = {.lex_state = 0, .external_lex_state = 4},
  [911] = {.lex_state = 0, .external_lex_state = 4},
  [912] = {.lex_state = 5, .external_lex_state = 4},
  [913] = {.lex_state = 0, .external_lex_state = 4},
  [914] = {.lex_state = 0, .external_lex_state = 4},
  [915] = {.lex_state = 0, .external_lex_state = 4},
  [916] = {.lex_state = 0, .external_lex_state = 4},
  [917] = {.lex_state = 78, .external_lex_state = 4},
  [918] = {.lex_state = 0, .external_lex_state = 4},
  [919] = {.lex_state = 5, .external_lex_state = 4},
  [920] = {.lex_state = 28, .external_lex_state = 4},
  [921] = {.lex_state = 0, .external_lex_state = 4},
  [922] = {.lex_state = 5, .external_lex_state = 4},
  [923] = {.lex_state = 5, .external_lex_state = 4},
  [924] = {.lex_state = 0, .external_lex_state = 4},
  [925] = {.lex_state = 0, .external_lex_state = 4},
  [926] = {.lex_state = 11, .external_lex_state = 4},
  [927] = {.lex_state = 5, .external_lex_state = 4},
  [928] = {.lex_state = 0, .external_lex_state = 4},
  [929] = {.lex_state = 5, .external_lex_state = 4},
  [930] = {.lex_state = 0, .external_lex_state = 4},
  [931] = {.lex_state = 0, .external_lex_state = 4},
  [932] = {.lex_state = 5, .external_lex_state = 4},
  [933] = {.lex_state = 0, .external_lex_state = 4},
  [934] = {.lex_state = 0, .external_lex_state = 4},
  [935] = {.lex_state = 0, .external_lex_state = 4},
  [936] = {.lex_state = 5, .external_lex_state = 4},
  [937] = {.lex_state = 0, .external_lex_state = 4},
  [938] = {.lex_state = 5, .external_lex_state = 4},
  [939] = {.lex_state = 5, .external_lex_state = 4},
  [940] = {.lex_state = 0, .external_lex_state = 4},
  [941] = {.lex_state = 0, .external_lex_state = 4},
  [942] = {.lex_state = 5, .external_lex_state = 4},
  [943] = {.lex_state = 17, .external_lex_state = 4},
  [944] = {.lex_state = 0, .external_lex_state = 4},
  [945] = {.lex_state = 5, .external_lex_state = 4},
  [946] = {.lex_state = 5, .external_lex_state = 4},
  [947] = {.lex_state = 5, .external_lex_state = 4},
  [948] = {.lex_state = 0, .external_lex_state = 4},
  [949] = {.lex_state = 0, .external_lex_state = 4},
  [950] = {.lex_state = 0, .external_lex_state = 4},
  [951] = {.lex_state = 5, .external_lex_state = 4},
  [952] = {.lex_state = 0, .external_lex_state = 4},
  [953] = {.lex_state = 0, .external_lex_state = 4},
  [954] = {.lex_state = 0, .external_lex_state = 4},
  [955] = {.lex_state = 5, .external_lex_state = 4},
  [956] = {.lex_state = 0, .external_lex_state = 4},
  [957] = {.lex_state = 5, .external_lex_state = 4},
  [958] = {.lex_state = 0, .external_lex_state = 4},
  [959] = {.lex_state = 0, .external_lex_state = 4},
  [960] = {.lex_state = 0, .external_lex_state = 4},
  [961] = {.lex_state = 0, .external_lex_state = 4},
  [962] = {.lex_state = 0, .external_lex_state = 4},
  [963] = {.lex_state = 5, .external_lex_state = 4},
  [964] = {.lex_state = 5, .external_lex_state = 4},
  [965] = {.lex_state = 0, .external_lex_state = 4},
  [966] = {.lex_state = 0, .external_lex_state = 4},
  [967] = {.lex_state = 0, .external_lex_state = 4},
  [968] = {.lex_state = 5, .external_lex_state = 4},
  [969] = {.lex_state = 0, .external_lex_state = 4},
  [970] = {.lex_state = 0, .external_lex_state = 4},
  [971] = {.lex_state = 0, .external_lex_state = 4},
  [972] = {.lex_state = 0, .external_lex_state = 4},
  [973] = {.lex_state = 0, .external_lex_state = 4},
  [974] = {.lex_state = 0, .external_lex_state = 4},
  [975] = {.lex_state = 0, .external_lex_state = 4},
  [976] = {.lex_state = 0, .external_lex_state = 4},
  [977] = {.lex_state = 0, .external_lex_state = 4},
  [978] = {.lex_state = 0, .external_lex_state = 4},
  [979] = {.lex_state = 0, .external_lex_state = 4},
  [980] = {.lex_state = 0, .external_lex_state = 4},
  [981] = {.lex_state = 5, .external_lex_state = 4},
  [982] = {.lex_state = 95, .external_lex_state = 4},
  [983] = {.lex_state = 0, .external_lex_state = 4},
  [984] = {.lex_state = 0, .external_lex_state = 4},
  [985] = {.lex_state = 0, .external_lex_state = 4},
  [986] = {.lex_state = 0, .external_lex_state = 4},
  [987] = {.lex_state = 0, .external_lex_state = 11},
  [988] = {.lex_state = 0, .external_lex_state = 4},
  [989] = {.lex_state = 0, .external_lex_state = 4},
  [990] = {.lex_state = 0, .external_lex_state = 12},
  [991] = {.lex_state = 0, .external_lex_state = 4},
  [992] = {.lex_state = 0, .external_lex_state = 4},
  [993] = {.lex_state = 0, .external_lex_state = 4},
  [994] = {.lex_state = 5, .external_lex_state = 4},
  [995] = {.lex_state = 0, .external_lex_state = 4},
  [996] = {.lex_state = 0, .external_lex_state = 4},
  [997] = {.lex_state = 0, .external_lex_state = 4},
  [998] = {.lex_state = 0, .external_lex_state = 4},
  [999] = {.lex_state = 1, .external_lex_state = 4},
  [1000] = {.lex_state = 0, .external_lex_state = 4},
  [1001] = {.lex_state = 0, .external_lex_state = 4},
  [1002] = {.lex_state = 0, .external_lex_state = 4},
  [1003] = {.lex_state = 0, .external_lex_state = 4},
  [1004] = {.lex_state = 0, .external_lex_state = 4},
  [1005] = {.lex_state = 0, .external_lex_state = 4},
  [1006] = {.lex_state = 0, .external_lex_state = 4},
  [1007] = {.lex_state = 0, .external_lex_state = 4},
  [1008] = {.lex_state = 0, .external_lex_state = 4},
  [1009] = {.lex_state = 1, .external_lex_state = 4},
  [1010] = {.lex_state = 0, .external_lex_state = 4},
  [1011] = {.lex_state = 0, .external_lex_state = 4},
  [1012] = {.lex_state = 0, .external_lex_state = 4},
  [1013] = {.lex_state = 95, .external_lex_state = 4},
  [1014] = {.lex_state = 0, .external_lex_state = 4},
  [1015] = {.lex_state = 88, .external_lex_state = 4},
  [1016] = {.lex_state = 0, .external_lex_state = 4},
  [1017] = {.lex_state = 0, .external_lex_state = 4},
  [1018] = {.lex_state = 0, .external_lex_state = 4},
  [1019] = {.lex_state = 0, .external_lex_state = 4},
  [1020] = {.lex_state = 0, .external_lex_state = 4},
  [1021] = {.lex_state = 0, .external_lex_state = 11},
  [1022] = {.lex_state = 88, .external_lex_state = 4},
  [1023] = {.lex_state = 0, .external_lex_state = 4},
  [1024] = {.lex_state = 0, .external_lex_state = 4},
  [1025] = {.lex_state = 0, .external_lex_state = 4},
  [1026] = {.lex_state = 0, .external_lex_state = 4},
  [1027] = {.lex_state = 95, .external_lex_state = 4},
  [1028] = {.lex_state = 0, .external_lex_state = 4},
  [1029] = {.lex_state = 0, .external_lex_state = 5},
  [1030] = {.lex_state = 0, .external_lex_state = 4},
  [1031] = {.lex_state = 0, .external_lex_state = 4},
  [1032] = {.lex_state = 0, .external_lex_state = 4},
  [1033] = {.lex_state = 0, .external_lex_state = 4},
  [1034] = {.lex_state = 0, .external_lex_state = 4},
  [1035] = {.lex_state = 0, .external_lex_state = 12},
  [1036] = {.lex_state = 0, .external_lex_state = 4},
  [1037] = {.lex_state = 0, .external_lex_state = 5},
  [1038] = {.lex_state = 95, .external_lex_state = 4},
  [1039] = {.lex_state = 0, .external_lex_state = 4},
  [1040] = {.lex_state = 0, .external_lex_state = 4},
  [1041] = {.lex_state = 95, .external_lex_state = 4},
  [1042] = {.lex_state = 95, .external_lex_state = 4},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_LT_BANG] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [sym__doctype] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_SLASH_GT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [sym_entity] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_prefetch] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_on] = ACTIONS(1),
    [anon_sym_after] = ACTIONS(1),
    [anon_sym_minimum] = ACTIONS(1),
    [anon_sym_ms] = ACTIONS(1),
    [anon_sym_s] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_track] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_plural] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_context] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACK_LPAREN] = ACTIONS(1),
    [anon_sym_LBRACK_AT] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [sym__escape_sequence] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_BANG_DOT] = ACTIONS(1),
    [sym__closing_bracket] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [sym__start_tag_name] = ACTIONS(1),
    [sym__script_start_tag_name] = ACTIONS(1),
    [sym__style_start_tag_name] = ACTIONS(1),
    [sym__end_tag_name] = ACTIONS(1),
    [sym_erroneous_end_tag_name] = ACTIONS(1),
    [sym__implicit_end_tag] = ACTIONS(1),
    [sym_raw_text] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__interpolation_start] = ACTIONS(1),
    [sym__interpolation_end] = ACTIONS(1),
    [sym_if_start] = ACTIONS(1),
    [sym_else_start] = ACTIONS(1),
    [sym_for_start] = ACTIONS(1),
    [sym_switch_start] = ACTIONS(1),
    [sym_case_start] = ACTIONS(1),
    [sym_default_start] = ACTIONS(1),
    [sym_defer_start] = ACTIONS(1),
    [sym_let_start] = ACTIONS(1),
    [sym_empty_start] = ACTIONS(1),
    [sym_placeholder_start] = ACTIONS(1),
    [sym_loading_start] = ACTIONS(1),
    [sym_error_start] = ACTIONS(1),
    [sym_else_if_start] = ACTIONS(1),
    [sym_at_sign] = ACTIONS(1),
  },
  [1] = {
    [sym_document] = STATE(993),
    [sym_doctype] = STATE(269),
    [sym__node] = STATE(269),
    [sym_element] = STATE(269),
    [sym_script_element] = STATE(269),
    [sym_style_element] = STATE(269),
    [sym_start_tag] = STATE(6),
    [sym_script_start_tag] = STATE(805),
    [sym_style_start_tag] = STATE(787),
    [sym_self_closing_tag] = STATE(310),
    [sym_erroneous_end_tag] = STATE(269),
    [sym__any_statement] = STATE(265),
    [sym__alternative_statement] = STATE(304),
    [sym_let_statement] = STATE(265),
    [sym_switch_statement] = STATE(265),
    [sym_defer_statement] = STATE(265),
    [sym_placeholder_statement] = STATE(280),
    [sym_loading_statement] = STATE(302),
    [sym_error_statement] = STATE(296),
    [sym_for_statement] = STATE(265),
    [sym_empty_statement] = STATE(293),
    [sym_if_statement] = STATE(265),
    [sym_else_if_statement] = STATE(292),
    [sym_else_statement] = STATE(290),
    [sym_icu_expression] = STATE(269),
    [sym_interpolation] = STATE(269),
    [aux_sym_document_repeat1] = STATE(12),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_LT_BANG] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(9),
    [anon_sym_LT_SLASH] = ACTIONS(11),
    [sym_entity] = ACTIONS(13),
    [sym_text] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [sym__interpolation_start] = ACTIONS(17),
    [sym_if_start] = ACTIONS(19),
    [sym_else_start] = ACTIONS(21),
    [sym_for_start] = ACTIONS(23),
    [sym_switch_start] = ACTIONS(25),
    [sym_defer_start] = ACTIONS(27),
    [sym_let_start] = ACTIONS(29),
    [sym_empty_start] = ACTIONS(31),
    [sym_placeholder_start] = ACTIONS(33),
    [sym_loading_start] = ACTIONS(35),
    [sym_error_start] = ACTIONS(37),
    [sym_else_if_start] = ACTIONS(39),
    [sym_at_sign] = ACTIONS(13),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LT_BANG,
    ACTIONS(46), 1,
      anon_sym_LT,
    ACTIONS(49), 1,
      anon_sym_LT_SLASH,
    ACTIONS(55), 1,
      anon_sym_LBRACE,
    ACTIONS(58), 1,
      sym__interpolation_start,
    ACTIONS(61), 1,
      sym_if_start,
    ACTIONS(64), 1,
      sym_else_start,
    ACTIONS(67), 1,
      sym_for_start,
    ACTIONS(70), 1,
      sym_switch_start,
    ACTIONS(73), 1,
      sym_defer_start,
    ACTIONS(76), 1,
      sym_let_start,
    ACTIONS(79), 1,
      sym_empty_start,
    ACTIONS(82), 1,
      sym_placeholder_start,
    ACTIONS(85), 1,
      sym_loading_start,
    ACTIONS(88), 1,
      sym_error_start,
    ACTIONS(91), 1,
      sym_else_if_start,
    STATE(2), 1,
      aux_sym_document_repeat1,
    STATE(6), 1,
      sym_start_tag,
    STATE(280), 1,
      sym_placeholder_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(292), 1,
      sym_else_if_statement,
    STATE(293), 1,
      sym_empty_statement,
    STATE(296), 1,
      sym_error_statement,
    STATE(302), 1,
      sym_loading_statement,
    STATE(304), 1,
      sym__alternative_statement,
    STATE(310), 1,
      sym_self_closing_tag,
    STATE(787), 1,
      sym_style_start_tag,
    STATE(805), 1,
      sym_script_start_tag,
    ACTIONS(41), 2,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
    ACTIONS(52), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(265), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(269), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [115] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(94), 1,
      anon_sym_LT_BANG,
    ACTIONS(96), 1,
      anon_sym_LT,
    ACTIONS(98), 1,
      anon_sym_LT_SLASH,
    ACTIONS(102), 1,
      anon_sym_LBRACE,
    ACTIONS(104), 1,
      sym__implicit_end_tag,
    ACTIONS(106), 1,
      sym__interpolation_start,
    ACTIONS(108), 1,
      sym_if_start,
    ACTIONS(110), 1,
      sym_else_start,
    ACTIONS(112), 1,
      sym_for_start,
    ACTIONS(114), 1,
      sym_switch_start,
    ACTIONS(116), 1,
      sym_defer_start,
    ACTIONS(118), 1,
      sym_let_start,
    ACTIONS(120), 1,
      sym_empty_start,
    ACTIONS(122), 1,
      sym_placeholder_start,
    ACTIONS(124), 1,
      sym_loading_start,
    ACTIONS(126), 1,
      sym_error_start,
    ACTIONS(128), 1,
      sym_else_if_start,
    STATE(3), 1,
      sym_start_tag,
    STATE(4), 1,
      aux_sym_document_repeat1,
    STATE(365), 1,
      sym_end_tag,
    STATE(372), 1,
      sym_self_closing_tag,
    STATE(374), 1,
      sym__alternative_statement,
    STATE(375), 1,
      sym_placeholder_statement,
    STATE(376), 1,
      sym_loading_statement,
    STATE(377), 1,
      sym_error_statement,
    STATE(378), 1,
      sym_empty_statement,
    STATE(379), 1,
      sym_else_if_statement,
    STATE(380), 1,
      sym_else_statement,
    STATE(840), 1,
      sym_style_start_tag,
    STATE(841), 1,
      sym_script_start_tag,
    ACTIONS(100), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(373), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(371), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [232] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(94), 1,
      anon_sym_LT_BANG,
    ACTIONS(96), 1,
      anon_sym_LT,
    ACTIONS(98), 1,
      anon_sym_LT_SLASH,
    ACTIONS(102), 1,
      anon_sym_LBRACE,
    ACTIONS(106), 1,
      sym__interpolation_start,
    ACTIONS(108), 1,
      sym_if_start,
    ACTIONS(110), 1,
      sym_else_start,
    ACTIONS(112), 1,
      sym_for_start,
    ACTIONS(114), 1,
      sym_switch_start,
    ACTIONS(116), 1,
      sym_defer_start,
    ACTIONS(118), 1,
      sym_let_start,
    ACTIONS(120), 1,
      sym_empty_start,
    ACTIONS(122), 1,
      sym_placeholder_start,
    ACTIONS(124), 1,
      sym_loading_start,
    ACTIONS(126), 1,
      sym_error_start,
    ACTIONS(128), 1,
      sym_else_if_start,
    ACTIONS(130), 1,
      sym__implicit_end_tag,
    STATE(3), 1,
      sym_start_tag,
    STATE(7), 1,
      aux_sym_document_repeat1,
    STATE(350), 1,
      sym_end_tag,
    STATE(372), 1,
      sym_self_closing_tag,
    STATE(374), 1,
      sym__alternative_statement,
    STATE(375), 1,
      sym_placeholder_statement,
    STATE(376), 1,
      sym_loading_statement,
    STATE(377), 1,
      sym_error_statement,
    STATE(378), 1,
      sym_empty_statement,
    STATE(379), 1,
      sym_else_if_statement,
    STATE(380), 1,
      sym_else_statement,
    STATE(840), 1,
      sym_style_start_tag,
    STATE(841), 1,
      sym_script_start_tag,
    ACTIONS(100), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(373), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(371), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [349] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(94), 1,
      anon_sym_LT_BANG,
    ACTIONS(96), 1,
      anon_sym_LT,
    ACTIONS(102), 1,
      anon_sym_LBRACE,
    ACTIONS(106), 1,
      sym__interpolation_start,
    ACTIONS(108), 1,
      sym_if_start,
    ACTIONS(110), 1,
      sym_else_start,
    ACTIONS(112), 1,
      sym_for_start,
    ACTIONS(114), 1,
      sym_switch_start,
    ACTIONS(116), 1,
      sym_defer_start,
    ACTIONS(118), 1,
      sym_let_start,
    ACTIONS(120), 1,
      sym_empty_start,
    ACTIONS(122), 1,
      sym_placeholder_start,
    ACTIONS(124), 1,
      sym_loading_start,
    ACTIONS(126), 1,
      sym_error_start,
    ACTIONS(128), 1,
      sym_else_if_start,
    ACTIONS(132), 1,
      anon_sym_LT_SLASH,
    ACTIONS(134), 1,
      sym__implicit_end_tag,
    STATE(3), 1,
      sym_start_tag,
    STATE(7), 1,
      aux_sym_document_repeat1,
    STATE(279), 1,
      sym_end_tag,
    STATE(372), 1,
      sym_self_closing_tag,
    STATE(374), 1,
      sym__alternative_statement,
    STATE(375), 1,
      sym_placeholder_statement,
    STATE(376), 1,
      sym_loading_statement,
    STATE(377), 1,
      sym_error_statement,
    STATE(378), 1,
      sym_empty_statement,
    STATE(379), 1,
      sym_else_if_statement,
    STATE(380), 1,
      sym_else_statement,
    STATE(840), 1,
      sym_style_start_tag,
    STATE(841), 1,
      sym_script_start_tag,
    ACTIONS(100), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(373), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(371), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [466] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(94), 1,
      anon_sym_LT_BANG,
    ACTIONS(96), 1,
      anon_sym_LT,
    ACTIONS(102), 1,
      anon_sym_LBRACE,
    ACTIONS(106), 1,
      sym__interpolation_start,
    ACTIONS(108), 1,
      sym_if_start,
    ACTIONS(110), 1,
      sym_else_start,
    ACTIONS(112), 1,
      sym_for_start,
    ACTIONS(114), 1,
      sym_switch_start,
    ACTIONS(116), 1,
      sym_defer_start,
    ACTIONS(118), 1,
      sym_let_start,
    ACTIONS(120), 1,
      sym_empty_start,
    ACTIONS(122), 1,
      sym_placeholder_start,
    ACTIONS(124), 1,
      sym_loading_start,
    ACTIONS(126), 1,
      sym_error_start,
    ACTIONS(128), 1,
      sym_else_if_start,
    ACTIONS(132), 1,
      anon_sym_LT_SLASH,
    ACTIONS(136), 1,
      sym__implicit_end_tag,
    STATE(3), 1,
      sym_start_tag,
    STATE(5), 1,
      aux_sym_document_repeat1,
    STATE(284), 1,
      sym_end_tag,
    STATE(372), 1,
      sym_self_closing_tag,
    STATE(374), 1,
      sym__alternative_statement,
    STATE(375), 1,
      sym_placeholder_statement,
    STATE(376), 1,
      sym_loading_statement,
    STATE(377), 1,
      sym_error_statement,
    STATE(378), 1,
      sym_empty_statement,
    STATE(379), 1,
      sym_else_if_statement,
    STATE(380), 1,
      sym_else_statement,
    STATE(840), 1,
      sym_style_start_tag,
    STATE(841), 1,
      sym_script_start_tag,
    ACTIONS(100), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(373), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(371), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [583] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      sym__implicit_end_tag,
    ACTIONS(138), 1,
      anon_sym_LT_BANG,
    ACTIONS(141), 1,
      anon_sym_LT,
    ACTIONS(144), 1,
      anon_sym_LT_SLASH,
    ACTIONS(150), 1,
      anon_sym_LBRACE,
    ACTIONS(153), 1,
      sym__interpolation_start,
    ACTIONS(156), 1,
      sym_if_start,
    ACTIONS(159), 1,
      sym_else_start,
    ACTIONS(162), 1,
      sym_for_start,
    ACTIONS(165), 1,
      sym_switch_start,
    ACTIONS(168), 1,
      sym_defer_start,
    ACTIONS(171), 1,
      sym_let_start,
    ACTIONS(174), 1,
      sym_empty_start,
    ACTIONS(177), 1,
      sym_placeholder_start,
    ACTIONS(180), 1,
      sym_loading_start,
    ACTIONS(183), 1,
      sym_error_start,
    ACTIONS(186), 1,
      sym_else_if_start,
    STATE(3), 1,
      sym_start_tag,
    STATE(7), 1,
      aux_sym_document_repeat1,
    STATE(372), 1,
      sym_self_closing_tag,
    STATE(374), 1,
      sym__alternative_statement,
    STATE(375), 1,
      sym_placeholder_statement,
    STATE(376), 1,
      sym_loading_statement,
    STATE(377), 1,
      sym_error_statement,
    STATE(378), 1,
      sym_empty_statement,
    STATE(379), 1,
      sym_else_if_statement,
    STATE(380), 1,
      sym_else_statement,
    STATE(840), 1,
      sym_style_start_tag,
    STATE(841), 1,
      sym_script_start_tag,
    ACTIONS(147), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(373), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(371), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [697] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(189), 1,
      anon_sym_RBRACE,
    STATE(2), 1,
      aux_sym_document_repeat1,
    STATE(6), 1,
      sym_start_tag,
    STATE(280), 1,
      sym_placeholder_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(292), 1,
      sym_else_if_statement,
    STATE(293), 1,
      sym_empty_statement,
    STATE(296), 1,
      sym_error_statement,
    STATE(302), 1,
      sym_loading_statement,
    STATE(304), 1,
      sym__alternative_statement,
    STATE(310), 1,
      sym_self_closing_tag,
    STATE(787), 1,
      sym_style_start_tag,
    STATE(805), 1,
      sym_script_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(265), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(269), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [811] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(191), 1,
      anon_sym_RBRACE,
    STATE(2), 1,
      aux_sym_document_repeat1,
    STATE(6), 1,
      sym_start_tag,
    STATE(280), 1,
      sym_placeholder_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(292), 1,
      sym_else_if_statement,
    STATE(293), 1,
      sym_empty_statement,
    STATE(296), 1,
      sym_error_statement,
    STATE(302), 1,
      sym_loading_statement,
    STATE(304), 1,
      sym__alternative_statement,
    STATE(310), 1,
      sym_self_closing_tag,
    STATE(787), 1,
      sym_style_start_tag,
    STATE(805), 1,
      sym_script_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(265), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(269), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [925] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(193), 1,
      anon_sym_RBRACE,
    STATE(6), 1,
      sym_start_tag,
    STATE(11), 1,
      aux_sym_document_repeat1,
    STATE(280), 1,
      sym_placeholder_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(292), 1,
      sym_else_if_statement,
    STATE(293), 1,
      sym_empty_statement,
    STATE(296), 1,
      sym_error_statement,
    STATE(302), 1,
      sym_loading_statement,
    STATE(304), 1,
      sym__alternative_statement,
    STATE(310), 1,
      sym_self_closing_tag,
    STATE(787), 1,
      sym_style_start_tag,
    STATE(805), 1,
      sym_script_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(265), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(269), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1039] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(195), 1,
      anon_sym_RBRACE,
    STATE(2), 1,
      aux_sym_document_repeat1,
    STATE(6), 1,
      sym_start_tag,
    STATE(280), 1,
      sym_placeholder_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(292), 1,
      sym_else_if_statement,
    STATE(293), 1,
      sym_empty_statement,
    STATE(296), 1,
      sym_error_statement,
    STATE(302), 1,
      sym_loading_statement,
    STATE(304), 1,
      sym__alternative_statement,
    STATE(310), 1,
      sym_self_closing_tag,
    STATE(787), 1,
      sym_style_start_tag,
    STATE(805), 1,
      sym_script_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(265), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(269), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1153] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(197), 1,
      ts_builtin_sym_end,
    STATE(2), 1,
      aux_sym_document_repeat1,
    STATE(6), 1,
      sym_start_tag,
    STATE(280), 1,
      sym_placeholder_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(292), 1,
      sym_else_if_statement,
    STATE(293), 1,
      sym_empty_statement,
    STATE(296), 1,
      sym_error_statement,
    STATE(302), 1,
      sym_loading_statement,
    STATE(304), 1,
      sym__alternative_statement,
    STATE(310), 1,
      sym_self_closing_tag,
    STATE(787), 1,
      sym_style_start_tag,
    STATE(805), 1,
      sym_script_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(265), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(269), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1267] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(199), 1,
      anon_sym_RBRACE,
    STATE(2), 1,
      aux_sym_document_repeat1,
    STATE(6), 1,
      sym_start_tag,
    STATE(280), 1,
      sym_placeholder_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(292), 1,
      sym_else_if_statement,
    STATE(293), 1,
      sym_empty_statement,
    STATE(296), 1,
      sym_error_statement,
    STATE(302), 1,
      sym_loading_statement,
    STATE(304), 1,
      sym__alternative_statement,
    STATE(310), 1,
      sym_self_closing_tag,
    STATE(787), 1,
      sym_style_start_tag,
    STATE(805), 1,
      sym_script_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(265), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(269), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1381] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(201), 1,
      anon_sym_RBRACE,
    STATE(6), 1,
      sym_start_tag,
    STATE(13), 1,
      aux_sym_document_repeat1,
    STATE(280), 1,
      sym_placeholder_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(292), 1,
      sym_else_if_statement,
    STATE(293), 1,
      sym_empty_statement,
    STATE(296), 1,
      sym_error_statement,
    STATE(302), 1,
      sym_loading_statement,
    STATE(304), 1,
      sym__alternative_statement,
    STATE(310), 1,
      sym_self_closing_tag,
    STATE(787), 1,
      sym_style_start_tag,
    STATE(805), 1,
      sym_script_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(265), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(269), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1495] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(203), 1,
      anon_sym_RBRACE,
    STATE(6), 1,
      sym_start_tag,
    STATE(8), 1,
      aux_sym_document_repeat1,
    STATE(280), 1,
      sym_placeholder_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(292), 1,
      sym_else_if_statement,
    STATE(293), 1,
      sym_empty_statement,
    STATE(296), 1,
      sym_error_statement,
    STATE(302), 1,
      sym_loading_statement,
    STATE(304), 1,
      sym__alternative_statement,
    STATE(310), 1,
      sym_self_closing_tag,
    STATE(787), 1,
      sym_style_start_tag,
    STATE(805), 1,
      sym_script_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(265), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(269), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1609] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_LT_BANG,
    ACTIONS(9), 1,
      anon_sym_LT,
    ACTIONS(11), 1,
      anon_sym_LT_SLASH,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      sym__interpolation_start,
    ACTIONS(19), 1,
      sym_if_start,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(23), 1,
      sym_for_start,
    ACTIONS(25), 1,
      sym_switch_start,
    ACTIONS(27), 1,
      sym_defer_start,
    ACTIONS(29), 1,
      sym_let_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    STATE(6), 1,
      sym_start_tag,
    STATE(9), 1,
      aux_sym_document_repeat1,
    STATE(280), 1,
      sym_placeholder_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(292), 1,
      sym_else_if_statement,
    STATE(293), 1,
      sym_empty_statement,
    STATE(296), 1,
      sym_error_statement,
    STATE(302), 1,
      sym_loading_statement,
    STATE(304), 1,
      sym__alternative_statement,
    STATE(310), 1,
      sym_self_closing_tag,
    STATE(787), 1,
      sym_style_start_tag,
    STATE(805), 1,
      sym_script_start_tag,
    ACTIONS(13), 3,
      sym_at_sign,
      sym_entity,
      sym_text,
    STATE(265), 6,
      sym__any_statement,
      sym_let_statement,
      sym_switch_statement,
      sym_defer_statement,
      sym_for_statement,
      sym_if_statement,
    STATE(269), 8,
      sym_doctype,
      sym__node,
      sym_element,
      sym_script_element,
      sym_style_element,
      sym_erroneous_end_tag,
      sym_icu_expression,
      sym_interpolation,
  [1720] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    STATE(109), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(177), 1,
      sym_pipe_sequence,
    ACTIONS(211), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1769] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    STATE(109), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(177), 1,
      sym_pipe_sequence,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1816] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(395), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(211), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(215), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(219), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(221), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1905] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    STATE(129), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(217), 1,
      sym_pipe_sequence,
    ACTIONS(227), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [1951] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(395), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(229), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(215), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(227), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2003] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    STATE(129), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(217), 1,
      sym_pipe_sequence,
    ACTIONS(231), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(227), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 14,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2051] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(395), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(231), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(227), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(215), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 14,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2099] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(395), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(233), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(235), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(237), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2191] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    STATE(109), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(177), 1,
      sym_pipe_sequence,
    ACTIONS(233), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 16,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2239] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    STATE(129), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(217), 1,
      sym_pipe_sequence,
    ACTIONS(229), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(227), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 14,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(239), 1,
      anon_sym_LPAREN,
    ACTIONS(235), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(237), 21,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(243), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(245), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(247), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(249), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(251), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(253), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(255), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(259), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(261), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(263), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(265), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(267), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(269), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(271), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2623] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(219), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(273), 10,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(221), 13,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(279), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2701] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    ACTIONS(281), 1,
      anon_sym_PIPE,
    STATE(217), 1,
      sym_pipe_sequence,
    STATE(218), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(227), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(285), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2785] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(289), 1,
      anon_sym_LT,
    STATE(47), 1,
      aux_sym_if_statement_repeat1,
    STATE(273), 1,
      sym__alternative_statement,
    STATE(280), 1,
      sym_placeholder_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(292), 1,
      sym_else_if_statement,
    STATE(293), 1,
      sym_empty_statement,
    STATE(296), 1,
      sym_error_statement,
    STATE(302), 1,
      sym_loading_statement,
    ACTIONS(287), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [2850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(291), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(219), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(273), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(221), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(239), 1,
      anon_sym_LPAREN,
    ACTIONS(219), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(221), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [2969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(297), 23,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3006] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(301), 1,
      anon_sym_LT,
    STATE(58), 1,
      aux_sym_if_statement_repeat1,
    STATE(273), 1,
      sym__alternative_statement,
    STATE(280), 1,
      sym_placeholder_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(292), 1,
      sym_else_if_statement,
    STATE(293), 1,
      sym_empty_statement,
    STATE(296), 1,
      sym_error_statement,
    STATE(302), 1,
      sym_loading_statement,
    ACTIONS(299), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [3071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(249), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(251), 21,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3108] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    ACTIONS(281), 1,
      anon_sym_PIPE,
    STATE(217), 1,
      sym_pipe_sequence,
    STATE(218), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(303), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(227), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(305), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(307), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3198] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    ACTIONS(309), 1,
      anon_sym_PIPE,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(395), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      sym_identifier,
    ACTIONS(303), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(227), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 5,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3251] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_PIPE,
    ACTIONS(219), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(221), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(219), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 10,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(221), 13,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(275), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(273), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3372] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(395), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(311), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3423] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    STATE(109), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(177), 1,
      sym_pipe_sequence,
    ACTIONS(311), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 15,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3470] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(315), 1,
      anon_sym_LT,
    STATE(58), 1,
      aux_sym_if_statement_repeat1,
    STATE(273), 1,
      sym__alternative_statement,
    STATE(280), 1,
      sym_placeholder_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(292), 1,
      sym_else_if_statement,
    STATE(293), 1,
      sym_empty_statement,
    STATE(296), 1,
      sym_error_statement,
    STATE(302), 1,
      sym_loading_statement,
    ACTIONS(313), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [3535] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(319), 1,
      anon_sym_LT,
    ACTIONS(321), 1,
      sym_else_start,
    ACTIONS(324), 1,
      sym_empty_start,
    ACTIONS(327), 1,
      sym_placeholder_start,
    ACTIONS(330), 1,
      sym_loading_start,
    ACTIONS(333), 1,
      sym_error_start,
    ACTIONS(336), 1,
      sym_else_if_start,
    STATE(58), 1,
      aux_sym_if_statement_repeat1,
    STATE(273), 1,
      sym__alternative_statement,
    STATE(280), 1,
      sym_placeholder_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(292), 1,
      sym_else_if_statement,
    STATE(293), 1,
      sym_empty_statement,
    STATE(296), 1,
      sym_error_statement,
    STATE(302), 1,
      sym_loading_statement,
    ACTIONS(317), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [3600] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      anon_sym_PIPE,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(210), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3647] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(21), 1,
      sym_else_start,
    ACTIONS(31), 1,
      sym_empty_start,
    ACTIONS(33), 1,
      sym_placeholder_start,
    ACTIONS(35), 1,
      sym_loading_start,
    ACTIONS(37), 1,
      sym_error_start,
    ACTIONS(39), 1,
      sym_else_if_start,
    ACTIONS(343), 1,
      anon_sym_LT,
    STATE(57), 1,
      aux_sym_if_statement_repeat1,
    STATE(273), 1,
      sym__alternative_statement,
    STATE(280), 1,
      sym_placeholder_statement,
    STATE(290), 1,
      sym_else_statement,
    STATE(292), 1,
      sym_else_if_statement,
    STATE(293), 1,
      sym_empty_statement,
    STATE(296), 1,
      sym_error_statement,
    STATE(302), 1,
      sym_loading_statement,
    ACTIONS(341), 14,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [3712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(259), 21,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(279), 21,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RPAREN_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3786] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(110), 1,
      sym_else_start,
    ACTIONS(120), 1,
      sym_empty_start,
    ACTIONS(122), 1,
      sym_placeholder_start,
    ACTIONS(124), 1,
      sym_loading_start,
    ACTIONS(126), 1,
      sym_error_start,
    ACTIONS(128), 1,
      sym_else_if_start,
    ACTIONS(289), 1,
      anon_sym_LT,
    STATE(75), 1,
      aux_sym_if_statement_repeat1,
    STATE(337), 1,
      sym__alternative_statement,
    STATE(375), 1,
      sym_placeholder_statement,
    STATE(376), 1,
      sym_loading_statement,
    STATE(377), 1,
      sym_error_statement,
    STATE(378), 1,
      sym_empty_statement,
    STATE(379), 1,
      sym_else_if_statement,
    STATE(380), 1,
      sym_else_statement,
    ACTIONS(287), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [3850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(261), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(263), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(219), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(221), 12,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [3926] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(353), 1,
      anon_sym_let,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(357), 1,
      anon_sym_BANG,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(361), 1,
      sym_number,
    STATE(317), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(633), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(948), 2,
      sym_structural_expression,
      sym_structural_declaration,
    STATE(598), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(90), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [3990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(285), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4026] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SEMI,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(369), 1,
      sym_identifier,
    ACTIONS(371), 1,
      sym_number,
    STATE(256), 1,
      sym_expression,
    STATE(521), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(782), 1,
      sym_assignment_expression,
    STATE(783), 1,
      aux_sym__binding_assignment_repeat1,
    STATE(617), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(680), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(84), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(269), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(271), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(265), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(267), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(291), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4202] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(353), 1,
      anon_sym_let,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(357), 1,
      anon_sym_BANG,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(361), 1,
      sym_number,
    STATE(317), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(633), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(885), 2,
      sym_structural_expression,
      sym_structural_declaration,
    STATE(598), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(90), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4266] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_LBRACK,
    ACTIONS(227), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(305), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(307), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(275), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(273), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4344] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(110), 1,
      sym_else_start,
    ACTIONS(120), 1,
      sym_empty_start,
    ACTIONS(122), 1,
      sym_placeholder_start,
    ACTIONS(124), 1,
      sym_loading_start,
    ACTIONS(126), 1,
      sym_error_start,
    ACTIONS(128), 1,
      sym_else_if_start,
    ACTIONS(301), 1,
      anon_sym_LT,
    STATE(86), 1,
      aux_sym_if_statement_repeat1,
    STATE(337), 1,
      sym__alternative_statement,
    STATE(375), 1,
      sym_placeholder_statement,
    STATE(376), 1,
      sym_loading_statement,
    STATE(377), 1,
      sym_error_statement,
    STATE(378), 1,
      sym_empty_statement,
    STATE(379), 1,
      sym_else_if_statement,
    STATE(380), 1,
      sym_else_statement,
    ACTIONS(299), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [4408] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(110), 1,
      sym_else_start,
    ACTIONS(120), 1,
      sym_empty_start,
    ACTIONS(122), 1,
      sym_placeholder_start,
    ACTIONS(124), 1,
      sym_loading_start,
    ACTIONS(126), 1,
      sym_error_start,
    ACTIONS(128), 1,
      sym_else_if_start,
    ACTIONS(343), 1,
      anon_sym_LT,
    STATE(87), 1,
      aux_sym_if_statement_repeat1,
    STATE(337), 1,
      sym__alternative_statement,
    STATE(375), 1,
      sym_placeholder_statement,
    STATE(376), 1,
      sym_loading_statement,
    STATE(377), 1,
      sym_error_statement,
    STATE(378), 1,
      sym_empty_statement,
    STATE(379), 1,
      sym_else_if_statement,
    STATE(380), 1,
      sym_else_statement,
    ACTIONS(341), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [4472] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(365), 1,
      anon_sym_SEMI,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(369), 1,
      sym_identifier,
    ACTIONS(371), 1,
      sym_number,
    ACTIONS(373), 1,
      anon_sym_DQUOTE,
    STATE(256), 1,
      sym_expression,
    STATE(529), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(778), 1,
      aux_sym__binding_assignment_repeat1,
    STATE(780), 1,
      sym_assignment_expression,
    STATE(617), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(678), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(84), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [4538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(253), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(255), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(192), 1,
      sym_pipe_arguments,
    STATE(88), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(375), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(377), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4614] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    ACTIONS(309), 1,
      anon_sym_PIPE,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(395), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(379), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(297), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(245), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(247), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(219), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(273), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(221), 12,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4778] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      anon_sym_PIPE,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(210), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(379), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 14,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(243), 20,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [4862] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(319), 1,
      anon_sym_LT,
    ACTIONS(381), 1,
      sym_else_start,
    ACTIONS(384), 1,
      sym_empty_start,
    ACTIONS(387), 1,
      sym_placeholder_start,
    ACTIONS(390), 1,
      sym_loading_start,
    ACTIONS(393), 1,
      sym_error_start,
    ACTIONS(396), 1,
      sym_else_if_start,
    STATE(86), 1,
      aux_sym_if_statement_repeat1,
    STATE(337), 1,
      sym__alternative_statement,
    STATE(375), 1,
      sym_placeholder_statement,
    STATE(376), 1,
      sym_loading_statement,
    STATE(377), 1,
      sym_error_statement,
    STATE(378), 1,
      sym_empty_statement,
    STATE(379), 1,
      sym_else_if_statement,
    STATE(380), 1,
      sym_else_statement,
    ACTIONS(317), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [4926] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(110), 1,
      sym_else_start,
    ACTIONS(120), 1,
      sym_empty_start,
    ACTIONS(122), 1,
      sym_placeholder_start,
    ACTIONS(124), 1,
      sym_loading_start,
    ACTIONS(126), 1,
      sym_error_start,
    ACTIONS(128), 1,
      sym_else_if_start,
    ACTIONS(315), 1,
      anon_sym_LT,
    STATE(86), 1,
      aux_sym_if_statement_repeat1,
    STATE(337), 1,
      sym__alternative_statement,
    STATE(375), 1,
      sym_placeholder_statement,
    STATE(376), 1,
      sym_loading_statement,
    STATE(377), 1,
      sym_error_statement,
    STATE(378), 1,
      sym_empty_statement,
    STATE(379), 1,
      sym_else_if_statement,
    STATE(380), 1,
      sym_else_statement,
    ACTIONS(313), 13,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [4990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(91), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(399), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(401), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5027] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    ACTIONS(309), 1,
      anon_sym_PIPE,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(395), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(403), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5078] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      anon_sym_PIPE,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(210), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(403), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 13,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5125] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 1,
      anon_sym_COLON,
    STATE(91), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(405), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(407), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5164] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(412), 1,
      anon_sym_COLON,
    STATE(230), 1,
      sym_pipe_arguments,
    STATE(104), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(375), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(377), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 1,
      anon_sym_QMARK,
    ACTIONS(219), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(273), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
    ACTIONS(221), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5244] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(230), 1,
      sym_pipe_arguments,
    STATE(102), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(375), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(377), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5283] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(369), 1,
      sym_identifier,
    ACTIONS(371), 1,
      sym_number,
    ACTIONS(414), 1,
      anon_sym_DQUOTE,
    ACTIONS(417), 1,
      anon_sym_SEMI,
    STATE(256), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(934), 1,
      sym_assignment_expression,
    STATE(617), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(765), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(84), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 2,
      anon_sym_QMARK,
      sym_identifier,
    ACTIONS(273), 5,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(219), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(221), 14,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5385] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(419), 1,
      anon_sym_COLON,
    STATE(192), 1,
      sym_pipe_arguments,
    STATE(100), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(375), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(377), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5426] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(395), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(423), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(425), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5474] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(395), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(427), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 4,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 8,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(419), 1,
      anon_sym_COLON,
    STATE(91), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(399), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(401), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5560] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(256), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(812), 1,
      sym_if_condition,
    STATE(617), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(748), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(84), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(118), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(399), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(401), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5656] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(395), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(429), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(425), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 4,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(207), 8,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(412), 1,
      anon_sym_COLON,
    STATE(118), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(399), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(401), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5742] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(256), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(848), 1,
      sym_if_condition,
    STATE(617), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(748), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(84), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5802] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    STATE(272), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(340), 1,
      sym_pipe_sequence,
    ACTIONS(425), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(383), 1,
      sym__binary_op,
    ACTIONS(431), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(433), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5880] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(449), 1,
      sym_number,
    STATE(389), 1,
      sym_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(1037), 1,
      sym_concatenation_expression,
    STATE(693), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(839), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(128), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [5940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(113), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(451), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(453), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [5976] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(455), 1,
      sym_number,
    STATE(256), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(988), 1,
      sym_concatenation_expression,
    STATE(617), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(825), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(172), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6036] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(395), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(457), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(425), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(215), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 12,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6080] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(383), 1,
      sym__binary_op,
    ACTIONS(465), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(459), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(461), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(463), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6120] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 1,
      anon_sym_PIPE,
    STATE(113), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(467), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(469), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6158] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    STATE(272), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(340), 1,
      sym_pipe_sequence,
    ACTIONS(423), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(425), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 12,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(474), 1,
      anon_sym_EQ,
    ACTIONS(219), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(221), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6240] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    STATE(272), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(340), 1,
      sym_pipe_sequence,
    ACTIONS(457), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(425), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 12,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6284] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    STATE(272), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(340), 1,
      sym_pipe_sequence,
    ACTIONS(429), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(425), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 12,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(476), 1,
      anon_sym_COLON,
    STATE(118), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(405), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(407), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6366] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    STATE(109), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(177), 1,
      sym_pipe_sequence,
    ACTIONS(427), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 12,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6410] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(256), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(832), 1,
      sym_if_condition,
    STATE(617), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(748), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(84), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6470] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(449), 1,
      sym_number,
    STATE(389), 1,
      sym_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(1029), 1,
      sym_concatenation_expression,
    STATE(693), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(845), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(128), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6530] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(256), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(835), 1,
      sym_if_condition,
    STATE(617), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(748), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(84), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6590] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(455), 1,
      sym_number,
    STATE(256), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(1036), 1,
      sym_concatenation_expression,
    STATE(617), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(791), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(172), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6650] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(479), 1,
      anon_sym_BANG,
    ACTIONS(481), 1,
      sym_number,
    STATE(203), 1,
      sym_group,
    STATE(309), 1,
      sym_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(609), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(323), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(117), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6709] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(256), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(617), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(795), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(84), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6766] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      anon_sym_SQUOTE,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    ACTIONS(487), 1,
      anon_sym_LBRACE,
    ACTIONS(489), 1,
      anon_sym_LPAREN,
    ACTIONS(491), 1,
      anon_sym_LBRACK,
    ACTIONS(493), 1,
      anon_sym_BANG,
    ACTIONS(495), 1,
      sym_identifier,
    ACTIONS(497), 1,
      sym_number,
    STATE(74), 1,
      sym_group,
    STATE(161), 1,
      sym_expression,
    STATE(718), 1,
      sym__single_quote,
    STATE(719), 1,
      sym__double_quote,
    STATE(228), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(208), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(23), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6825] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      anon_sym_SQUOTE,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    ACTIONS(487), 1,
      anon_sym_LBRACE,
    ACTIONS(489), 1,
      anon_sym_LPAREN,
    ACTIONS(491), 1,
      anon_sym_LBRACK,
    ACTIONS(495), 1,
      sym_identifier,
    ACTIONS(499), 1,
      anon_sym_BANG,
    ACTIONS(501), 1,
      sym_number,
    STATE(65), 1,
      sym_group,
    STATE(158), 1,
      sym_expression,
    STATE(718), 1,
      sym__single_quote,
    STATE(719), 1,
      sym__double_quote,
    STATE(543), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(550), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(28), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [6884] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    ACTIONS(503), 1,
      anon_sym_PLUS,
    ACTIONS(507), 1,
      anon_sym_PIPE,
    STATE(340), 1,
      sym_pipe_sequence,
    STATE(341), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(505), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(425), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 10,
      sym__interpolation_end,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(168), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(451), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(453), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [6966] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(256), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(617), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(792), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(84), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7023] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(387), 1,
      sym__binary_op,
    ACTIONS(431), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(509), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(433), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(511), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7062] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    ACTIONS(507), 1,
      anon_sym_PIPE,
    STATE(340), 1,
      sym_pipe_sequence,
    STATE(341), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(425), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7105] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(513), 1,
      anon_sym_BANG,
    ACTIONS(515), 1,
      sym_number,
    STATE(214), 1,
      sym_group,
    STATE(314), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(613), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(660), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(119), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7164] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(517), 1,
      anon_sym_BANG,
    ACTIONS(519), 1,
      sym_number,
    STATE(52), 1,
      sym_group,
    STATE(170), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(548), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(604), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(27), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7223] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(256), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(617), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(774), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(84), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7280] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(521), 1,
      anon_sym_BANG,
    ACTIONS(523), 1,
      sym_number,
    STATE(54), 1,
      sym_group,
    STATE(112), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(180), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(153), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(17), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(215), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7374] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(517), 1,
      anon_sym_BANG,
    ACTIONS(519), 1,
      sym_number,
    STATE(38), 1,
      sym_group,
    STATE(170), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(548), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(553), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(27), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7433] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(384), 1,
      sym__binary_op,
    ACTIONS(431), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(525), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(433), 9,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(527), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7472] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(513), 1,
      anon_sym_BANG,
    ACTIONS(515), 1,
      sym_number,
    STATE(229), 1,
      sym_group,
    STATE(314), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(613), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(665), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(119), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7531] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(529), 1,
      anon_sym_BANG,
    ACTIONS(531), 1,
      sym_number,
    STATE(53), 1,
      sym_group,
    STATE(206), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(565), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(190), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(56), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7590] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(479), 1,
      anon_sym_BANG,
    ACTIONS(481), 1,
      sym_number,
    STATE(195), 1,
      sym_group,
    STATE(309), 1,
      sym_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(609), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(616), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(117), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7649] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(533), 1,
      anon_sym_BANG,
    ACTIONS(535), 1,
      sym_number,
    STATE(197), 1,
      sym_group,
    STATE(299), 1,
      sym_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(646), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(629), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(114), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(399), 1,
      sym__binary_op,
    ACTIONS(431), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(433), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7743] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(479), 1,
      anon_sym_BANG,
    ACTIONS(481), 1,
      sym_number,
    STATE(196), 1,
      sym_group,
    STATE(309), 1,
      sym_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(609), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(676), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(117), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7802] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      anon_sym_SQUOTE,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    ACTIONS(487), 1,
      anon_sym_LBRACE,
    ACTIONS(489), 1,
      anon_sym_LPAREN,
    ACTIONS(491), 1,
      anon_sym_LBRACK,
    ACTIONS(495), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym_number,
    STATE(237), 1,
      sym_expression,
    STATE(718), 1,
      sym__single_quote,
    STATE(719), 1,
      sym__double_quote,
    STATE(573), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(643), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(49), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7859] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(256), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(617), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(668), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(84), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [7916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_LPAREN,
    ACTIONS(219), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(221), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [7951] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_BANG,
    ACTIONS(545), 1,
      sym_number,
    STATE(198), 1,
      sym_group,
    STATE(267), 1,
      sym_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(324), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(323), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(116), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8010] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(533), 1,
      anon_sym_BANG,
    ACTIONS(535), 1,
      sym_number,
    STATE(205), 1,
      sym_group,
    STATE(299), 1,
      sym_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(646), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(323), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(114), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8069] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_BANG,
    ACTIONS(545), 1,
      sym_number,
    STATE(207), 1,
      sym_group,
    STATE(267), 1,
      sym_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(324), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(325), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(116), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8128] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      anon_sym_SQUOTE,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    ACTIONS(487), 1,
      anon_sym_LBRACE,
    ACTIONS(489), 1,
      anon_sym_LPAREN,
    ACTIONS(491), 1,
      anon_sym_LBRACK,
    ACTIONS(493), 1,
      anon_sym_BANG,
    ACTIONS(495), 1,
      sym_identifier,
    ACTIONS(497), 1,
      sym_number,
    STATE(71), 1,
      sym_group,
    STATE(161), 1,
      sym_expression,
    STATE(718), 1,
      sym__single_quote,
    STATE(719), 1,
      sym__double_quote,
    STATE(228), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(204), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(23), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8187] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(547), 1,
      anon_sym_QMARK,
    ACTIONS(549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(275), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(273), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8224] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      anon_sym_SQUOTE,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    ACTIONS(487), 1,
      anon_sym_LBRACE,
    ACTIONS(489), 1,
      anon_sym_LPAREN,
    ACTIONS(491), 1,
      anon_sym_LBRACK,
    ACTIONS(495), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_BANG,
    ACTIONS(539), 1,
      sym_number,
    STATE(96), 1,
      sym_group,
    STATE(237), 1,
      sym_expression,
    STATE(718), 1,
      sym__single_quote,
    STATE(719), 1,
      sym__double_quote,
    STATE(573), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(631), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(49), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8283] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(551), 1,
      sym_number,
    STATE(234), 1,
      sym_group,
    STATE(389), 1,
      sym_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(693), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(810), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(178), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8342] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(309), 1,
      anon_sym_PIPE,
    ACTIONS(553), 1,
      anon_sym_RPAREN,
    ACTIONS(555), 1,
      anon_sym_COMMA,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(395), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(804), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8391] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(219), 1,
      anon_sym_QMARK,
    ACTIONS(221), 5,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(291), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8428] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(387), 1,
      sym__binary_op,
    ACTIONS(465), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(509), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(461), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(511), 10,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8467] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(357), 1,
      anon_sym_BANG,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(361), 1,
      sym_number,
    STATE(93), 1,
      sym_group,
    STATE(317), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(633), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(731), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(90), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8526] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(256), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(617), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(786), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(84), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8583] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(399), 1,
      sym__binary_op,
    ACTIONS(465), 3,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(557), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(461), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(559), 10,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8655] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(479), 1,
      anon_sym_BANG,
    ACTIONS(481), 1,
      sym_number,
    STATE(232), 1,
      sym_group,
    STATE(309), 1,
      sym_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(609), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(656), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(117), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(433), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8747] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    ACTIONS(309), 1,
      anon_sym_PIPE,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(395), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(217), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(505), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(425), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8796] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(256), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(617), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(844), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(84), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8853] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(521), 1,
      anon_sym_BANG,
    ACTIONS(523), 1,
      sym_number,
    STATE(112), 1,
      sym_expression,
    STATE(157), 1,
      sym_group,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(180), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(276), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(17), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [8912] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      anon_sym_PIPE,
    STATE(168), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(467), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(469), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [8949] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(529), 1,
      anon_sym_BANG,
    ACTIONS(531), 1,
      sym_number,
    STATE(38), 1,
      sym_group,
    STATE(206), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(565), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(556), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(56), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9008] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(384), 1,
      sym__binary_op,
    ACTIONS(465), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(525), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(461), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
    ACTIONS(527), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9047] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(513), 1,
      anon_sym_BANG,
    ACTIONS(515), 1,
      sym_number,
    STATE(202), 1,
      sym_group,
    STATE(314), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(613), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(531), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(119), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9106] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(339), 1,
      anon_sym_PIPE,
    ACTIONS(564), 1,
      anon_sym_PLUS,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(210), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(379), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 10,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(566), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(568), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_LPAREN,
    ACTIONS(235), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(237), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9221] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(256), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(617), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(759), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(84), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9278] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(256), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(617), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(824), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(84), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(570), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(572), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9368] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    ACTIONS(507), 1,
      anon_sym_PIPE,
    STATE(340), 1,
      sym_pipe_sequence,
    STATE(341), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(505), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(425), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 11,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9413] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(517), 1,
      anon_sym_BANG,
    ACTIONS(519), 1,
      sym_number,
    STATE(44), 1,
      sym_group,
    STATE(170), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(548), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(621), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(27), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9472] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(465), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(461), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9507] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(517), 1,
      anon_sym_BANG,
    ACTIONS(519), 1,
      sym_number,
    STATE(53), 1,
      sym_group,
    STATE(170), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(548), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(531), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(27), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(469), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [9599] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(513), 1,
      anon_sym_BANG,
    ACTIONS(515), 1,
      sym_number,
    STATE(227), 1,
      sym_group,
    STATE(314), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(613), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(615), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(119), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9658] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(529), 1,
      anon_sym_BANG,
    ACTIONS(531), 1,
      sym_number,
    STATE(52), 1,
      sym_group,
    STATE(206), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(565), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(626), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(56), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9717] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      anon_sym_SQUOTE,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    ACTIONS(487), 1,
      anon_sym_LBRACE,
    ACTIONS(489), 1,
      anon_sym_LPAREN,
    ACTIONS(491), 1,
      anon_sym_LBRACK,
    ACTIONS(495), 1,
      sym_identifier,
    ACTIONS(499), 1,
      anon_sym_BANG,
    ACTIONS(501), 1,
      sym_number,
    STATE(83), 1,
      sym_group,
    STATE(158), 1,
      sym_expression,
    STATE(718), 1,
      sym__single_quote,
    STATE(719), 1,
      sym__double_quote,
    STATE(543), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(540), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(28), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9776] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(93), 1,
      sym_group,
    STATE(256), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(617), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(669), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(84), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9835] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(256), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(617), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(802), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(84), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9892] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(371), 1,
      sym_number,
    STATE(256), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(617), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(747), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(84), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [9949] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(521), 1,
      anon_sym_BANG,
    ACTIONS(523), 1,
      sym_number,
    STATE(43), 1,
      sym_group,
    STATE(112), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(180), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(190), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(17), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(291), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 18,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10043] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(529), 1,
      anon_sym_BANG,
    ACTIONS(531), 1,
      sym_number,
    STATE(44), 1,
      sym_group,
    STATE(206), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(565), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(618), 4,
      sym__any_expression,
      sym_ternary_expression,
      sym_nullish_coalescing_expression,
      sym_conditional_expression,
    STATE(56), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [10102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(574), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(576), 19,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(249), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(251), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(253), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(255), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(219), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(273), 6,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(221), 12,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10235] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_PIPE,
    ACTIONS(293), 3,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
    ACTIONS(219), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(221), 15,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10271] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(219), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(273), 5,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(221), 13,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(291), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(245), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(247), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(578), 1,
      anon_sym_PIPE,
    STATE(200), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(467), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(469), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10409] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(309), 1,
      anon_sym_PIPE,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(395), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(205), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(207), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10451] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(219), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 6,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(221), 12,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(219), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 6,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(221), 12,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10523] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(291), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(219), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 5,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(221), 13,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10593] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(396), 1,
      sym__binary_op,
    ACTIONS(465), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(583), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(461), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(585), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(275), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(273), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(587), 1,
      anon_sym_QMARK,
    ACTIONS(275), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(273), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10733] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 1,
      anon_sym_PIPE,
    STATE(200), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(451), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(453), 17,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(265), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(267), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(215), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 14,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(259), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10867] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_PIPE,
    ACTIONS(293), 3,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
    ACTIONS(219), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(221), 15,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(433), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(566), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(568), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(570), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(572), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [10999] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(281), 1,
      anon_sym_PIPE,
    STATE(223), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(451), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(453), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(243), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    ACTIONS(425), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(305), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(307), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(269), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(271), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(469), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11167] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_PIPE,
    STATE(223), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(467), 7,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(469), 15,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11203] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(396), 1,
      sym__binary_op,
    ACTIONS(431), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(583), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(433), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(585), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(279), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(285), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11305] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(219), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(273), 6,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(221), 12,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(231), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(465), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(461), 14,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11375] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(219), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(273), 4,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(221), 14,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(574), 8,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(576), 16,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(261), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(263), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11475] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(219), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(273), 4,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(221), 14,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(297), 18,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11543] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 1,
      anon_sym_QMARK,
    ACTIONS(273), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(219), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(221), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11578] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(592), 1,
      anon_sym_RPAREN,
    ACTIONS(594), 1,
      anon_sym_BANG,
    ACTIONS(596), 1,
      sym_number,
    STATE(476), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(1033), 1,
      sym_arguments,
    STATE(793), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(156), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11635] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(594), 1,
      anon_sym_BANG,
    ACTIONS(596), 1,
      sym_number,
    ACTIONS(598), 1,
      anon_sym_RPAREN,
    STATE(476), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(1039), 1,
      sym_arguments,
    STATE(793), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(156), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11692] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(397), 1,
      sym__binary_op,
    ACTIONS(465), 2,
      anon_sym_QMARK,
      sym_identifier,
    ACTIONS(461), 5,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(600), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(602), 10,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11729] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(594), 1,
      anon_sym_BANG,
    ACTIONS(596), 1,
      sym_number,
    ACTIONS(604), 1,
      anon_sym_RPAREN,
    STATE(476), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(1032), 1,
      sym_arguments,
    STATE(793), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(156), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11786] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(594), 1,
      anon_sym_BANG,
    ACTIONS(596), 1,
      sym_number,
    ACTIONS(606), 1,
      anon_sym_RPAREN,
    STATE(476), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(973), 1,
      sym_arguments,
    STATE(793), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(156), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [11843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(343), 1,
      sym_pipe_arguments,
    STATE(253), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(375), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(377), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11878] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(397), 1,
      sym__binary_op,
    ACTIONS(431), 2,
      anon_sym_QMARK,
      sym_identifier,
    ACTIONS(600), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(433), 7,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(602), 8,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11915] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(608), 1,
      anon_sym_COLON,
    STATE(343), 1,
      sym_pipe_arguments,
    STATE(257), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(375), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(377), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [11952] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(521), 1,
      anon_sym_BANG,
    ACTIONS(610), 1,
      sym_number,
    STATE(162), 1,
      sym_conditional_expression,
    STATE(478), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(137), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(19), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12006] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(513), 1,
      anon_sym_BANG,
    ACTIONS(612), 1,
      sym_number,
    STATE(483), 1,
      sym_expression,
    STATE(498), 1,
      sym_conditional_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(624), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(99), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12060] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(367), 1,
      anon_sym_BANG,
    ACTIONS(614), 1,
      sym_number,
    STATE(482), 1,
      sym_expression,
    STATE(498), 1,
      sym_conditional_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(620), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(80), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12114] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(517), 1,
      anon_sym_BANG,
    ACTIONS(616), 1,
      sym_number,
    STATE(466), 1,
      sym_expression,
    STATE(498), 1,
      sym_conditional_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(545), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(25), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12168] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(618), 1,
      anon_sym_COLON,
    STATE(192), 1,
      sym_pipe_arguments,
    STATE(287), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(375), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(377), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12204] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(445), 1,
      anon_sym_BANG,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(620), 1,
      sym_number,
    STATE(320), 1,
      sym_conditional_expression,
    STATE(477), 1,
      sym_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(688), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(165), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12258] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(543), 1,
      anon_sym_BANG,
    ACTIONS(622), 1,
      sym_number,
    STATE(320), 1,
      sym_conditional_expression,
    STATE(485), 1,
      sym_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(361), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(111), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12312] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(479), 1,
      anon_sym_BANG,
    ACTIONS(624), 1,
      sym_number,
    STATE(320), 1,
      sym_conditional_expression,
    STATE(473), 1,
      sym_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(599), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(103), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12366] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(533), 1,
      anon_sym_BANG,
    ACTIONS(626), 1,
      sym_number,
    STATE(320), 1,
      sym_conditional_expression,
    STATE(465), 1,
      sym_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(635), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(98), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12420] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      anon_sym_QMARK,
    STATE(382), 1,
      sym__binary_op,
    ACTIONS(628), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(433), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(630), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(258), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(399), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(401), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12488] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(357), 1,
      anon_sym_BANG,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(632), 1,
      sym_number,
    STATE(162), 1,
      sym_conditional_expression,
    STATE(464), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(628), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(89), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12542] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(529), 1,
      anon_sym_BANG,
    ACTIONS(634), 1,
      sym_number,
    STATE(162), 1,
      sym_conditional_expression,
    STATE(486), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(559), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(55), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12596] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    STATE(382), 1,
      sym__binary_op,
    ACTIONS(628), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(461), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
    ACTIONS(630), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(608), 1,
      anon_sym_COLON,
    STATE(258), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(399), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(401), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_COLON,
    STATE(258), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(405), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(407), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12700] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      anon_sym_SQUOTE,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    ACTIONS(487), 1,
      anon_sym_LBRACE,
    ACTIONS(489), 1,
      anon_sym_LPAREN,
    ACTIONS(491), 1,
      anon_sym_LBRACK,
    ACTIONS(495), 1,
      sym_identifier,
    ACTIONS(499), 1,
      anon_sym_BANG,
    ACTIONS(639), 1,
      sym_number,
    STATE(470), 1,
      sym_expression,
    STATE(498), 1,
      sym_conditional_expression,
    STATE(718), 1,
      sym__single_quote,
    STATE(719), 1,
      sym__double_quote,
    STATE(544), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(22), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12754] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      anon_sym_SQUOTE,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    ACTIONS(487), 1,
      anon_sym_LBRACE,
    ACTIONS(489), 1,
      anon_sym_LPAREN,
    ACTIONS(491), 1,
      anon_sym_LBRACK,
    ACTIONS(495), 1,
      sym_identifier,
    ACTIONS(537), 1,
      anon_sym_BANG,
    ACTIONS(641), 1,
      sym_number,
    STATE(487), 1,
      sym_expression,
    STATE(498), 1,
      sym_conditional_expression,
    STATE(718), 1,
      sym__single_quote,
    STATE(719), 1,
      sym__double_quote,
    STATE(588), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(51), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12808] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      anon_sym_SQUOTE,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    ACTIONS(487), 1,
      anon_sym_LBRACE,
    ACTIONS(489), 1,
      anon_sym_LPAREN,
    ACTIONS(491), 1,
      anon_sym_LBRACK,
    ACTIONS(493), 1,
      anon_sym_BANG,
    ACTIONS(495), 1,
      sym_identifier,
    ACTIONS(643), 1,
      sym_number,
    STATE(209), 1,
      sym_conditional_expression,
    STATE(469), 1,
      sym_expression,
    STATE(718), 1,
      sym__single_quote,
    STATE(719), 1,
      sym__double_quote,
    STATE(212), 2,
      sym_unary_expression,
      sym_binary_expression,
    STATE(24), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [12862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_LT,
    ACTIONS(645), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12891] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(388), 1,
      sym__binary_op,
    ACTIONS(431), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(649), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(433), 5,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(651), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12926] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(393), 1,
      sym__binary_op,
    ACTIONS(431), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(653), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(433), 6,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(655), 8,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [12961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      anon_sym_LT,
    ACTIONS(657), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [12990] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(398), 1,
      sym__binary_op,
    ACTIONS(431), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(661), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(433), 6,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(663), 8,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [13025] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(385), 1,
      sym__binary_op,
    ACTIONS(465), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(461), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(665), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(667), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [13060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 1,
      anon_sym_LT,
    ACTIONS(669), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_LT,
    ACTIONS(673), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_LT,
    ACTIONS(677), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13147] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(385), 1,
      sym__binary_op,
    ACTIONS(431), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(433), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [13178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(308), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(451), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(453), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [13209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 1,
      anon_sym_LT,
    ACTIONS(681), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 1,
      anon_sym_LT,
    ACTIONS(685), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 1,
      anon_sym_LT,
    ACTIONS(689), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13296] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(547), 1,
      anon_sym_QMARK,
    ACTIONS(549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(291), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [13329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 1,
      anon_sym_LT,
    ACTIONS(693), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      anon_sym_LT,
    ACTIONS(697), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 1,
      anon_sym_LT,
    ACTIONS(693), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_LT,
    ACTIONS(701), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LT,
    ACTIONS(705), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      anon_sym_LT,
    ACTIONS(709), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LT,
    ACTIONS(713), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LT,
    ACTIONS(717), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 1,
      anon_sym_LT,
    ACTIONS(721), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LT,
    ACTIONS(725), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13619] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(618), 1,
      anon_sym_COLON,
    STATE(288), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(399), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(401), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [13652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym_COLON,
    STATE(288), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(405), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(407), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [13685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(734), 1,
      anon_sym_LT,
    ACTIONS(732), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(738), 1,
      anon_sym_LT,
    ACTIONS(736), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(742), 1,
      anon_sym_LT,
    ACTIONS(740), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(746), 1,
      anon_sym_LT,
    ACTIONS(744), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(750), 1,
      anon_sym_LT,
    ACTIONS(748), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13830] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      anon_sym_QMARK,
    STATE(394), 1,
      sym__binary_op,
    ACTIONS(752), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(433), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(754), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [13865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LT,
    ACTIONS(756), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(762), 1,
      anon_sym_LT,
    ACTIONS(760), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_LT,
    ACTIONS(764), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(770), 1,
      anon_sym_LT,
    ACTIONS(768), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [13981] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(388), 1,
      sym__binary_op,
    ACTIONS(465), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(461), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(649), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(651), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(774), 1,
      anon_sym_LT,
    ACTIONS(772), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 1,
      anon_sym_LT,
    ACTIONS(776), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(782), 1,
      anon_sym_LT,
    ACTIONS(780), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(786), 1,
      anon_sym_LT,
    ACTIONS(784), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_LT,
    ACTIONS(788), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(794), 1,
      anon_sym_LT,
    ACTIONS(792), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(798), 1,
      anon_sym_LT,
    ACTIONS(796), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(802), 1,
      anon_sym_LT,
    ACTIONS(800), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(804), 1,
      anon_sym_PIPE,
    STATE(308), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(467), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(469), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14281] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(398), 1,
      sym__binary_op,
    ACTIONS(465), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(461), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(661), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(663), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(809), 1,
      anon_sym_LT,
    ACTIONS(807), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(813), 1,
      anon_sym_LT,
    ACTIONS(811), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(817), 1,
      anon_sym_LT,
    ACTIONS(815), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(821), 1,
      anon_sym_LT,
    ACTIONS(819), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14432] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(393), 1,
      sym__binary_op,
    ACTIONS(465), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(461), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(653), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(655), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(825), 1,
      anon_sym_LT,
    ACTIONS(823), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(829), 1,
      anon_sym_LT,
    ACTIONS(827), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14525] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    STATE(394), 1,
      sym__binary_op,
    ACTIONS(461), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
    ACTIONS(752), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(754), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(833), 1,
      anon_sym_LT,
    ACTIONS(831), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LT,
    ACTIONS(835), 20,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [14618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(770), 1,
      anon_sym_LT,
    ACTIONS(768), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14674] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(594), 1,
      anon_sym_BANG,
    ACTIONS(839), 1,
      sym_number,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(829), 2,
      sym_expression,
      sym_unary_expression,
    STATE(539), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [14722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(291), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(293), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(457), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(465), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(461), 12,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14782] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(843), 1,
      anon_sym_QMARK,
    ACTIONS(275), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(273), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(847), 1,
      anon_sym_LT,
    ACTIONS(845), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [14842] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(594), 1,
      anon_sym_BANG,
    ACTIONS(839), 1,
      sym_number,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(889), 2,
      sym_expression,
      sym_unary_expression,
    STATE(539), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [14890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(433), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14918] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(594), 1,
      anon_sym_BANG,
    ACTIONS(839), 1,
      sym_number,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(827), 2,
      sym_expression,
      sym_unary_expression,
    STATE(539), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [14966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(469), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [14994] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(849), 1,
      anon_sym_PIPE,
    STATE(331), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(467), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(469), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(566), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(568), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(813), 1,
      anon_sym_LT,
    ACTIONS(811), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(786), 1,
      anon_sym_LT,
    ACTIONS(784), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(774), 1,
      anon_sym_LT,
    ACTIONS(772), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LT,
    ACTIONS(713), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 1,
      anon_sym_LT,
    ACTIONS(681), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(647), 1,
      anon_sym_LT,
    ACTIONS(645), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(821), 1,
      anon_sym_LT,
    ACTIONS(819), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(570), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(572), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(507), 1,
      anon_sym_PIPE,
    STATE(331), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(451), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(453), 13,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_LT,
    ACTIONS(835), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(574), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(576), 14,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(802), 1,
      anon_sym_LT,
    ACTIONS(800), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_LT,
    ACTIONS(764), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(734), 1,
      anon_sym_LT,
    ACTIONS(732), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15450] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(594), 1,
      anon_sym_BANG,
    ACTIONS(839), 1,
      sym_number,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(801), 2,
      sym_expression,
      sym_unary_expression,
    STATE(539), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [15498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      anon_sym_LT,
    ACTIONS(709), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 1,
      anon_sym_LT,
    ACTIONS(705), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 1,
      anon_sym_LT,
    ACTIONS(693), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(695), 1,
      anon_sym_LT,
    ACTIONS(693), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15610] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(594), 1,
      anon_sym_BANG,
    ACTIONS(839), 1,
      sym_number,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(794), 2,
      sym_expression,
      sym_unary_expression,
    STATE(539), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [15658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(691), 1,
      anon_sym_LT,
    ACTIONS(689), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(829), 1,
      anon_sym_LT,
    ACTIONS(827), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_LT,
    ACTIONS(756), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(798), 1,
      anon_sym_LT,
    ACTIONS(796), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(833), 1,
      anon_sym_LT,
    ACTIONS(831), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(817), 1,
      anon_sym_LT,
    ACTIONS(815), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(778), 1,
      anon_sym_LT,
    ACTIONS(776), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(854), 1,
      anon_sym_LT,
    ACTIONS(852), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(457), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(215), 6,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(217), 12,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [15912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(742), 1,
      anon_sym_LT,
    ACTIONS(740), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_LT,
    ACTIONS(725), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 1,
      anon_sym_LT,
    ACTIONS(721), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [15996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LT,
    ACTIONS(717), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(794), 1,
      anon_sym_LT,
    ACTIONS(792), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      anon_sym_LT,
    ACTIONS(697), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 1,
      anon_sym_LT,
    ACTIONS(685), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_LT,
    ACTIONS(677), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(671), 1,
      anon_sym_LT,
    ACTIONS(669), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_LT,
    ACTIONS(673), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(809), 1,
      anon_sym_LT,
    ACTIONS(807), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      anon_sym_LT,
    ACTIONS(657), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_LT,
    ACTIONS(788), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_LT,
    ACTIONS(701), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(782), 1,
      anon_sym_LT,
    ACTIONS(780), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(762), 1,
      anon_sym_LT,
    ACTIONS(760), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(750), 1,
      anon_sym_LT,
    ACTIONS(748), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(746), 1,
      anon_sym_LT,
    ACTIONS(744), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(738), 1,
      anon_sym_LT,
    ACTIONS(736), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(825), 1,
      anon_sym_LT,
    ACTIONS(823), 19,
      sym__implicit_end_tag,
      sym__interpolation_start,
      sym_if_start,
      sym_else_start,
      sym_for_start,
      sym_switch_start,
      sym_defer_start,
      sym_let_start,
      sym_empty_start,
      sym_placeholder_start,
      sym_loading_start,
      sym_error_start,
      sym_else_if_start,
      sym_at_sign,
      anon_sym_LT_BANG,
      anon_sym_LT_SLASH,
      sym_entity,
      sym_text,
      anon_sym_LBRACE,
  [16472] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(856), 1,
      sym_number,
    STATE(252), 1,
      sym_expression,
    STATE(503), 1,
      sym_binary_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(59), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16519] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(858), 1,
      sym_number,
    STATE(107), 1,
      sym_expression,
    STATE(164), 1,
      sym_binary_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16566] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(858), 1,
      sym_number,
    STATE(139), 1,
      sym_expression,
    STATE(503), 1,
      sym_binary_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16613] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(860), 1,
      sym_number,
    STATE(271), 1,
      sym_expression,
    STATE(328), 1,
      sym_binary_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(106), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16660] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 1,
      anon_sym_QMARK,
    STATE(392), 1,
      sym__binary_op,
    ACTIONS(433), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(862), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(864), 9,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16693] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      anon_sym_SQUOTE,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    ACTIONS(487), 1,
      anon_sym_LBRACE,
    ACTIONS(489), 1,
      anon_sym_LPAREN,
    ACTIONS(491), 1,
      anon_sym_LBRACK,
    ACTIONS(495), 1,
      sym_identifier,
    ACTIONS(866), 1,
      sym_number,
    STATE(131), 1,
      sym_expression,
    STATE(503), 1,
      sym_binary_expression,
    STATE(718), 1,
      sym__single_quote,
    STATE(719), 1,
      sym__double_quote,
    STATE(21), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16740] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(860), 1,
      sym_number,
    STATE(263), 1,
      sym_expression,
    STATE(328), 1,
      sym_binary_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(106), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16787] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    STATE(392), 1,
      sym__binary_op,
    ACTIONS(461), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(862), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(864), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(868), 1,
      anon_sym_PIPE,
    STATE(390), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(467), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(469), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [16851] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(871), 1,
      sym_number,
    STATE(422), 1,
      sym_expression,
    STATE(503), 1,
      sym_binary_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(201), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16898] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(873), 1,
      sym_number,
    STATE(328), 1,
      sym_binary_expression,
    STATE(386), 1,
      sym_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(132), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16945] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(858), 1,
      sym_number,
    STATE(264), 1,
      sym_expression,
    STATE(503), 1,
      sym_binary_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [16992] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(856), 1,
      sym_number,
    STATE(164), 1,
      sym_binary_expression,
    STATE(294), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(59), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17039] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(309), 1,
      anon_sym_PIPE,
    STATE(390), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(451), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(453), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [17070] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(858), 1,
      sym_number,
    STATE(164), 1,
      sym_binary_expression,
    STATE(224), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17117] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      anon_sym_SQUOTE,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    ACTIONS(487), 1,
      anon_sym_LBRACE,
    ACTIONS(489), 1,
      anon_sym_LPAREN,
    ACTIONS(491), 1,
      anon_sym_LBRACK,
    ACTIONS(495), 1,
      sym_identifier,
    ACTIONS(875), 1,
      sym_number,
    STATE(241), 1,
      sym_expression,
    STATE(503), 1,
      sym_binary_expression,
    STATE(718), 1,
      sym__single_quote,
    STATE(719), 1,
      sym__double_quote,
    STATE(40), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17164] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(860), 1,
      sym_number,
    STATE(266), 1,
      sym_expression,
    STATE(328), 1,
      sym_binary_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(106), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17211] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      anon_sym_SQUOTE,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    ACTIONS(487), 1,
      anon_sym_LBRACE,
    ACTIONS(489), 1,
      anon_sym_LPAREN,
    ACTIONS(491), 1,
      anon_sym_LBRACK,
    ACTIONS(495), 1,
      sym_identifier,
    ACTIONS(866), 1,
      sym_number,
    STATE(144), 1,
      sym_expression,
    STATE(215), 1,
      sym_binary_expression,
    STATE(718), 1,
      sym__single_quote,
    STATE(719), 1,
      sym__double_quote,
    STATE(21), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17258] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(877), 1,
      sym_number,
    STATE(495), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(492), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17302] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(879), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_DQUOTE,
    ACTIONS(883), 1,
      anon_sym_LBRACE,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(887), 1,
      anon_sym_LBRACK,
    ACTIONS(889), 1,
      sym_identifier,
    ACTIONS(891), 1,
      sym_number,
    STATE(495), 1,
      sym_expression,
    STATE(707), 1,
      sym__double_quote,
    STATE(712), 1,
      sym__single_quote,
    STATE(436), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17346] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(893), 1,
      sym_identifier,
    ACTIONS(895), 1,
      sym_number,
    STATE(653), 1,
      sym_member_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(1010), 1,
      sym_binding_name,
    STATE(779), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [17392] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(897), 1,
      sym_number,
    STATE(332), 1,
      sym_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(520), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17436] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(899), 1,
      sym_number,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(849), 1,
      sym_expression,
    STATE(566), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17480] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(901), 1,
      sym_number,
    STATE(722), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(536), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17524] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(839), 1,
      sym_number,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(995), 1,
      sym_expression,
    STATE(539), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17568] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(905), 1,
      sym_number,
    STATE(737), 1,
      sym_member_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(1009), 1,
      sym_binding_name,
    STATE(745), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [17614] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(839), 1,
      sym_number,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(1017), 1,
      sym_expression,
    STATE(539), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17658] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(893), 1,
      sym_identifier,
    ACTIONS(895), 1,
      sym_number,
    STATE(653), 1,
      sym_member_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(1008), 1,
      sym_binding_name,
    STATE(779), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [17704] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(903), 1,
      sym_identifier,
    ACTIONS(905), 1,
      sym_number,
    STATE(737), 1,
      sym_member_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(999), 1,
      sym_binding_name,
    STATE(745), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [17750] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(860), 1,
      sym_number,
    STATE(332), 1,
      sym_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(106), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17794] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(839), 1,
      sym_number,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(980), 1,
      sym_expression,
    STATE(539), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17838] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      anon_sym_SQUOTE,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    ACTIONS(487), 1,
      anon_sym_LBRACE,
    ACTIONS(489), 1,
      anon_sym_LPAREN,
    ACTIONS(491), 1,
      anon_sym_LBRACK,
    ACTIONS(495), 1,
      sym_identifier,
    ACTIONS(866), 1,
      sym_number,
    STATE(216), 1,
      sym_expression,
    STATE(718), 1,
      sym__single_quote,
    STATE(719), 1,
      sym__double_quote,
    STATE(21), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17882] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(893), 1,
      sym_identifier,
    ACTIONS(895), 1,
      sym_number,
    STATE(653), 1,
      sym_member_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(1003), 1,
      sym_binding_name,
    STATE(779), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [17928] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(907), 1,
      sym_number,
    STATE(332), 1,
      sym_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(511), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [17972] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(909), 1,
      sym_number,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(796), 1,
      sym_expression,
    STATE(581), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18016] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(858), 1,
      sym_number,
    STATE(173), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(18), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18060] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(895), 1,
      sym_number,
    ACTIONS(911), 1,
      anon_sym_SQUOTE,
    ACTIONS(913), 1,
      sym_identifier,
    STATE(675), 1,
      sym__single_quote,
    STATE(743), 1,
      sym__double_quote,
    STATE(974), 1,
      sym_static_member_expression,
    STATE(692), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(779), 6,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
  [18106] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(839), 1,
      sym_number,
    STATE(495), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(539), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18150] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(895), 1,
      sym_number,
    ACTIONS(911), 1,
      anon_sym_SQUOTE,
    ACTIONS(915), 1,
      sym_identifier,
    STATE(675), 1,
      sym__single_quote,
    STATE(743), 1,
      sym__double_quote,
    STATE(1034), 1,
      sym_static_member_expression,
    STATE(739), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(779), 6,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
  [18196] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(895), 1,
      sym_number,
    ACTIONS(911), 1,
      anon_sym_SQUOTE,
    ACTIONS(917), 1,
      sym_identifier,
    STATE(675), 1,
      sym__single_quote,
    STATE(743), 1,
      sym__double_quote,
    STATE(1031), 1,
      sym_static_member_expression,
    STATE(697), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(779), 6,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
  [18242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(391), 1,
      sym__binary_op,
    ACTIONS(433), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(919), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(921), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [18272] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(923), 1,
      sym_number,
    STATE(495), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(510), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18316] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(893), 1,
      sym_identifier,
    ACTIONS(895), 1,
      sym_number,
    STATE(653), 1,
      sym_member_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(1011), 1,
      sym_binding_name,
    STATE(779), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [18362] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(895), 1,
      sym_number,
    ACTIONS(911), 1,
      anon_sym_SQUOTE,
    ACTIONS(925), 1,
      sym_identifier,
    STATE(675), 1,
      sym__single_quote,
    STATE(743), 1,
      sym__double_quote,
    STATE(965), 1,
      sym_static_member_expression,
    STATE(711), 2,
      sym_member_expression,
      sym_bracket_expression,
    STATE(779), 6,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
  [18408] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(927), 1,
      sym_number,
    STATE(173), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(474), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18452] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(893), 1,
      sym_identifier,
    ACTIONS(895), 1,
      sym_number,
    STATE(653), 1,
      sym_member_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(1002), 1,
      sym_binding_name,
    STATE(779), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [18498] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(929), 1,
      sym_number,
    STATE(173), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(514), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18542] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(893), 1,
      sym_identifier,
    ACTIONS(895), 1,
      sym_number,
    STATE(653), 1,
      sym_member_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(956), 1,
      sym_binding_name,
    STATE(779), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_bracket_expression,
  [18588] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(931), 1,
      sym_number,
    STATE(495), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(448), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18632] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(901), 1,
      sym_number,
    STATE(710), 1,
      sym_expression,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(536), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18676] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(933), 1,
      sym_number,
    STATE(332), 1,
      sym_expression,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(533), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18720] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(879), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_DQUOTE,
    ACTIONS(883), 1,
      anon_sym_LBRACE,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(887), 1,
      anon_sym_LBRACK,
    ACTIONS(889), 1,
      sym_identifier,
    ACTIONS(935), 1,
      sym_number,
    STATE(495), 1,
      sym_expression,
    STATE(707), 1,
      sym__double_quote,
    STATE(712), 1,
      sym__single_quote,
    STATE(480), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18764] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(937), 1,
      sym_number,
    STATE(699), 1,
      sym_group,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(713), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18807] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(939), 1,
      sym_number,
    STATE(709), 1,
      sym_group,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(708), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18850] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(941), 1,
      anon_sym_LBRACK,
    STATE(534), 1,
      aux_sym_pipe_sequence_repeat1,
    STATE(537), 1,
      sym_pipe_sequence,
    ACTIONS(205), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(943), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [18883] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 1,
      anon_sym_SQUOTE,
    ACTIONS(485), 1,
      anon_sym_DQUOTE,
    ACTIONS(487), 1,
      anon_sym_LBRACE,
    ACTIONS(489), 1,
      anon_sym_LPAREN,
    ACTIONS(491), 1,
      anon_sym_LBRACK,
    ACTIONS(495), 1,
      sym_identifier,
    ACTIONS(945), 1,
      sym_number,
    STATE(718), 1,
      sym__single_quote,
    STATE(719), 1,
      sym__double_quote,
    STATE(73), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18924] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(947), 1,
      sym_number,
    STATE(725), 1,
      sym_group,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(733), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [18967] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(949), 1,
      sym_number,
    STATE(715), 1,
      sym_group,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(716), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19010] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(951), 1,
      sym_number,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(694), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19051] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(953), 1,
      sym_number,
    STATE(741), 1,
      sym_group,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(742), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19094] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(955), 1,
      sym_number,
    STATE(682), 1,
      sym_group,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(734), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19137] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(957), 1,
      sym_number,
    STATE(740), 1,
      sym_group,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(738), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19180] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(959), 1,
      sym_number,
    STATE(728), 1,
      sym_group,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(727), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19223] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(961), 1,
      sym_number,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(670), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19264] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(963), 1,
      sym_number,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(657), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19305] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(879), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_DQUOTE,
    ACTIONS(883), 1,
      anon_sym_LBRACE,
    ACTIONS(885), 1,
      anon_sym_LPAREN,
    ACTIONS(887), 1,
      anon_sym_LBRACK,
    ACTIONS(889), 1,
      sym_identifier,
    ACTIONS(965), 1,
      sym_number,
    STATE(707), 1,
      sym__double_quote,
    STATE(712), 1,
      sym__single_quote,
    STATE(504), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19346] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(528), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(205), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 9,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [19379] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(967), 1,
      sym_number,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(667), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19420] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(969), 1,
      sym_number,
    STATE(714), 1,
      sym_group,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(717), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19463] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(971), 1,
      sym_number,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(479), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19504] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(973), 1,
      sym_number,
    STATE(720), 1,
      sym_group,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(721), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19547] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(975), 1,
      sym_number,
    STATE(703), 1,
      sym_group,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(705), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19590] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(977), 1,
      sym_number,
    STATE(686), 1,
      sym_group,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(687), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19633] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(979), 1,
      sym_number,
    STATE(706), 1,
      sym_group,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(704), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19676] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(981), 1,
      sym_number,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(658), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19717] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(983), 1,
      sym_number,
    STATE(736), 1,
      sym_group,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(735), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19760] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(985), 1,
      sym_number,
    STATE(702), 1,
      sym_group,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(691), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19803] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(987), 1,
      sym_number,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(651), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19844] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(435), 1,
      anon_sym_SQUOTE,
    ACTIONS(437), 1,
      anon_sym_DQUOTE,
    ACTIONS(439), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      anon_sym_LPAREN,
    ACTIONS(443), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      sym_identifier,
    ACTIONS(989), 1,
      sym_number,
    STATE(689), 1,
      sym__double_quote,
    STATE(690), 1,
      sym__single_quote,
    STATE(220), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19885] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(991), 1,
      sym_number,
    STATE(695), 1,
      sym_group,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(696), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19928] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(993), 1,
      sym_number,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(50), 8,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_group,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [19969] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(349), 1,
      anon_sym_LBRACE,
    ACTIONS(351), 1,
      anon_sym_LPAREN,
    ACTIONS(355), 1,
      anon_sym_LBRACK,
    ACTIONS(359), 1,
      sym_identifier,
    ACTIONS(995), 1,
      sym_number,
    STATE(685), 1,
      sym_group,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(684), 7,
      sym__primitive,
      sym_object,
      sym_array,
      sym_string,
      sym_call_expression,
      sym_member_expression,
      sym_bracket_expression,
  [20012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(394), 1,
      sym__binary_op,
    ACTIONS(752), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(754), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(388), 1,
      sym__binary_op,
    ACTIONS(649), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(651), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(384), 1,
      sym__binary_op,
    ACTIONS(525), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(527), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20090] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 1,
      anon_sym_GT,
    ACTIONS(999), 1,
      anon_sym_SLASH_GT,
    ACTIONS(1001), 1,
      sym_attribute_name,
    ACTIONS(1003), 1,
      anon_sym_LPAREN,
    ACTIONS(1005), 1,
      anon_sym_STAR,
    ACTIONS(1007), 1,
      anon_sym_LBRACK,
    ACTIONS(1009), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1011), 1,
      anon_sym_LBRACK_AT,
    STATE(595), 1,
      sym__normal_attribute,
    STATE(484), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(614), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [20132] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 1,
      anon_sym_GT,
    ACTIONS(1001), 1,
      sym_attribute_name,
    ACTIONS(1003), 1,
      anon_sym_LPAREN,
    ACTIONS(1005), 1,
      anon_sym_STAR,
    ACTIONS(1007), 1,
      anon_sym_LBRACK,
    ACTIONS(1009), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1011), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(1013), 1,
      anon_sym_SLASH_GT,
    STATE(595), 1,
      sym__normal_attribute,
    STATE(484), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(614), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [20174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(399), 1,
      sym__binary_op,
    ACTIONS(557), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(559), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(387), 1,
      sym__binary_op,
    ACTIONS(509), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(511), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 1,
      anon_sym_LPAREN,
    ACTIONS(219), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(221), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [20252] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1001), 1,
      sym_attribute_name,
    ACTIONS(1003), 1,
      anon_sym_LPAREN,
    ACTIONS(1005), 1,
      anon_sym_STAR,
    ACTIONS(1007), 1,
      anon_sym_LBRACK,
    ACTIONS(1009), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1011), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(1017), 1,
      anon_sym_GT,
    ACTIONS(1019), 1,
      anon_sym_SLASH_GT,
    STATE(595), 1,
      sym__normal_attribute,
    STATE(467), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(614), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [20294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(398), 1,
      sym__binary_op,
    ACTIONS(661), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(663), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20320] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(547), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(205), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [20352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 1,
      anon_sym_LPAREN,
    ACTIONS(235), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(237), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [20378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(391), 1,
      sym__binary_op,
    ACTIONS(919), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(921), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(392), 1,
      sym__binary_op,
    ACTIONS(862), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(864), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(383), 1,
      sym__binary_op,
    ACTIONS(459), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(463), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(305), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(307), 10,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [20484] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(205), 1,
      anon_sym_QMARK,
    ACTIONS(941), 1,
      anon_sym_LBRACK,
    ACTIONS(1021), 1,
      anon_sym_PIPE,
    STATE(537), 1,
      sym_pipe_sequence,
    STATE(538), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(943), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [20518] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1001), 1,
      sym_attribute_name,
    ACTIONS(1003), 1,
      anon_sym_LPAREN,
    ACTIONS(1005), 1,
      anon_sym_STAR,
    ACTIONS(1007), 1,
      anon_sym_LBRACK,
    ACTIONS(1009), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1011), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(1017), 1,
      anon_sym_GT,
    ACTIONS(1023), 1,
      anon_sym_SLASH_GT,
    STATE(595), 1,
      sym__normal_attribute,
    STATE(468), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(614), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [20560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(382), 1,
      sym__binary_op,
    ACTIONS(628), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(630), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(393), 1,
      sym__binary_op,
    ACTIONS(653), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(655), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20612] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      sym_attribute_name,
    ACTIONS(1030), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1036), 1,
      anon_sym_LBRACK,
    ACTIONS(1039), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1042), 1,
      anon_sym_LBRACK_AT,
    STATE(595), 1,
      sym__normal_attribute,
    ACTIONS(1025), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(484), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(614), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [20652] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(385), 1,
      sym__binary_op,
    ACTIONS(665), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(667), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(396), 1,
      sym__binary_op,
    ACTIONS(583), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(585), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(397), 1,
      sym__binary_op,
    ACTIONS(600), 4,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(602), 11,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [20730] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 1,
      anon_sym_GT,
    ACTIONS(1045), 1,
      sym_attribute_name,
    ACTIONS(1048), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_STAR,
    ACTIONS(1054), 1,
      anon_sym_LBRACK,
    ACTIONS(1057), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1060), 1,
      anon_sym_LBRACK_AT,
    STATE(647), 1,
      sym__normal_attribute,
    STATE(488), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(650), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [20769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(265), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(267), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [20792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(253), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(255), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [20815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(261), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(263), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [20838] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(205), 1,
      anon_sym_QMARK,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1063), 1,
      anon_sym_PIPE,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(563), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [20871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(295), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(297), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [20894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(245), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(247), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [20917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(566), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(568), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [20940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(283), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(285), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [20963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(249), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(251), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [20986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(217), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21009] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 1,
      anon_sym_GT,
    ACTIONS(1067), 1,
      sym_attribute_name,
    ACTIONS(1069), 1,
      anon_sym_LPAREN,
    ACTIONS(1071), 1,
      anon_sym_STAR,
    ACTIONS(1073), 1,
      anon_sym_LBRACK,
    ACTIONS(1075), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_LBRACK_AT,
    STATE(647), 1,
      sym__normal_attribute,
    STATE(488), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(650), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [21048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(279), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(243), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(269), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(271), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(433), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21140] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(941), 1,
      anon_sym_LBRACK,
    ACTIONS(305), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(943), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(307), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21167] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym_attribute_name,
    ACTIONS(1069), 1,
      anon_sym_LPAREN,
    ACTIONS(1071), 1,
      anon_sym_STAR,
    ACTIONS(1073), 1,
      anon_sym_LBRACK,
    ACTIONS(1075), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(1079), 1,
      anon_sym_GT,
    STATE(647), 1,
      sym__normal_attribute,
    STATE(488), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(650), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [21206] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym_attribute_name,
    ACTIONS(1069), 1,
      anon_sym_LPAREN,
    ACTIONS(1071), 1,
      anon_sym_STAR,
    ACTIONS(1073), 1,
      anon_sym_LBRACK,
    ACTIONS(1075), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(1081), 1,
      anon_sym_GT,
    STATE(647), 1,
      sym__normal_attribute,
    STATE(505), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(650), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [21245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(259), 13,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [21268] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      sym_attribute_name,
    ACTIONS(1069), 1,
      anon_sym_LPAREN,
    ACTIONS(1071), 1,
      anon_sym_STAR,
    ACTIONS(1073), 1,
      anon_sym_LBRACK,
    ACTIONS(1075), 1,
      anon_sym_LBRACK_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_LBRACK_AT,
    ACTIONS(1083), 1,
      anon_sym_GT,
    STATE(647), 1,
      sym__normal_attribute,
    STATE(499), 2,
      sym_attribute,
      aux_sym_start_tag_repeat1,
    STATE(650), 5,
      sym_structural_directive,
      sym_property_binding,
      sym_event_binding,
      sym_two_way_binding,
      sym_animation_binding,
  [21307] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_COLON,
    STATE(546), 1,
      sym_pipe_arguments,
    ACTIONS(375), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(522), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(377), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21335] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(582), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(205), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 6,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21365] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    STATE(340), 1,
      sym_pipe_sequence,
    STATE(591), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(205), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(425), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 6,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21395] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(546), 1,
      sym_pipe_arguments,
    ACTIONS(375), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(516), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(377), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21421] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(192), 1,
      sym_pipe_arguments,
    ACTIONS(375), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(515), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(377), 9,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21447] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(205), 1,
      anon_sym_QMARK,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1087), 1,
      anon_sym_PIPE,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(568), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(399), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(517), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(401), 9,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(399), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(523), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(401), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21525] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 1,
      anon_sym_COLON,
    ACTIONS(405), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(517), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(407), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(192), 1,
      sym_pipe_arguments,
    ACTIONS(375), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(532), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(377), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21575] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_COLON,
    STATE(192), 1,
      sym_pipe_arguments,
    ACTIONS(375), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(524), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(377), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21602] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    STATE(340), 1,
      sym_pipe_sequence,
    STATE(600), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(205), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(425), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 5,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21631] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1096), 1,
      anon_sym_DQUOTE,
    STATE(31), 1,
      sym__double_quote,
    STATE(723), 1,
      aux_sym_string_repeat1,
    ACTIONS(1098), 2,
      sym__escape_sequence,
      aux_sym_string_token1,
    ACTIONS(1094), 8,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [21658] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_COLON,
    ACTIONS(399), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(523), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(401), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1100), 1,
      anon_sym_COLON,
    ACTIONS(405), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(523), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(407), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21708] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      anon_sym_COLON,
    ACTIONS(399), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(517), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(401), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 1,
      anon_sym_QMARK,
    ACTIONS(1103), 1,
      anon_sym_PIPE,
    STATE(525), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(469), 9,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21756] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1106), 1,
      anon_sym_COLON,
    STATE(192), 1,
      sym_pipe_arguments,
    ACTIONS(375), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(551), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(377), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21782] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(405), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(527), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(407), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(525), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(451), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(453), 9,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21828] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1096), 1,
      anon_sym_DQUOTE,
    STATE(31), 1,
      sym__double_quote,
    STATE(723), 1,
      aux_sym_string_repeat1,
    ACTIONS(1098), 2,
      sym__escape_sequence,
      aux_sym_string_token1,
    ACTIONS(1094), 7,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [21854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 1,
      anon_sym_QMARK,
    ACTIONS(1111), 1,
      anon_sym_PIPE,
    STATE(530), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(469), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(291), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(293), 9,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21900] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(399), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(527), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(401), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21922] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(205), 1,
      anon_sym_QMARK,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    ACTIONS(1116), 1,
      anon_sym_PIPE,
    STATE(340), 1,
      sym_pipe_sequence,
    STATE(627), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(425), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21952] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(530), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(451), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(453), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [21974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 1,
      anon_sym_QMARK,
    ACTIONS(1118), 1,
      anon_sym_PIPE,
    STATE(535), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(469), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21997] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1121), 1,
      anon_sym_PIPE,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(673), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [22024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(570), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(572), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22043] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_QMARK,
    ACTIONS(1021), 1,
      anon_sym_PIPE,
    STATE(552), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(453), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22066] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1123), 1,
      anon_sym_PIPE,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(666), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
    ACTIONS(207), 4,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [22093] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 1,
      anon_sym_PIPE,
    ACTIONS(1125), 1,
      anon_sym_QMARK,
    ACTIONS(1127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(273), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(343), 1,
      sym_pipe_arguments,
    ACTIONS(375), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(562), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(377), 6,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(192), 1,
      sym_pipe_arguments,
    ACTIONS(375), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(561), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(377), 6,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(229), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(465), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(461), 7,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      sym_identifier,
  [22183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(229), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 7,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      sym_identifier,
  [22204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(233), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [22225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(574), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(576), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22244] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(535), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(451), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(453), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22265] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(233), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(465), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(461), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [22286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(469), 9,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(291), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(293), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1106), 1,
      anon_sym_COLON,
    ACTIONS(399), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(527), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(401), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22349] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 1,
      anon_sym_QMARK,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    STATE(552), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(469), 8,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_identifier,
  [22372] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 1,
      anon_sym_PIPE,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1132), 1,
      anon_sym_QMARK,
    ACTIONS(273), 8,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22395] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1134), 1,
      anon_sym_COLON,
    ACTIONS(405), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(554), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(407), 5,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22417] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 1,
      anon_sym_COLON,
    STATE(343), 1,
      sym_pipe_arguments,
    ACTIONS(375), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(567), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(377), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 1,
      anon_sym_PIPE,
    ACTIONS(549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1139), 1,
      anon_sym_QMARK,
    ACTIONS(273), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22463] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 1,
      anon_sym_EQ,
    STATE(605), 1,
      sym__binding_assignment,
    ACTIONS(1143), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1141), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [22485] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1147), 1,
      anon_sym_COLON,
    ACTIONS(405), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(558), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(407), 5,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(311), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [22527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(343), 1,
      sym_pipe_arguments,
    ACTIONS(375), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(589), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(377), 5,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22549] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(399), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(558), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(401), 6,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(399), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(554), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(401), 6,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22589] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_QMARK,
    ACTIONS(1063), 1,
      anon_sym_PIPE,
    STATE(564), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(453), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 1,
      anon_sym_QMARK,
    ACTIONS(1150), 1,
      anon_sym_PIPE,
    STATE(564), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(469), 7,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(311), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(465), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(461), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [22653] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1153), 1,
      anon_sym_PIPE,
    STATE(177), 1,
      sym_pipe_sequence,
    STATE(754), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(207), 2,
      anon_sym_COMMA,
      anon_sym_PLUS,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [22678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 1,
      anon_sym_COLON,
    ACTIONS(399), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(586), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(401), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22699] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_QMARK,
    ACTIONS(1087), 1,
      anon_sym_PIPE,
    STATE(579), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(453), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22720] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(1155), 1,
      anon_sym_RBRACE,
    ACTIONS(1157), 1,
      sym_identifier,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(984), 1,
      sym_string,
    STATE(577), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [22749] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 1,
      anon_sym_QMARK,
    ACTIONS(1159), 1,
      anon_sym_PIPE,
    STATE(570), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(469), 6,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22770] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(1157), 1,
      sym_identifier,
    ACTIONS(1162), 1,
      anon_sym_RBRACE,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(984), 1,
      sym_string,
    STATE(572), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [22799] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1164), 1,
      anon_sym_SQUOTE,
    ACTIONS(1167), 1,
      anon_sym_DQUOTE,
    ACTIONS(1170), 1,
      anon_sym_RBRACE,
    ACTIONS(1172), 1,
      sym_identifier,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(984), 1,
      sym_string,
    STATE(572), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [22828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(303), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(461), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      sym_identifier,
  [22847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      anon_sym_EQ,
    ACTIONS(1177), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1175), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [22866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      anon_sym_LBRACK,
    ACTIONS(1181), 1,
      anon_sym_EQ,
    STATE(642), 1,
      sym__binding_assignment,
    ACTIONS(1141), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [22887] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_EQ,
    ACTIONS(1185), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1183), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [22906] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(1157), 1,
      sym_identifier,
    ACTIONS(1189), 1,
      anon_sym_RBRACE,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(984), 1,
      sym_string,
    STATE(572), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [22935] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(1157), 1,
      sym_identifier,
    ACTIONS(1191), 1,
      anon_sym_RBRACE,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(984), 1,
      sym_string,
    STATE(571), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [22964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 1,
      anon_sym_QMARK,
    ACTIONS(1193), 1,
      anon_sym_PIPE,
    STATE(579), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(469), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [22985] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(1157), 1,
      sym_identifier,
    ACTIONS(1196), 1,
      anon_sym_RBRACE,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(984), 1,
      sym_string,
    STATE(592), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [23014] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    ACTIONS(1198), 1,
      anon_sym_PIPE,
    STATE(340), 1,
      sym_pipe_sequence,
    STATE(763), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(207), 2,
      sym__interpolation_end,
      anon_sym_PLUS,
    ACTIONS(425), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [23039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(570), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(451), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(453), 6,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 1,
      anon_sym_COLON,
    STATE(192), 1,
      sym_pipe_arguments,
    STATE(603), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(377), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [23079] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(1157), 1,
      sym_identifier,
    ACTIONS(1202), 1,
      anon_sym_RBRACE,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(984), 1,
      sym_string,
    STATE(572), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [23108] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1204), 1,
      anon_sym_COLON,
    STATE(192), 1,
      sym_pipe_arguments,
    STATE(619), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(377), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [23129] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1206), 1,
      anon_sym_COLON,
    ACTIONS(405), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(586), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(407), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23150] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(1157), 1,
      sym_identifier,
    ACTIONS(1209), 1,
      anon_sym_RBRACE,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(984), 1,
      sym_string,
    STATE(584), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [23179] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    ACTIONS(303), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 6,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      sym_identifier,
  [23198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(399), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    STATE(586), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(401), 5,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 1,
      anon_sym_QMARK,
    ACTIONS(1211), 1,
      anon_sym_PIPE,
    STATE(590), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(469), 6,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23238] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(590), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(451), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(453), 6,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23257] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 1,
      anon_sym_SQUOTE,
    ACTIONS(347), 1,
      anon_sym_DQUOTE,
    ACTIONS(1157), 1,
      sym_identifier,
    ACTIONS(1214), 1,
      anon_sym_RBRACE,
    STATE(743), 1,
      sym__double_quote,
    STATE(744), 1,
      sym__single_quote,
    STATE(984), 1,
      sym_string,
    STATE(572), 2,
      sym_pair,
      aux_sym_object_repeat1,
  [23286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1218), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1216), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1220), 1,
      anon_sym_COLON,
    STATE(594), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(407), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [23320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1223), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23336] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_as,
    ACTIONS(1231), 1,
      anon_sym_EQ,
    ACTIONS(1233), 1,
      anon_sym_COLON,
    ACTIONS(1235), 1,
      sym_identifier,
    STATE(819), 1,
      sym__alias,
    ACTIONS(1227), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [23360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1237), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23376] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1241), 1,
      anon_sym_DQUOTE,
    ACTIONS(1243), 1,
      anon_sym_SEMI,
    ACTIONS(1245), 1,
      anon_sym_as,
    ACTIONS(1247), 1,
      anon_sym_QMARK,
    STATE(771), 1,
      sym__alias,
    STATE(817), 1,
      sym__else_template_expression,
    STATE(961), 1,
      sym__context_expression,
  [23404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(429), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 4,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [23422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(623), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(451), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(453), 5,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1249), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1253), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23472] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 1,
      anon_sym_COLON,
    STATE(606), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(401), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [23490] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1257), 1,
      anon_sym_QMARK,
    ACTIONS(293), 6,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [23508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1259), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 1,
      anon_sym_COLON,
    STATE(606), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(407), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [23542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_LBRACK,
    ACTIONS(1266), 1,
      anon_sym_EQ,
    ACTIONS(1183), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1268), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(465), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(461), 4,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [23594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1272), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1276), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1280), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(465), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(461), 4,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [23660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1223), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23676] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 1,
      anon_sym_PIPE,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1284), 1,
      anon_sym_QMARK,
    ACTIONS(273), 5,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 1,
      anon_sym_PIPE,
    ACTIONS(841), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1286), 1,
      anon_sym_QMARK,
    ACTIONS(273), 5,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(379), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(461), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
  [23734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1288), 1,
      anon_sym_QMARK,
    ACTIONS(273), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE,
  [23752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1204), 1,
      anon_sym_COLON,
    STATE(594), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(401), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [23770] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    ACTIONS(379), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 5,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
  [23788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1257), 1,
      anon_sym_QMARK,
    ACTIONS(273), 6,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [23806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 2,
      sym_attribute_name,
      anon_sym_LBRACK,
    ACTIONS(1290), 6,
      anon_sym_GT,
      anon_sym_SLASH_GT,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 1,
      anon_sym_QMARK,
    ACTIONS(1294), 1,
      anon_sym_PIPE,
    STATE(623), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(469), 5,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(427), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 4,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [23860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 1,
      anon_sym_LBRACK,
    ACTIONS(1297), 1,
      anon_sym_EQ,
    ACTIONS(1175), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [23878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1288), 1,
      anon_sym_QMARK,
    ACTIONS(293), 6,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE,
  [23896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_QMARK,
    ACTIONS(1116), 1,
      anon_sym_PIPE,
    STATE(649), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(453), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    ACTIONS(403), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
  [23932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 1,
      anon_sym_PIPE,
    ACTIONS(841), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1299), 1,
      anon_sym_QMARK,
    ACTIONS(273), 4,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [23951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      anon_sym_COLON,
    STATE(192), 1,
      sym_pipe_arguments,
    STATE(654), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(377), 3,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [23970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1303), 1,
      anon_sym_QMARK,
    ACTIONS(273), 5,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      sym_identifier,
  [23987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 1,
      anon_sym_LBRACK,
    ACTIONS(1280), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(403), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(461), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
  [24019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 1,
      anon_sym_LBRACK,
    ACTIONS(1276), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(423), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(217), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [24051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 1,
      anon_sym_LBRACK,
    ACTIONS(1272), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1292), 1,
      anon_sym_LBRACK,
    ACTIONS(1290), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 1,
      anon_sym_LBRACK,
    ACTIONS(1249), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      anon_sym_LBRACK,
    ACTIONS(1253), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1216), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 1,
      anon_sym_LBRACK,
    ACTIONS(1259), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24156] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1303), 1,
      anon_sym_QMARK,
    ACTIONS(1307), 1,
      anon_sym_COMMA,
    ACTIONS(1305), 4,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      sym_identifier,
  [24175] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      anon_sym_COLON,
    STATE(343), 1,
      sym_pipe_arguments,
    STATE(671), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(377), 3,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [24194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 1,
      anon_sym_LBRACK,
    ACTIONS(1268), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(423), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(465), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(461), 3,
      sym__interpolation_end,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [24226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 1,
      anon_sym_LBRACK,
    ACTIONS(1223), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(1311), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(467), 1,
      anon_sym_QMARK,
    ACTIONS(1313), 1,
      anon_sym_PIPE,
    STATE(649), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(469), 4,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [24277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 1,
      anon_sym_LBRACK,
    ACTIONS(1223), 6,
      anon_sym_GT,
      sym_attribute_name,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK_LPAREN,
      anon_sym_LBRACK_AT,
  [24292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1316), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(1318), 1,
      anon_sym_RBRACK,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1311), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      anon_sym_COLON,
    STATE(659), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(401), 3,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [24354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      anon_sym_PIPE,
    STATE(655), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(469), 4,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [24370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1323), 1,
      anon_sym_QMARK,
    ACTIONS(273), 4,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE,
  [24386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1325), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 1,
      anon_sym_LBRACK,
    ACTIONS(1327), 2,
      sym__interpolation_end,
      anon_sym_PLUS,
    ACTIONS(425), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24418] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 1,
      anon_sym_COLON,
    STATE(659), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(407), 3,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [24434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1332), 1,
      anon_sym_QMARK,
    ACTIONS(293), 4,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE,
  [24450] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1334), 1,
      anon_sym_RBRACE,
    ACTIONS(1336), 1,
      sym_case_start,
    ACTIONS(1338), 1,
      sym_default_start,
    STATE(672), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [24468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(1340), 1,
      anon_sym_RBRACK,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(1342), 1,
      anon_sym_RBRACK,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(1311), 1,
      anon_sym_RPAREN_RBRACK,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1332), 1,
      anon_sym_QMARK,
    ACTIONS(273), 4,
      anon_sym_COMMA,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE,
  [24532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_PIPE,
    STATE(655), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(453), 4,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [24548] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1327), 2,
      anon_sym_COMMA,
      anon_sym_PLUS,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1346), 1,
      anon_sym_QMARK,
    ACTIONS(1344), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [24580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1346), 1,
      anon_sym_QMARK,
    ACTIONS(273), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [24596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1348), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      anon_sym_COLON,
    STATE(677), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(401), 3,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [24628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 1,
      anon_sym_RBRACE,
    ACTIONS(1352), 1,
      sym_case_start,
    ACTIONS(1355), 1,
      sym_default_start,
    STATE(672), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [24646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 1,
      anon_sym_PIPE,
    STATE(674), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(453), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [24662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 1,
      anon_sym_PIPE,
    STATE(674), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(469), 4,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [24678] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1096), 1,
      anon_sym_SQUOTE,
    ACTIONS(1361), 1,
      sym_identifier,
    ACTIONS(1363), 1,
      sym__escape_sequence,
    ACTIONS(1365), 1,
      aux_sym_string_token2,
    STATE(31), 1,
      sym__single_quote,
    STATE(724), 1,
      aux_sym_string_repeat2,
  [24700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1323), 1,
      anon_sym_QMARK,
    ACTIONS(293), 4,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_COLON,
      anon_sym_PIPE,
  [24716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 1,
      anon_sym_COLON,
    STATE(677), 2,
      sym__pipe_argument,
      aux_sym_pipe_arguments_repeat1,
    ACTIONS(407), 3,
      sym__interpolation_end,
      anon_sym_PLUS,
      anon_sym_PIPE,
  [24732] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_SEMI,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1346), 1,
      anon_sym_QMARK,
    ACTIONS(1370), 1,
      anon_sym_DQUOTE,
    STATE(638), 1,
      sym__double_quote,
    STATE(776), 1,
      aux_sym__binding_assignment_repeat1,
  [24754] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(223), 1,
      anon_sym_LPAREN,
    ACTIONS(1372), 1,
      anon_sym_RBRACK,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24770] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_SEMI,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1346), 1,
      anon_sym_QMARK,
    ACTIONS(1374), 1,
      anon_sym_DQUOTE,
    STATE(601), 1,
      sym__double_quote,
    STATE(769), 1,
      aux_sym__binding_assignment_repeat1,
  [24792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1336), 1,
      sym_case_start,
    ACTIONS(1338), 1,
      sym_default_start,
    ACTIONS(1376), 1,
      anon_sym_RBRACE,
    STATE(672), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [24810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 1,
      anon_sym_COLON,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24823] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1336), 1,
      sym_case_start,
    ACTIONS(1338), 1,
      sym_default_start,
    STATE(661), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [24838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1380), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1380), 1,
      anon_sym_COLON,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      anon_sym_COLON,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1382), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_QMARK,
    ACTIONS(217), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(505), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [24909] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1384), 1,
      anon_sym_DQUOTE,
    ACTIONS(1386), 1,
      sym__escape_sequence,
    ACTIONS(1388), 1,
      aux_sym_string_token1,
    STATE(199), 1,
      sym__double_quote,
    STATE(726), 1,
      aux_sym_string_repeat1,
  [24928] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1384), 1,
      anon_sym_SQUOTE,
    ACTIONS(1390), 1,
      sym__escape_sequence,
    ACTIONS(1392), 1,
      aux_sym_string_token2,
    STATE(199), 1,
      sym__single_quote,
    STATE(732), 1,
      aux_sym_string_repeat2,
  [24947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1394), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 1,
      anon_sym_RBRACK,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [24975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 1,
      anon_sym_QMARK,
    ACTIONS(461), 2,
      sym__interpolation_end,
      anon_sym_QMARK_QMARK,
    ACTIONS(505), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [24990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1396), 1,
      anon_sym_RPAREN,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_COLON,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1398), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      anon_sym_RBRACK,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25046] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1336), 1,
      sym_case_start,
    ACTIONS(1338), 1,
      sym_default_start,
    STATE(681), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_body_repeat1,
  [25061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_COLON,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25074] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1402), 1,
      anon_sym_DQUOTE,
    ACTIONS(1404), 1,
      sym__escape_sequence,
    ACTIONS(1406), 1,
      aux_sym_string_token1,
    STATE(489), 1,
      sym__double_quote,
    STATE(767), 1,
      aux_sym_string_repeat1,
  [25093] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1402), 1,
      anon_sym_SQUOTE,
    ACTIONS(1408), 1,
      sym__escape_sequence,
    ACTIONS(1410), 1,
      aux_sym_string_token2,
    STATE(489), 1,
      sym__single_quote,
    STATE(768), 1,
      aux_sym_string_repeat2,
  [25112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1394), 1,
      anon_sym_COLON,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 1,
      anon_sym_COLON,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1414), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25153] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1412), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1414), 1,
      anon_sym_COLON,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25181] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 1,
      anon_sym_DQUOTE,
    ACTIONS(1418), 1,
      sym__escape_sequence,
    ACTIONS(1420), 1,
      aux_sym_string_token1,
    STATE(494), 1,
      sym__double_quote,
    STATE(700), 1,
      aux_sym_string_repeat1,
  [25200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_COLON,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 1,
      anon_sym_as,
    STATE(828), 1,
      sym__alias,
    ACTIONS(1424), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [25243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1340), 1,
      anon_sym_RBRACK,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25256] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 1,
      anon_sym_SQUOTE,
    ACTIONS(1426), 1,
      sym__escape_sequence,
    ACTIONS(1428), 1,
      aux_sym_string_token2,
    STATE(494), 1,
      sym__single_quote,
    STATE(701), 1,
      aux_sym_string_repeat2,
  [25275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1400), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      anon_sym_COLON,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 1,
      anon_sym_COLON,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25316] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1432), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1430), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25346] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 1,
      anon_sym_SQUOTE,
    ACTIONS(1436), 1,
      sym__escape_sequence,
    ACTIONS(1438), 1,
      aux_sym_string_token2,
    STATE(82), 1,
      sym__single_quote,
    STATE(729), 1,
      aux_sym_string_repeat2,
  [25365] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 1,
      anon_sym_DQUOTE,
    ACTIONS(1440), 1,
      sym__escape_sequence,
    ACTIONS(1442), 1,
      aux_sym_string_token1,
    STATE(82), 1,
      sym__double_quote,
    STATE(730), 1,
      aux_sym_string_repeat1,
  [25384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 1,
      anon_sym_COLON,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1444), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 1,
      anon_sym_as,
    STATE(843), 1,
      sym__alias,
    ACTIONS(1446), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [25427] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 1,
      sym__escape_sequence,
    ACTIONS(1406), 1,
      aux_sym_string_token1,
    ACTIONS(1448), 1,
      anon_sym_DQUOTE,
    STATE(36), 1,
      sym__double_quote,
    STATE(767), 1,
      aux_sym_string_repeat1,
  [25446] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 1,
      sym__escape_sequence,
    ACTIONS(1410), 1,
      aux_sym_string_token2,
    ACTIONS(1448), 1,
      anon_sym_SQUOTE,
    STATE(36), 1,
      sym__single_quote,
    STATE(768), 1,
      aux_sym_string_repeat2,
  [25465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1450), 1,
      anon_sym_COLON,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25478] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 1,
      sym__escape_sequence,
    ACTIONS(1406), 1,
      aux_sym_string_token1,
    ACTIONS(1452), 1,
      anon_sym_DQUOTE,
    STATE(211), 1,
      sym__double_quote,
    STATE(767), 1,
      aux_sym_string_repeat1,
  [25497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1454), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_COLON,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25525] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 1,
      sym__escape_sequence,
    ACTIONS(1410), 1,
      aux_sym_string_token2,
    ACTIONS(1456), 1,
      anon_sym_SQUOTE,
    STATE(70), 1,
      sym__single_quote,
    STATE(768), 1,
      aux_sym_string_repeat2,
  [25544] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 1,
      sym__escape_sequence,
    ACTIONS(1406), 1,
      aux_sym_string_token1,
    ACTIONS(1456), 1,
      anon_sym_DQUOTE,
    STATE(70), 1,
      sym__double_quote,
    STATE(767), 1,
      aux_sym_string_repeat1,
  [25563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(549), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1247), 1,
      anon_sym_QMARK,
    ACTIONS(273), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_as,
  [25578] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 1,
      sym__escape_sequence,
    ACTIONS(1410), 1,
      aux_sym_string_token2,
    ACTIONS(1452), 1,
      anon_sym_SQUOTE,
    STATE(211), 1,
      sym__single_quote,
    STATE(768), 1,
      aux_sym_string_repeat2,
  [25597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1450), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1378), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25627] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1458), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1458), 1,
      anon_sym_COLON,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1311), 1,
      anon_sym_RPAREN_RBRACK,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1460), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 1,
      anon_sym_RBRACK,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 1,
      anon_sym_COLON,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 1,
      anon_sym_COLON,
    ACTIONS(221), 4,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(1462), 1,
      anon_sym_COLON,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25737] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1096), 1,
      anon_sym_DQUOTE,
    ACTIONS(1098), 1,
      aux_sym_string_token1,
    ACTIONS(1464), 1,
      sym__escape_sequence,
    STATE(31), 1,
      sym__double_quote,
    STATE(723), 1,
      aux_sym_string_repeat1,
  [25756] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1096), 1,
      anon_sym_SQUOTE,
    ACTIONS(1363), 1,
      sym__escape_sequence,
    ACTIONS(1365), 1,
      aux_sym_string_token2,
    STATE(31), 1,
      sym__single_quote,
    STATE(724), 1,
      aux_sym_string_repeat2,
  [25775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(227), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [25787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 1,
      anon_sym_RPAREN,
    STATE(766), 1,
      aux_sym_for_reference_repeat1,
    ACTIONS(1466), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [25801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1346), 1,
      anon_sym_QMARK,
    ACTIONS(1316), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [25815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1346), 1,
      anon_sym_QMARK,
    ACTIONS(1470), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [25829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 4,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_RBRACE,
      sym_identifier,
  [25839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_LBRACE,
    ACTIONS(1476), 1,
      anon_sym_LPAREN,
    STATE(367), 1,
      sym_statement_block,
    STATE(861), 1,
      sym_loading_condition,
  [25855] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_LBRACE,
    ACTIONS(1478), 1,
      anon_sym_LPAREN,
    STATE(368), 1,
      sym_statement_block,
    STATE(862), 1,
      sym_placeholder_minimum,
  [25871] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1480), 1,
      sym_attribute_value,
    ACTIONS(1482), 1,
      anon_sym_SQUOTE,
    ACTIONS(1484), 1,
      anon_sym_DQUOTE,
    STATE(622), 1,
      sym_quoted_attribute_value,
  [25887] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_DQUOTE,
    STATE(753), 1,
      aux_sym_structural_declaration_repeat1,
    ACTIONS(1488), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [25901] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 1,
      anon_sym_PIPE,
    STATE(755), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(453), 2,
      anon_sym_COMMA,
      anon_sym_PLUS,
  [25915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1491), 1,
      anon_sym_PIPE,
    STATE(755), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(469), 2,
      anon_sym_COMMA,
      anon_sym_PLUS,
  [25929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_LBRACE,
    ACTIONS(1494), 1,
      anon_sym_LPAREN,
    STATE(370), 1,
      sym_statement_block,
    STATE(864), 1,
      sym_defer_trigger,
  [25945] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 1,
      anon_sym_LPAREN,
    ACTIONS(1496), 1,
      anon_sym_LBRACE,
    STATE(268), 1,
      sym_statement_block,
    STATE(878), 1,
      sym_defer_trigger,
  [25961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 1,
      anon_sym_prefetch,
    ACTIONS(1500), 1,
      anon_sym_when,
    ACTIONS(1502), 1,
      anon_sym_on,
    STATE(895), 1,
      sym_defer_trigger_condition,
  [25977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1346), 1,
      anon_sym_QMARK,
    ACTIONS(1348), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [25991] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 1,
      anon_sym_DQUOTE,
    STATE(753), 1,
      aux_sym_structural_declaration_repeat1,
    ACTIONS(1506), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [26005] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 1,
      anon_sym_LPAREN,
    ACTIONS(1496), 1,
      anon_sym_LBRACE,
    STATE(278), 1,
      sym_statement_block,
    STATE(884), 1,
      sym_loading_condition,
  [26021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 1,
      sym_attribute_value,
    ACTIONS(1510), 1,
      anon_sym_SQUOTE,
    ACTIONS(1512), 1,
      anon_sym_DQUOTE,
    STATE(637), 1,
      sym_quoted_attribute_value,
  [26037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1198), 1,
      anon_sym_PIPE,
    STATE(770), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(453), 2,
      sym__interpolation_end,
      anon_sym_PLUS,
  [26051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_RBRACE,
    ACTIONS(1516), 1,
      sym_icu_category,
    STATE(773), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [26065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1346), 1,
      anon_sym_QMARK,
    ACTIONS(1518), 2,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
  [26079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 1,
      anon_sym_RPAREN,
    STATE(775), 1,
      aux_sym_for_reference_repeat1,
    ACTIONS(1466), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [26093] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1522), 1,
      anon_sym_DQUOTE,
    ACTIONS(1524), 1,
      sym__escape_sequence,
    ACTIONS(1527), 1,
      aux_sym_string_token1,
    STATE(767), 1,
      aux_sym_string_repeat1,
  [26109] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1530), 1,
      anon_sym_SQUOTE,
    ACTIONS(1532), 1,
      sym__escape_sequence,
    ACTIONS(1535), 1,
      aux_sym_string_token2,
    STATE(768), 1,
      aux_sym_string_repeat2,
  [26125] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_SEMI,
    ACTIONS(1538), 1,
      anon_sym_DQUOTE,
    STATE(610), 1,
      sym__double_quote,
    STATE(818), 1,
      aux_sym__binding_assignment_repeat1,
  [26141] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 1,
      anon_sym_PIPE,
    STATE(770), 1,
      aux_sym_pipe_sequence_repeat1,
    ACTIONS(469), 2,
      sym__interpolation_end,
      anon_sym_PLUS,
  [26155] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 1,
      anon_sym_SEMI,
    ACTIONS(1543), 1,
      anon_sym_DQUOTE,
    STATE(822), 1,
      sym__else_template_expression,
    STATE(975), 1,
      sym__context_expression,
  [26171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_DQUOTE,
    STATE(760), 1,
      aux_sym_structural_declaration_repeat1,
    ACTIONS(1506), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [26185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 1,
      anon_sym_RBRACE,
    ACTIONS(1549), 1,
      sym_icu_category,
    STATE(773), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [26199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1346), 1,
      anon_sym_QMARK,
    ACTIONS(1552), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [26213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1557), 1,
      anon_sym_RPAREN,
    STATE(775), 1,
      aux_sym_for_reference_repeat1,
    ACTIONS(1554), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [26227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_SEMI,
    ACTIONS(1559), 1,
      anon_sym_DQUOTE,
    STATE(636), 1,
      sym__double_quote,
    STATE(818), 1,
      aux_sym__binding_assignment_repeat1,
  [26243] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1478), 1,
      anon_sym_LPAREN,
    ACTIONS(1496), 1,
      anon_sym_LBRACE,
    STATE(274), 1,
      sym_statement_block,
    STATE(883), 1,
      sym_placeholder_minimum,
  [26259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_SEMI,
    ACTIONS(1370), 1,
      anon_sym_DQUOTE,
    STATE(638), 1,
      sym__double_quote,
    STATE(818), 1,
      aux_sym__binding_assignment_repeat1,
  [26275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(213), 3,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_BANG_DOT,
  [26287] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_SEMI,
    ACTIONS(1370), 1,
      anon_sym_DQUOTE,
    STATE(638), 1,
      sym__double_quote,
    STATE(776), 1,
      aux_sym__binding_assignment_repeat1,
  [26303] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 1,
      sym_icu_category,
    ACTIONS(1561), 1,
      anon_sym_RBRACE,
    STATE(773), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [26317] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_SEMI,
    ACTIONS(1374), 1,
      anon_sym_DQUOTE,
    STATE(601), 1,
      sym__double_quote,
    STATE(769), 1,
      aux_sym__binding_assignment_repeat1,
  [26333] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 1,
      anon_sym_SEMI,
    ACTIONS(1374), 1,
      anon_sym_DQUOTE,
    STATE(601), 1,
      sym__double_quote,
    STATE(818), 1,
      aux_sym__binding_assignment_repeat1,
  [26349] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 1,
      anon_sym_prefetch,
    ACTIONS(1500), 1,
      anon_sym_when,
    ACTIONS(1502), 1,
      anon_sym_on,
    STATE(842), 1,
      sym_defer_trigger_condition,
  [26365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1563), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [26374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1346), 1,
      anon_sym_QMARK,
    ACTIONS(1565), 1,
      anon_sym_DQUOTE,
  [26387] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1569), 1,
      sym_raw_text,
    STATE(286), 1,
      sym_end_tag,
  [26400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1004), 1,
      sym_icu_clause,
    ACTIONS(1571), 2,
      anon_sym_plural,
      anon_sym_select,
  [26411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 1,
      anon_sym_COMMA,
    ACTIONS(1575), 1,
      anon_sym_RBRACK,
    STATE(803), 1,
      aux_sym_array_repeat1,
  [26424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 1,
      anon_sym_COMMA,
    ACTIONS(1577), 1,
      anon_sym_RBRACK,
    STATE(803), 1,
      aux_sym_array_repeat1,
  [26437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1346), 1,
      anon_sym_QMARK,
    ACTIONS(1579), 1,
      anon_sym_COMMA,
  [26450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1346), 1,
      anon_sym_QMARK,
    ACTIONS(1581), 1,
      anon_sym_RPAREN,
  [26463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      anon_sym_RPAREN,
    ACTIONS(555), 1,
      anon_sym_COMMA,
    STATE(804), 1,
      aux_sym_arguments_repeat1,
  [26476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 1,
      anon_sym_COMMA,
    ACTIONS(1583), 1,
      anon_sym_RBRACK,
    STATE(790), 1,
      aux_sym_array_repeat1,
  [26489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1346), 1,
      anon_sym_QMARK,
    ACTIONS(1585), 1,
      anon_sym_RPAREN,
  [26502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 1,
      anon_sym_PLUS,
    ACTIONS(1589), 1,
      sym__interpolation_end,
    STATE(806), 1,
      aux_sym_concatenation_expression_repeat1,
  [26515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(977), 1,
      sym_icu_clause,
    ACTIONS(1571), 2,
      anon_sym_plural,
      anon_sym_select,
  [26526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 1,
      anon_sym_COMMA,
    ACTIONS(1591), 1,
      anon_sym_RBRACK,
    STATE(803), 1,
      aux_sym_array_repeat1,
  [26539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1593), 1,
      anon_sym_SEMI,
    ACTIONS(1595), 1,
      anon_sym_RPAREN,
    STATE(807), 1,
      aux_sym_defer_trigger_repeat1,
  [26552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(986), 1,
      sym_timed_expression,
    ACTIONS(1597), 2,
      anon_sym_after,
      anon_sym_minimum,
  [26563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 1,
      anon_sym_COMMA,
    ACTIONS(1599), 1,
      anon_sym_RBRACK,
    STATE(798), 1,
      aux_sym_array_repeat1,
  [26576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1346), 1,
      anon_sym_QMARK,
    ACTIONS(1601), 1,
      anon_sym_RPAREN,
  [26589] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 1,
      anon_sym_COMMA,
    ACTIONS(1606), 1,
      anon_sym_RBRACK,
    STATE(803), 1,
      aux_sym_array_repeat1,
  [26602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(555), 1,
      anon_sym_COMMA,
    ACTIONS(1608), 1,
      anon_sym_RPAREN,
    STATE(809), 1,
      aux_sym_arguments_repeat1,
  [26615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1610), 1,
      sym_raw_text,
    STATE(285), 1,
      sym_end_tag,
  [26628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1587), 1,
      anon_sym_PLUS,
    ACTIONS(1612), 1,
      sym__interpolation_end,
    STATE(811), 1,
      aux_sym_concatenation_expression_repeat1,
  [26641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 1,
      anon_sym_SEMI,
    ACTIONS(1617), 1,
      anon_sym_RPAREN,
    STATE(807), 1,
      aux_sym_defer_trigger_repeat1,
  [26654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 1,
      sym_icu_category,
    STATE(764), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [26665] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 1,
      anon_sym_RPAREN,
    ACTIONS(1619), 1,
      anon_sym_COMMA,
    STATE(809), 1,
      aux_sym_arguments_repeat1,
  [26678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(273), 1,
      sym__interpolation_end,
    ACTIONS(841), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1622), 1,
      anon_sym_QMARK,
  [26691] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 1,
      sym__interpolation_end,
    ACTIONS(1624), 1,
      anon_sym_PLUS,
    STATE(811), 1,
      aux_sym_concatenation_expression_repeat1,
  [26704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_SEMI,
    ACTIONS(1629), 1,
      anon_sym_RPAREN,
    STATE(1012), 1,
      sym_if_reference,
  [26717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [26726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 1,
      anon_sym_let,
    ACTIONS(1635), 1,
      sym_identifier,
    STATE(772), 1,
      sym_structural_assignment,
  [26739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 3,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [26748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1639), 1,
      anon_sym_else,
    ACTIONS(1641), 1,
      anon_sym_context,
    ACTIONS(1643), 1,
      sym_identifier,
  [26761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1645), 1,
      anon_sym_DQUOTE,
    ACTIONS(1647), 1,
      anon_sym_SEMI,
    STATE(976), 1,
      sym__context_expression,
  [26774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 1,
      anon_sym_DQUOTE,
    ACTIONS(1649), 1,
      anon_sym_SEMI,
    STATE(818), 1,
      aux_sym__binding_assignment_repeat1,
  [26787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1652), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [26796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 1,
      anon_sym_let,
    ACTIONS(1635), 1,
      sym_identifier,
    STATE(831), 1,
      sym_structural_assignment,
  [26809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [26818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1647), 1,
      anon_sym_SEMI,
    ACTIONS(1656), 1,
      anon_sym_DQUOTE,
    STATE(979), 1,
      sym__context_expression,
  [26831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 1,
      anon_sym_COMMA,
    ACTIONS(1658), 1,
      anon_sym_RBRACK,
    STATE(803), 1,
      aux_sym_array_repeat1,
  [26844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1346), 1,
      anon_sym_QMARK,
    ACTIONS(1660), 1,
      anon_sym_RPAREN,
  [26857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1346), 1,
      anon_sym_QMARK,
    ACTIONS(1662), 1,
      anon_sym_COMMA,
  [26870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 1,
      sym_icu_category,
    STATE(781), 2,
      sym_icu_case,
      aux_sym_icu_expression_repeat1,
  [26881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 1,
      anon_sym_COMMA,
    ACTIONS(1664), 1,
      anon_sym_RBRACK,
    STATE(789), 1,
      aux_sym_array_repeat1,
  [26894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1666), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [26903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 1,
      anon_sym_COMMA,
    ACTIONS(1668), 1,
      anon_sym_RBRACK,
    STATE(823), 1,
      aux_sym_array_repeat1,
  [26916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 1,
      anon_sym_COMMA,
    ACTIONS(1670), 1,
      anon_sym_PLUS,
    STATE(830), 1,
      aux_sym_concatenation_expression_repeat1,
  [26929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [26938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_SEMI,
    ACTIONS(1673), 1,
      anon_sym_RPAREN,
    STATE(1007), 1,
      sym_if_reference,
  [26951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(732), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [26960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1675), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [26969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_SEMI,
    ACTIONS(1677), 1,
      anon_sym_RPAREN,
    STATE(1006), 1,
      sym_if_reference,
  [26982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(997), 1,
      sym_timed_expression,
    ACTIONS(1597), 2,
      anon_sym_after,
      anon_sym_minimum,
  [26993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1679), 1,
      sym__start_tag_name,
    ACTIONS(1681), 1,
      sym__script_start_tag_name,
    ACTIONS(1683), 1,
      sym__style_start_tag_name,
  [27006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(944), 1,
      sym_timed_expression,
    ACTIONS(1597), 2,
      anon_sym_after,
      anon_sym_minimum,
  [27017] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1622), 1,
      anon_sym_QMARK,
    ACTIONS(1685), 1,
      sym__interpolation_end,
  [27030] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1689), 1,
      sym_raw_text,
    STATE(363), 1,
      sym_end_tag,
  [27043] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_LT_SLASH,
    ACTIONS(1691), 1,
      sym_raw_text,
    STATE(364), 1,
      sym_end_tag,
  [27056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1593), 1,
      anon_sym_SEMI,
    ACTIONS(1693), 1,
      anon_sym_RPAREN,
    STATE(799), 1,
      aux_sym_defer_trigger_repeat1,
  [27069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1695), 3,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [27078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1346), 1,
      anon_sym_QMARK,
    ACTIONS(1697), 1,
      anon_sym_DQUOTE,
  [27091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1622), 1,
      anon_sym_QMARK,
    ACTIONS(1699), 1,
      sym__interpolation_end,
  [27104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1612), 1,
      anon_sym_COMMA,
    ACTIONS(1701), 1,
      anon_sym_PLUS,
    STATE(830), 1,
      aux_sym_concatenation_expression_repeat1,
  [27117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1681), 1,
      sym__script_start_tag_name,
    ACTIONS(1683), 1,
      sym__style_start_tag_name,
    ACTIONS(1703), 1,
      sym__start_tag_name,
  [27130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_SEMI,
    ACTIONS(1705), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_if_reference,
  [27143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_COMMA,
    ACTIONS(1701), 1,
      anon_sym_PLUS,
    STATE(846), 1,
      aux_sym_concatenation_expression_repeat1,
  [27156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(776), 3,
      sym_case_start,
      sym_default_start,
      anon_sym_RBRACE,
  [27165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 1,
      anon_sym_EQ,
    STATE(608), 1,
      sym__binding_assignment,
  [27175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 1,
      sym_identifier,
    STATE(746), 1,
      sym_assignment_expression,
  [27185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 1,
      anon_sym_LBRACE,
    STATE(315), 1,
      sym_statement_block,
  [27195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 1,
      sym_identifier,
    STATE(549), 1,
      sym_pipe_call,
  [27205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 1,
      sym_identifier,
    STATE(34), 1,
      sym_call_expression,
  [27215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1713), 1,
      sym_identifier,
    STATE(182), 1,
      sym_pipe_call,
  [27225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 1,
      anon_sym_LT_SLASH,
    STATE(281), 1,
      sym_end_tag,
  [27235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_LT_SLASH,
    STATE(348), 1,
      sym_end_tag,
  [27245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1687), 1,
      anon_sym_LT_SLASH,
    STATE(349), 1,
      sym_end_tag,
  [27255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [27263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_LBRACE,
    STATE(355), 1,
      sym_statement_block,
  [27273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_LBRACE,
    STATE(356), 1,
      sym_statement_block,
  [27283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [27291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_LBRACE,
    STATE(358), 1,
      sym_statement_block,
  [27301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      sym_identifier,
    STATE(330), 1,
      sym_pipe_call,
  [27311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_LBRACE,
    STATE(366), 1,
      sym_statement_block,
  [27321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_LBRACE,
    STATE(369), 1,
      sym_statement_block,
  [27331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_LBRACE,
    STATE(381), 1,
      sym_statement_block,
  [27341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 1,
      sym_identifier,
    STATE(1040), 1,
      sym_assignment_expression,
  [27351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1721), 1,
      sym_identifier,
    STATE(549), 1,
      sym_pipe_call,
  [27361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 1,
      anon_sym_LBRACE,
    STATE(42), 1,
      sym_statement_block,
  [27371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_LBRACE,
    STATE(63), 1,
      sym_statement_block,
  [27381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1723), 1,
      sym_identifier,
    STATE(61), 1,
      sym_call_expression,
  [27391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1725), 1,
      sym_identifier,
    STATE(910), 1,
      sym_for_declaration,
  [27401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1727), 1,
      anon_sym_let,
    STATE(992), 1,
      sym_for_reference,
  [27411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1729), 1,
      sym__end_tag_name,
    ACTIONS(1731), 1,
      sym_erroneous_end_tag_name,
  [27421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 1,
      anon_sym_LBRACE,
    STATE(313), 1,
      sym_statement_block,
  [27431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 1,
      anon_sym_LBRACE,
    STATE(312), 1,
      sym_statement_block,
  [27441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_LBRACE,
    STATE(262), 1,
      sym_switch_body,
  [27451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1735), 1,
      sym_identifier,
    STATE(222), 1,
      sym_pipe_call,
  [27461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1737), 1,
      anon_sym_SEMI,
    ACTIONS(1739), 1,
      anon_sym_RPAREN,
  [27471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1741), 2,
      anon_sym_ms,
      anon_sym_s,
  [27479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 1,
      anon_sym_LBRACE,
    STATE(306), 1,
      sym_statement_block,
  [27489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 1,
      anon_sym_LBRACE,
    STATE(295), 1,
      sym_statement_block,
  [27499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_DQUOTE,
    STATE(639), 1,
      sym__double_quote,
  [27509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 1,
      anon_sym_LBRACE,
    STATE(298), 1,
      sym_statement_block,
  [27519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [27527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1747), 2,
      sym_raw_text,
      anon_sym_LT_SLASH,
  [27535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1606), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [27543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      sym_identifier,
    STATE(182), 1,
      sym_pipe_call,
  [27553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 1,
      anon_sym_SQUOTE,
    STATE(971), 1,
      sym__single_quote,
  [27563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 1,
      anon_sym_LBRACE,
    STATE(60), 1,
      sym_statement_block,
  [27573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym_DQUOTE,
    STATE(77), 1,
      sym__double_quote,
  [27583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 1,
      sym_identifier,
    STATE(330), 1,
      sym_pipe_call,
  [27593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [27601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_LBRACE,
    STATE(335), 1,
      sym_statement_block,
  [27611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1731), 1,
      sym_erroneous_end_tag_name,
    ACTIONS(1759), 1,
      sym__end_tag_name,
  [27621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [27629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 1,
      anon_sym_LT_SLASH,
    STATE(282), 1,
      sym_end_tag,
  [27639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 1,
      anon_sym_LBRACE,
    STATE(283), 1,
      sym_statement_block,
  [27649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_SQUOTE,
    ACTIONS(1765), 1,
      aux_sym_quoted_attribute_value_token1,
  [27659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_DQUOTE,
    ACTIONS(1767), 1,
      aux_sym_quoted_attribute_value_token2,
  [27669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 1,
      anon_sym_LBRACE,
    STATE(305), 1,
      sym_statement_block,
  [27679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1769), 1,
      sym_identifier,
    STATE(182), 1,
      sym_pipe_call,
  [27689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1771), 1,
      sym_identifier,
    STATE(330), 1,
      sym_pipe_call,
  [27699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      sym_identifier,
    STATE(330), 1,
      sym_pipe_call,
  [27709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1775), 1,
      sym_identifier,
    STATE(182), 1,
      sym_pipe_call,
  [27719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      sym_identifier,
    STATE(213), 1,
      sym_call_expression,
  [27729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 1,
      anon_sym_EQ,
    STATE(611), 1,
      sym__binding_assignment,
  [27739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_SEMI,
    ACTIONS(1781), 1,
      anon_sym_RPAREN,
  [27749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 1,
      anon_sym_EQ,
    STATE(593), 1,
      sym__binding_assignment,
  [27759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      sym_identifier,
    STATE(507), 1,
      sym_call_expression,
  [27769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1785), 2,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
  [27777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_DQUOTE,
    STATE(66), 1,
      sym__double_quote,
  [27787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1789), 1,
      anon_sym_DQUOTE,
    STATE(72), 1,
      sym__double_quote,
  [27797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 1,
      anon_sym_LBRACE,
    STATE(270), 1,
      sym_statement_block,
  [27807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_RBRACE,
    ACTIONS(1793), 1,
      sym_icu_category,
  [27817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1727), 1,
      anon_sym_let,
    STATE(952), 1,
      sym_for_reference,
  [27827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1795), 1,
      sym_identifier,
    STATE(182), 1,
      sym_pipe_call,
  [27837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1641), 1,
      anon_sym_context,
    ACTIONS(1643), 1,
      sym_identifier,
  [27847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 1,
      anon_sym_EQ,
    STATE(645), 1,
      sym__binding_assignment,
  [27857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1797), 1,
      sym_identifier,
    STATE(330), 1,
      sym_pipe_call,
  [27867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      sym_identifier,
    STATE(182), 1,
      sym_pipe_call,
  [27877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 1,
      anon_sym_EQ,
    STATE(641), 1,
      sym__binding_assignment,
  [27887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 1,
      anon_sym_EQ,
    STATE(634), 1,
      sym__binding_assignment,
  [27897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1801), 1,
      anon_sym_DQUOTE,
    ACTIONS(1803), 1,
      aux_sym_quoted_attribute_value_token2,
  [27907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      sym_identifier,
    STATE(330), 1,
      sym_pipe_call,
  [27917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1807), 1,
      anon_sym_when,
    ACTIONS(1809), 1,
      anon_sym_on,
  [27927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1725), 1,
      sym_identifier,
    STATE(881), 1,
      sym_for_declaration,
  [27937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_LBRACE,
    STATE(339), 1,
      sym_statement_block,
  [27947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 1,
      anon_sym_LBRACE,
    STATE(300), 1,
      sym_statement_block,
  [27957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1811), 2,
      anon_sym_EQ,
      sym_identifier,
  [27965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1813), 1,
      anon_sym_LBRACE,
    STATE(338), 1,
      sym_switch_body,
  [27975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 2,
      anon_sym_DQUOTE,
      anon_sym_SEMI,
  [27983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_LBRACE,
    STATE(785), 1,
      sym_statement_block,
  [27993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 1,
      sym_identifier,
    STATE(1018), 1,
      sym_assignment_expression,
  [28003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_LBRACE,
    STATE(813), 1,
      sym_statement_block,
  [28013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1817), 1,
      sym_identifier,
    STATE(182), 1,
      sym_pipe_call,
  [28023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1819), 1,
      sym_identifier,
    STATE(182), 1,
      sym_pipe_call,
  [28033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_LBRACE,
    STATE(321), 1,
      sym_statement_block,
  [28043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1821), 1,
      anon_sym_DQUOTE,
    STATE(68), 1,
      sym__double_quote,
  [28053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      sym_identifier,
    STATE(182), 1,
      sym_pipe_call,
  [28063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1801), 1,
      anon_sym_SQUOTE,
    ACTIONS(1825), 1,
      aux_sym_quoted_attribute_value_token1,
  [28073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_SEMI,
    ACTIONS(1829), 1,
      anon_sym_RPAREN,
  [28083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 1,
      sym_identifier,
    STATE(222), 1,
      sym_pipe_call,
  [28093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1833), 1,
      sym_identifier,
    STATE(182), 1,
      sym_pipe_call,
  [28103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1835), 1,
      sym_identifier,
    STATE(182), 1,
      sym_pipe_call,
  [28113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1837), 1,
      anon_sym_DQUOTE,
    STATE(597), 1,
      sym__double_quote,
  [28123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym_statement_block,
  [28133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_LBRACE,
    STATE(336), 1,
      sym_statement_block,
  [28143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1707), 1,
      sym_identifier,
    STATE(815), 1,
      sym_assignment_expression,
  [28153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1839), 1,
      anon_sym_RPAREN,
  [28160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_of,
  [28167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1843), 1,
      anon_sym_LBRACE,
  [28174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1845), 1,
      sym_identifier,
  [28181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_RBRACK,
  [28188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1849), 1,
      sym_identifier,
  [28195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_DQUOTE,
  [28202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_SQUOTE,
  [28209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1853), 1,
      anon_sym_LBRACE,
  [28216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 1,
      anon_sym_DQUOTE,
  [28223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1857), 1,
      anon_sym_LPAREN,
  [28230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1859), 1,
      sym_identifier,
  [28237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1861), 1,
      sym_identifier,
  [28244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1340), 1,
      anon_sym_RBRACK,
  [28251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1863), 1,
      anon_sym_track,
  [28258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LPAREN,
  [28265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1867), 1,
      sym_identifier,
  [28272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_RPAREN,
  [28279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1871), 1,
      anon_sym_COLON,
  [28286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1873), 1,
      anon_sym_RBRACK,
  [28293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_COLON,
  [28300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1877), 1,
      anon_sym_RPAREN,
  [28307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 1,
      anon_sym_RBRACK,
  [28314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1879), 1,
      anon_sym_DQUOTE,
  [28321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1881), 1,
      anon_sym_DQUOTE,
  [28328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1883), 1,
      anon_sym_COMMA,
  [28335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1885), 1,
      anon_sym_LPAREN,
  [28342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      anon_sym_DQUOTE,
  [28349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_RPAREN,
  [28356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      sym_identifier,
  [28363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1893), 1,
      anon_sym_GT,
  [28370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1895), 1,
      anon_sym_LPAREN,
  [28377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1897), 1,
      anon_sym_COLON,
  [28384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 1,
      sym__doctype,
  [28391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1901), 1,
      anon_sym_RPAREN,
  [28398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1759), 1,
      sym__end_tag_name,
  [28405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_COMMA,
  [28412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1903), 1,
      anon_sym_LBRACE,
  [28419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1905), 1,
      sym_erroneous_end_tag_name,
  [28426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
  [28433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_RPAREN,
  [28440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1911), 1,
      ts_builtin_sym_end,
  [28447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 1,
      sym_identifier,
  [28454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_SEMI,
  [28461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1917), 1,
      sym_number,
  [28468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_RPAREN,
  [28475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1921), 1,
      sym__doctype,
  [28482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_RPAREN_RBRACK,
  [28489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1925), 1,
      anon_sym_SQUOTE,
  [28496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1925), 1,
      anon_sym_DQUOTE,
  [28503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1927), 1,
      anon_sym_RBRACK,
  [28510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_RPAREN,
  [28517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
  [28524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_COMMA,
  [28531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1935), 1,
      anon_sym_RPAREN,
  [28538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1937), 1,
      anon_sym_RPAREN,
  [28545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_RBRACK,
  [28552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      anon_sym_RPAREN_RBRACK,
  [28559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_RBRACK,
  [28566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_RPAREN,
  [28573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 1,
      anon_sym_RPAREN,
  [28580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_GT,
  [28587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_LBRACE,
  [28594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1953), 1,
      aux_sym_doctype_token1,
  [28601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_LBRACE,
  [28608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_RPAREN,
  [28615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_SEMI,
  [28622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_LBRACE,
  [28629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1963), 1,
      anon_sym_EQ,
  [28636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1729), 1,
      sym__end_tag_name,
  [28643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1965), 1,
      aux_sym_doctype_token1,
  [28650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1967), 1,
      anon_sym_LPAREN,
  [28657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1969), 1,
      anon_sym_LPAREN,
  [28664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1971), 1,
      anon_sym_LPAREN,
  [28671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1973), 1,
      anon_sym_LPAREN,
  [28678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1975), 1,
      anon_sym_GT,
  [28685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1977), 1,
      anon_sym_RPAREN,
  [28692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1699), 1,
      sym__interpolation_end,
  [28699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 1,
      anon_sym_as,
  [28706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 1,
      anon_sym_RBRACK,
  [28713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1981), 1,
      anon_sym_RPAREN,
  [28720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 1,
      anon_sym_RPAREN,
  [28727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 1,
      anon_sym_RBRACK,
  [28734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1731), 1,
      sym_erroneous_end_tag_name,
  [28741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1579), 1,
      anon_sym_COMMA,
  [28748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 1,
      sym__interpolation_end,
  [28755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1985), 1,
      anon_sym_GT,
  [28762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1987), 1,
      anon_sym_RPAREN,
  [28769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1989), 1,
      anon_sym_SEMI,
  [28776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1991), 1,
      anon_sym_GT,
  [28783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1993), 1,
      anon_sym_GT,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 115,
  [SMALL_STATE(4)] = 232,
  [SMALL_STATE(5)] = 349,
  [SMALL_STATE(6)] = 466,
  [SMALL_STATE(7)] = 583,
  [SMALL_STATE(8)] = 697,
  [SMALL_STATE(9)] = 811,
  [SMALL_STATE(10)] = 925,
  [SMALL_STATE(11)] = 1039,
  [SMALL_STATE(12)] = 1153,
  [SMALL_STATE(13)] = 1267,
  [SMALL_STATE(14)] = 1381,
  [SMALL_STATE(15)] = 1495,
  [SMALL_STATE(16)] = 1609,
  [SMALL_STATE(17)] = 1720,
  [SMALL_STATE(18)] = 1769,
  [SMALL_STATE(19)] = 1816,
  [SMALL_STATE(20)] = 1865,
  [SMALL_STATE(21)] = 1905,
  [SMALL_STATE(22)] = 1951,
  [SMALL_STATE(23)] = 2003,
  [SMALL_STATE(24)] = 2051,
  [SMALL_STATE(25)] = 2099,
  [SMALL_STATE(26)] = 2151,
  [SMALL_STATE(27)] = 2191,
  [SMALL_STATE(28)] = 2239,
  [SMALL_STATE(29)] = 2287,
  [SMALL_STATE(30)] = 2327,
  [SMALL_STATE(31)] = 2364,
  [SMALL_STATE(32)] = 2401,
  [SMALL_STATE(33)] = 2438,
  [SMALL_STATE(34)] = 2475,
  [SMALL_STATE(35)] = 2512,
  [SMALL_STATE(36)] = 2549,
  [SMALL_STATE(37)] = 2586,
  [SMALL_STATE(38)] = 2623,
  [SMALL_STATE(39)] = 2664,
  [SMALL_STATE(40)] = 2701,
  [SMALL_STATE(41)] = 2748,
  [SMALL_STATE(42)] = 2785,
  [SMALL_STATE(43)] = 2850,
  [SMALL_STATE(44)] = 2889,
  [SMALL_STATE(45)] = 2930,
  [SMALL_STATE(46)] = 2969,
  [SMALL_STATE(47)] = 3006,
  [SMALL_STATE(48)] = 3071,
  [SMALL_STATE(49)] = 3108,
  [SMALL_STATE(50)] = 3157,
  [SMALL_STATE(51)] = 3198,
  [SMALL_STATE(52)] = 3251,
  [SMALL_STATE(53)] = 3292,
  [SMALL_STATE(54)] = 3333,
  [SMALL_STATE(55)] = 3372,
  [SMALL_STATE(56)] = 3423,
  [SMALL_STATE(57)] = 3470,
  [SMALL_STATE(58)] = 3535,
  [SMALL_STATE(59)] = 3600,
  [SMALL_STATE(60)] = 3647,
  [SMALL_STATE(61)] = 3712,
  [SMALL_STATE(62)] = 3749,
  [SMALL_STATE(63)] = 3786,
  [SMALL_STATE(64)] = 3850,
  [SMALL_STATE(65)] = 3886,
  [SMALL_STATE(66)] = 3926,
  [SMALL_STATE(67)] = 3990,
  [SMALL_STATE(68)] = 4026,
  [SMALL_STATE(69)] = 4092,
  [SMALL_STATE(70)] = 4128,
  [SMALL_STATE(71)] = 4164,
  [SMALL_STATE(72)] = 4202,
  [SMALL_STATE(73)] = 4266,
  [SMALL_STATE(74)] = 4306,
  [SMALL_STATE(75)] = 4344,
  [SMALL_STATE(76)] = 4408,
  [SMALL_STATE(77)] = 4472,
  [SMALL_STATE(78)] = 4538,
  [SMALL_STATE(79)] = 4574,
  [SMALL_STATE(80)] = 4614,
  [SMALL_STATE(81)] = 4666,
  [SMALL_STATE(82)] = 4702,
  [SMALL_STATE(83)] = 4738,
  [SMALL_STATE(84)] = 4778,
  [SMALL_STATE(85)] = 4826,
  [SMALL_STATE(86)] = 4862,
  [SMALL_STATE(87)] = 4926,
  [SMALL_STATE(88)] = 4990,
  [SMALL_STATE(89)] = 5027,
  [SMALL_STATE(90)] = 5078,
  [SMALL_STATE(91)] = 5125,
  [SMALL_STATE(92)] = 5164,
  [SMALL_STATE(93)] = 5205,
  [SMALL_STATE(94)] = 5244,
  [SMALL_STATE(95)] = 5283,
  [SMALL_STATE(96)] = 5346,
  [SMALL_STATE(97)] = 5385,
  [SMALL_STATE(98)] = 5426,
  [SMALL_STATE(99)] = 5474,
  [SMALL_STATE(100)] = 5522,
  [SMALL_STATE(101)] = 5560,
  [SMALL_STATE(102)] = 5620,
  [SMALL_STATE(103)] = 5656,
  [SMALL_STATE(104)] = 5704,
  [SMALL_STATE(105)] = 5742,
  [SMALL_STATE(106)] = 5802,
  [SMALL_STATE(107)] = 5844,
  [SMALL_STATE(108)] = 5880,
  [SMALL_STATE(109)] = 5940,
  [SMALL_STATE(110)] = 5976,
  [SMALL_STATE(111)] = 6036,
  [SMALL_STATE(112)] = 6080,
  [SMALL_STATE(113)] = 6120,
  [SMALL_STATE(114)] = 6158,
  [SMALL_STATE(115)] = 6202,
  [SMALL_STATE(116)] = 6240,
  [SMALL_STATE(117)] = 6284,
  [SMALL_STATE(118)] = 6328,
  [SMALL_STATE(119)] = 6366,
  [SMALL_STATE(120)] = 6410,
  [SMALL_STATE(121)] = 6470,
  [SMALL_STATE(122)] = 6530,
  [SMALL_STATE(123)] = 6590,
  [SMALL_STATE(124)] = 6650,
  [SMALL_STATE(125)] = 6709,
  [SMALL_STATE(126)] = 6766,
  [SMALL_STATE(127)] = 6825,
  [SMALL_STATE(128)] = 6884,
  [SMALL_STATE(129)] = 6931,
  [SMALL_STATE(130)] = 6966,
  [SMALL_STATE(131)] = 7023,
  [SMALL_STATE(132)] = 7062,
  [SMALL_STATE(133)] = 7105,
  [SMALL_STATE(134)] = 7164,
  [SMALL_STATE(135)] = 7223,
  [SMALL_STATE(136)] = 7280,
  [SMALL_STATE(137)] = 7339,
  [SMALL_STATE(138)] = 7374,
  [SMALL_STATE(139)] = 7433,
  [SMALL_STATE(140)] = 7472,
  [SMALL_STATE(141)] = 7531,
  [SMALL_STATE(142)] = 7590,
  [SMALL_STATE(143)] = 7649,
  [SMALL_STATE(144)] = 7708,
  [SMALL_STATE(145)] = 7743,
  [SMALL_STATE(146)] = 7802,
  [SMALL_STATE(147)] = 7859,
  [SMALL_STATE(148)] = 7916,
  [SMALL_STATE(149)] = 7951,
  [SMALL_STATE(150)] = 8010,
  [SMALL_STATE(151)] = 8069,
  [SMALL_STATE(152)] = 8128,
  [SMALL_STATE(153)] = 8187,
  [SMALL_STATE(154)] = 8224,
  [SMALL_STATE(155)] = 8283,
  [SMALL_STATE(156)] = 8342,
  [SMALL_STATE(157)] = 8391,
  [SMALL_STATE(158)] = 8428,
  [SMALL_STATE(159)] = 8467,
  [SMALL_STATE(160)] = 8526,
  [SMALL_STATE(161)] = 8583,
  [SMALL_STATE(162)] = 8622,
  [SMALL_STATE(163)] = 8655,
  [SMALL_STATE(164)] = 8714,
  [SMALL_STATE(165)] = 8747,
  [SMALL_STATE(166)] = 8796,
  [SMALL_STATE(167)] = 8853,
  [SMALL_STATE(168)] = 8912,
  [SMALL_STATE(169)] = 8949,
  [SMALL_STATE(170)] = 9008,
  [SMALL_STATE(171)] = 9047,
  [SMALL_STATE(172)] = 9106,
  [SMALL_STATE(173)] = 9153,
  [SMALL_STATE(174)] = 9186,
  [SMALL_STATE(175)] = 9221,
  [SMALL_STATE(176)] = 9278,
  [SMALL_STATE(177)] = 9335,
  [SMALL_STATE(178)] = 9368,
  [SMALL_STATE(179)] = 9413,
  [SMALL_STATE(180)] = 9472,
  [SMALL_STATE(181)] = 9507,
  [SMALL_STATE(182)] = 9566,
  [SMALL_STATE(183)] = 9599,
  [SMALL_STATE(184)] = 9658,
  [SMALL_STATE(185)] = 9717,
  [SMALL_STATE(186)] = 9776,
  [SMALL_STATE(187)] = 9835,
  [SMALL_STATE(188)] = 9892,
  [SMALL_STATE(189)] = 9949,
  [SMALL_STATE(190)] = 10008,
  [SMALL_STATE(191)] = 10043,
  [SMALL_STATE(192)] = 10102,
  [SMALL_STATE(193)] = 10135,
  [SMALL_STATE(194)] = 10167,
  [SMALL_STATE(195)] = 10199,
  [SMALL_STATE(196)] = 10235,
  [SMALL_STATE(197)] = 10271,
  [SMALL_STATE(198)] = 10307,
  [SMALL_STATE(199)] = 10341,
  [SMALL_STATE(200)] = 10373,
  [SMALL_STATE(201)] = 10409,
  [SMALL_STATE(202)] = 10451,
  [SMALL_STATE(203)] = 10487,
  [SMALL_STATE(204)] = 10523,
  [SMALL_STATE(205)] = 10557,
  [SMALL_STATE(206)] = 10593,
  [SMALL_STATE(207)] = 10631,
  [SMALL_STATE(208)] = 10665,
  [SMALL_STATE(209)] = 10701,
  [SMALL_STATE(210)] = 10733,
  [SMALL_STATE(211)] = 10769,
  [SMALL_STATE(212)] = 10801,
  [SMALL_STATE(213)] = 10835,
  [SMALL_STATE(214)] = 10867,
  [SMALL_STATE(215)] = 10903,
  [SMALL_STATE(216)] = 10935,
  [SMALL_STATE(217)] = 10967,
  [SMALL_STATE(218)] = 10999,
  [SMALL_STATE(219)] = 11035,
  [SMALL_STATE(220)] = 11067,
  [SMALL_STATE(221)] = 11103,
  [SMALL_STATE(222)] = 11135,
  [SMALL_STATE(223)] = 11167,
  [SMALL_STATE(224)] = 11203,
  [SMALL_STATE(225)] = 11241,
  [SMALL_STATE(226)] = 11273,
  [SMALL_STATE(227)] = 11305,
  [SMALL_STATE(228)] = 11341,
  [SMALL_STATE(229)] = 11375,
  [SMALL_STATE(230)] = 11411,
  [SMALL_STATE(231)] = 11443,
  [SMALL_STATE(232)] = 11475,
  [SMALL_STATE(233)] = 11511,
  [SMALL_STATE(234)] = 11543,
  [SMALL_STATE(235)] = 11578,
  [SMALL_STATE(236)] = 11635,
  [SMALL_STATE(237)] = 11692,
  [SMALL_STATE(238)] = 11729,
  [SMALL_STATE(239)] = 11786,
  [SMALL_STATE(240)] = 11843,
  [SMALL_STATE(241)] = 11878,
  [SMALL_STATE(242)] = 11915,
  [SMALL_STATE(243)] = 11952,
  [SMALL_STATE(244)] = 12006,
  [SMALL_STATE(245)] = 12060,
  [SMALL_STATE(246)] = 12114,
  [SMALL_STATE(247)] = 12168,
  [SMALL_STATE(248)] = 12204,
  [SMALL_STATE(249)] = 12258,
  [SMALL_STATE(250)] = 12312,
  [SMALL_STATE(251)] = 12366,
  [SMALL_STATE(252)] = 12420,
  [SMALL_STATE(253)] = 12456,
  [SMALL_STATE(254)] = 12488,
  [SMALL_STATE(255)] = 12542,
  [SMALL_STATE(256)] = 12596,
  [SMALL_STATE(257)] = 12632,
  [SMALL_STATE(258)] = 12666,
  [SMALL_STATE(259)] = 12700,
  [SMALL_STATE(260)] = 12754,
  [SMALL_STATE(261)] = 12808,
  [SMALL_STATE(262)] = 12862,
  [SMALL_STATE(263)] = 12891,
  [SMALL_STATE(264)] = 12926,
  [SMALL_STATE(265)] = 12961,
  [SMALL_STATE(266)] = 12990,
  [SMALL_STATE(267)] = 13025,
  [SMALL_STATE(268)] = 13060,
  [SMALL_STATE(269)] = 13089,
  [SMALL_STATE(270)] = 13118,
  [SMALL_STATE(271)] = 13147,
  [SMALL_STATE(272)] = 13178,
  [SMALL_STATE(273)] = 13209,
  [SMALL_STATE(274)] = 13238,
  [SMALL_STATE(275)] = 13267,
  [SMALL_STATE(276)] = 13296,
  [SMALL_STATE(277)] = 13329,
  [SMALL_STATE(278)] = 13358,
  [SMALL_STATE(279)] = 13387,
  [SMALL_STATE(280)] = 13416,
  [SMALL_STATE(281)] = 13445,
  [SMALL_STATE(282)] = 13474,
  [SMALL_STATE(283)] = 13503,
  [SMALL_STATE(284)] = 13532,
  [SMALL_STATE(285)] = 13561,
  [SMALL_STATE(286)] = 13590,
  [SMALL_STATE(287)] = 13619,
  [SMALL_STATE(288)] = 13652,
  [SMALL_STATE(289)] = 13685,
  [SMALL_STATE(290)] = 13714,
  [SMALL_STATE(291)] = 13743,
  [SMALL_STATE(292)] = 13772,
  [SMALL_STATE(293)] = 13801,
  [SMALL_STATE(294)] = 13830,
  [SMALL_STATE(295)] = 13865,
  [SMALL_STATE(296)] = 13894,
  [SMALL_STATE(297)] = 13923,
  [SMALL_STATE(298)] = 13952,
  [SMALL_STATE(299)] = 13981,
  [SMALL_STATE(300)] = 14016,
  [SMALL_STATE(301)] = 14045,
  [SMALL_STATE(302)] = 14074,
  [SMALL_STATE(303)] = 14103,
  [SMALL_STATE(304)] = 14132,
  [SMALL_STATE(305)] = 14161,
  [SMALL_STATE(306)] = 14190,
  [SMALL_STATE(307)] = 14219,
  [SMALL_STATE(308)] = 14248,
  [SMALL_STATE(309)] = 14281,
  [SMALL_STATE(310)] = 14316,
  [SMALL_STATE(311)] = 14345,
  [SMALL_STATE(312)] = 14374,
  [SMALL_STATE(313)] = 14403,
  [SMALL_STATE(314)] = 14432,
  [SMALL_STATE(315)] = 14467,
  [SMALL_STATE(316)] = 14496,
  [SMALL_STATE(317)] = 14525,
  [SMALL_STATE(318)] = 14560,
  [SMALL_STATE(319)] = 14589,
  [SMALL_STATE(320)] = 14618,
  [SMALL_STATE(321)] = 14646,
  [SMALL_STATE(322)] = 14674,
  [SMALL_STATE(323)] = 14722,
  [SMALL_STATE(324)] = 14752,
  [SMALL_STATE(325)] = 14782,
  [SMALL_STATE(326)] = 14814,
  [SMALL_STATE(327)] = 14842,
  [SMALL_STATE(328)] = 14890,
  [SMALL_STATE(329)] = 14918,
  [SMALL_STATE(330)] = 14966,
  [SMALL_STATE(331)] = 14994,
  [SMALL_STATE(332)] = 15026,
  [SMALL_STATE(333)] = 15054,
  [SMALL_STATE(334)] = 15082,
  [SMALL_STATE(335)] = 15110,
  [SMALL_STATE(336)] = 15138,
  [SMALL_STATE(337)] = 15166,
  [SMALL_STATE(338)] = 15194,
  [SMALL_STATE(339)] = 15222,
  [SMALL_STATE(340)] = 15250,
  [SMALL_STATE(341)] = 15278,
  [SMALL_STATE(342)] = 15310,
  [SMALL_STATE(343)] = 15338,
  [SMALL_STATE(344)] = 15366,
  [SMALL_STATE(345)] = 15394,
  [SMALL_STATE(346)] = 15422,
  [SMALL_STATE(347)] = 15450,
  [SMALL_STATE(348)] = 15498,
  [SMALL_STATE(349)] = 15526,
  [SMALL_STATE(350)] = 15554,
  [SMALL_STATE(351)] = 15582,
  [SMALL_STATE(352)] = 15610,
  [SMALL_STATE(353)] = 15658,
  [SMALL_STATE(354)] = 15686,
  [SMALL_STATE(355)] = 15714,
  [SMALL_STATE(356)] = 15742,
  [SMALL_STATE(357)] = 15770,
  [SMALL_STATE(358)] = 15798,
  [SMALL_STATE(359)] = 15826,
  [SMALL_STATE(360)] = 15854,
  [SMALL_STATE(361)] = 15882,
  [SMALL_STATE(362)] = 15912,
  [SMALL_STATE(363)] = 15940,
  [SMALL_STATE(364)] = 15968,
  [SMALL_STATE(365)] = 15996,
  [SMALL_STATE(366)] = 16024,
  [SMALL_STATE(367)] = 16052,
  [SMALL_STATE(368)] = 16080,
  [SMALL_STATE(369)] = 16108,
  [SMALL_STATE(370)] = 16136,
  [SMALL_STATE(371)] = 16164,
  [SMALL_STATE(372)] = 16192,
  [SMALL_STATE(373)] = 16220,
  [SMALL_STATE(374)] = 16248,
  [SMALL_STATE(375)] = 16276,
  [SMALL_STATE(376)] = 16304,
  [SMALL_STATE(377)] = 16332,
  [SMALL_STATE(378)] = 16360,
  [SMALL_STATE(379)] = 16388,
  [SMALL_STATE(380)] = 16416,
  [SMALL_STATE(381)] = 16444,
  [SMALL_STATE(382)] = 16472,
  [SMALL_STATE(383)] = 16519,
  [SMALL_STATE(384)] = 16566,
  [SMALL_STATE(385)] = 16613,
  [SMALL_STATE(386)] = 16660,
  [SMALL_STATE(387)] = 16693,
  [SMALL_STATE(388)] = 16740,
  [SMALL_STATE(389)] = 16787,
  [SMALL_STATE(390)] = 16820,
  [SMALL_STATE(391)] = 16851,
  [SMALL_STATE(392)] = 16898,
  [SMALL_STATE(393)] = 16945,
  [SMALL_STATE(394)] = 16992,
  [SMALL_STATE(395)] = 17039,
  [SMALL_STATE(396)] = 17070,
  [SMALL_STATE(397)] = 17117,
  [SMALL_STATE(398)] = 17164,
  [SMALL_STATE(399)] = 17211,
  [SMALL_STATE(400)] = 17258,
  [SMALL_STATE(401)] = 17302,
  [SMALL_STATE(402)] = 17346,
  [SMALL_STATE(403)] = 17392,
  [SMALL_STATE(404)] = 17436,
  [SMALL_STATE(405)] = 17480,
  [SMALL_STATE(406)] = 17524,
  [SMALL_STATE(407)] = 17568,
  [SMALL_STATE(408)] = 17614,
  [SMALL_STATE(409)] = 17658,
  [SMALL_STATE(410)] = 17704,
  [SMALL_STATE(411)] = 17750,
  [SMALL_STATE(412)] = 17794,
  [SMALL_STATE(413)] = 17838,
  [SMALL_STATE(414)] = 17882,
  [SMALL_STATE(415)] = 17928,
  [SMALL_STATE(416)] = 17972,
  [SMALL_STATE(417)] = 18016,
  [SMALL_STATE(418)] = 18060,
  [SMALL_STATE(419)] = 18106,
  [SMALL_STATE(420)] = 18150,
  [SMALL_STATE(421)] = 18196,
  [SMALL_STATE(422)] = 18242,
  [SMALL_STATE(423)] = 18272,
  [SMALL_STATE(424)] = 18316,
  [SMALL_STATE(425)] = 18362,
  [SMALL_STATE(426)] = 18408,
  [SMALL_STATE(427)] = 18452,
  [SMALL_STATE(428)] = 18498,
  [SMALL_STATE(429)] = 18542,
  [SMALL_STATE(430)] = 18588,
  [SMALL_STATE(431)] = 18632,
  [SMALL_STATE(432)] = 18676,
  [SMALL_STATE(433)] = 18720,
  [SMALL_STATE(434)] = 18764,
  [SMALL_STATE(435)] = 18807,
  [SMALL_STATE(436)] = 18850,
  [SMALL_STATE(437)] = 18883,
  [SMALL_STATE(438)] = 18924,
  [SMALL_STATE(439)] = 18967,
  [SMALL_STATE(440)] = 19010,
  [SMALL_STATE(441)] = 19051,
  [SMALL_STATE(442)] = 19094,
  [SMALL_STATE(443)] = 19137,
  [SMALL_STATE(444)] = 19180,
  [SMALL_STATE(445)] = 19223,
  [SMALL_STATE(446)] = 19264,
  [SMALL_STATE(447)] = 19305,
  [SMALL_STATE(448)] = 19346,
  [SMALL_STATE(449)] = 19379,
  [SMALL_STATE(450)] = 19420,
  [SMALL_STATE(451)] = 19463,
  [SMALL_STATE(452)] = 19504,
  [SMALL_STATE(453)] = 19547,
  [SMALL_STATE(454)] = 19590,
  [SMALL_STATE(455)] = 19633,
  [SMALL_STATE(456)] = 19676,
  [SMALL_STATE(457)] = 19717,
  [SMALL_STATE(458)] = 19760,
  [SMALL_STATE(459)] = 19803,
  [SMALL_STATE(460)] = 19844,
  [SMALL_STATE(461)] = 19885,
  [SMALL_STATE(462)] = 19928,
  [SMALL_STATE(463)] = 19969,
  [SMALL_STATE(464)] = 20012,
  [SMALL_STATE(465)] = 20038,
  [SMALL_STATE(466)] = 20064,
  [SMALL_STATE(467)] = 20090,
  [SMALL_STATE(468)] = 20132,
  [SMALL_STATE(469)] = 20174,
  [SMALL_STATE(470)] = 20200,
  [SMALL_STATE(471)] = 20226,
  [SMALL_STATE(472)] = 20252,
  [SMALL_STATE(473)] = 20294,
  [SMALL_STATE(474)] = 20320,
  [SMALL_STATE(475)] = 20352,
  [SMALL_STATE(476)] = 20378,
  [SMALL_STATE(477)] = 20404,
  [SMALL_STATE(478)] = 20430,
  [SMALL_STATE(479)] = 20456,
  [SMALL_STATE(480)] = 20484,
  [SMALL_STATE(481)] = 20518,
  [SMALL_STATE(482)] = 20560,
  [SMALL_STATE(483)] = 20586,
  [SMALL_STATE(484)] = 20612,
  [SMALL_STATE(485)] = 20652,
  [SMALL_STATE(486)] = 20678,
  [SMALL_STATE(487)] = 20704,
  [SMALL_STATE(488)] = 20730,
  [SMALL_STATE(489)] = 20769,
  [SMALL_STATE(490)] = 20792,
  [SMALL_STATE(491)] = 20815,
  [SMALL_STATE(492)] = 20838,
  [SMALL_STATE(493)] = 20871,
  [SMALL_STATE(494)] = 20894,
  [SMALL_STATE(495)] = 20917,
  [SMALL_STATE(496)] = 20940,
  [SMALL_STATE(497)] = 20963,
  [SMALL_STATE(498)] = 20986,
  [SMALL_STATE(499)] = 21009,
  [SMALL_STATE(500)] = 21048,
  [SMALL_STATE(501)] = 21071,
  [SMALL_STATE(502)] = 21094,
  [SMALL_STATE(503)] = 21117,
  [SMALL_STATE(504)] = 21140,
  [SMALL_STATE(505)] = 21167,
  [SMALL_STATE(506)] = 21206,
  [SMALL_STATE(507)] = 21245,
  [SMALL_STATE(508)] = 21268,
  [SMALL_STATE(509)] = 21307,
  [SMALL_STATE(510)] = 21335,
  [SMALL_STATE(511)] = 21365,
  [SMALL_STATE(512)] = 21395,
  [SMALL_STATE(513)] = 21421,
  [SMALL_STATE(514)] = 21447,
  [SMALL_STATE(515)] = 21479,
  [SMALL_STATE(516)] = 21502,
  [SMALL_STATE(517)] = 21525,
  [SMALL_STATE(518)] = 21550,
  [SMALL_STATE(519)] = 21575,
  [SMALL_STATE(520)] = 21602,
  [SMALL_STATE(521)] = 21631,
  [SMALL_STATE(522)] = 21658,
  [SMALL_STATE(523)] = 21683,
  [SMALL_STATE(524)] = 21708,
  [SMALL_STATE(525)] = 21732,
  [SMALL_STATE(526)] = 21756,
  [SMALL_STATE(527)] = 21782,
  [SMALL_STATE(528)] = 21806,
  [SMALL_STATE(529)] = 21828,
  [SMALL_STATE(530)] = 21854,
  [SMALL_STATE(531)] = 21878,
  [SMALL_STATE(532)] = 21900,
  [SMALL_STATE(533)] = 21922,
  [SMALL_STATE(534)] = 21952,
  [SMALL_STATE(535)] = 21974,
  [SMALL_STATE(536)] = 21997,
  [SMALL_STATE(537)] = 22024,
  [SMALL_STATE(538)] = 22043,
  [SMALL_STATE(539)] = 22066,
  [SMALL_STATE(540)] = 22093,
  [SMALL_STATE(541)] = 22116,
  [SMALL_STATE(542)] = 22139,
  [SMALL_STATE(543)] = 22162,
  [SMALL_STATE(544)] = 22183,
  [SMALL_STATE(545)] = 22204,
  [SMALL_STATE(546)] = 22225,
  [SMALL_STATE(547)] = 22244,
  [SMALL_STATE(548)] = 22265,
  [SMALL_STATE(549)] = 22286,
  [SMALL_STATE(550)] = 22305,
  [SMALL_STATE(551)] = 22326,
  [SMALL_STATE(552)] = 22349,
  [SMALL_STATE(553)] = 22372,
  [SMALL_STATE(554)] = 22395,
  [SMALL_STATE(555)] = 22417,
  [SMALL_STATE(556)] = 22441,
  [SMALL_STATE(557)] = 22463,
  [SMALL_STATE(558)] = 22485,
  [SMALL_STATE(559)] = 22507,
  [SMALL_STATE(560)] = 22527,
  [SMALL_STATE(561)] = 22549,
  [SMALL_STATE(562)] = 22569,
  [SMALL_STATE(563)] = 22589,
  [SMALL_STATE(564)] = 22611,
  [SMALL_STATE(565)] = 22633,
  [SMALL_STATE(566)] = 22653,
  [SMALL_STATE(567)] = 22678,
  [SMALL_STATE(568)] = 22699,
  [SMALL_STATE(569)] = 22720,
  [SMALL_STATE(570)] = 22749,
  [SMALL_STATE(571)] = 22770,
  [SMALL_STATE(572)] = 22799,
  [SMALL_STATE(573)] = 22828,
  [SMALL_STATE(574)] = 22847,
  [SMALL_STATE(575)] = 22866,
  [SMALL_STATE(576)] = 22887,
  [SMALL_STATE(577)] = 22906,
  [SMALL_STATE(578)] = 22935,
  [SMALL_STATE(579)] = 22964,
  [SMALL_STATE(580)] = 22985,
  [SMALL_STATE(581)] = 23014,
  [SMALL_STATE(582)] = 23039,
  [SMALL_STATE(583)] = 23058,
  [SMALL_STATE(584)] = 23079,
  [SMALL_STATE(585)] = 23108,
  [SMALL_STATE(586)] = 23129,
  [SMALL_STATE(587)] = 23150,
  [SMALL_STATE(588)] = 23179,
  [SMALL_STATE(589)] = 23198,
  [SMALL_STATE(590)] = 23217,
  [SMALL_STATE(591)] = 23238,
  [SMALL_STATE(592)] = 23257,
  [SMALL_STATE(593)] = 23286,
  [SMALL_STATE(594)] = 23302,
  [SMALL_STATE(595)] = 23320,
  [SMALL_STATE(596)] = 23336,
  [SMALL_STATE(597)] = 23360,
  [SMALL_STATE(598)] = 23376,
  [SMALL_STATE(599)] = 23404,
  [SMALL_STATE(600)] = 23422,
  [SMALL_STATE(601)] = 23440,
  [SMALL_STATE(602)] = 23456,
  [SMALL_STATE(603)] = 23472,
  [SMALL_STATE(604)] = 23490,
  [SMALL_STATE(605)] = 23508,
  [SMALL_STATE(606)] = 23524,
  [SMALL_STATE(607)] = 23542,
  [SMALL_STATE(608)] = 23560,
  [SMALL_STATE(609)] = 23576,
  [SMALL_STATE(610)] = 23594,
  [SMALL_STATE(611)] = 23610,
  [SMALL_STATE(612)] = 23626,
  [SMALL_STATE(613)] = 23642,
  [SMALL_STATE(614)] = 23660,
  [SMALL_STATE(615)] = 23676,
  [SMALL_STATE(616)] = 23696,
  [SMALL_STATE(617)] = 23716,
  [SMALL_STATE(618)] = 23734,
  [SMALL_STATE(619)] = 23752,
  [SMALL_STATE(620)] = 23770,
  [SMALL_STATE(621)] = 23788,
  [SMALL_STATE(622)] = 23806,
  [SMALL_STATE(623)] = 23822,
  [SMALL_STATE(624)] = 23842,
  [SMALL_STATE(625)] = 23860,
  [SMALL_STATE(626)] = 23878,
  [SMALL_STATE(627)] = 23896,
  [SMALL_STATE(628)] = 23915,
  [SMALL_STATE(629)] = 23932,
  [SMALL_STATE(630)] = 23951,
  [SMALL_STATE(631)] = 23970,
  [SMALL_STATE(632)] = 23987,
  [SMALL_STATE(633)] = 24002,
  [SMALL_STATE(634)] = 24019,
  [SMALL_STATE(635)] = 24034,
  [SMALL_STATE(636)] = 24051,
  [SMALL_STATE(637)] = 24066,
  [SMALL_STATE(638)] = 24081,
  [SMALL_STATE(639)] = 24096,
  [SMALL_STATE(640)] = 24111,
  [SMALL_STATE(641)] = 24126,
  [SMALL_STATE(642)] = 24141,
  [SMALL_STATE(643)] = 24156,
  [SMALL_STATE(644)] = 24175,
  [SMALL_STATE(645)] = 24194,
  [SMALL_STATE(646)] = 24209,
  [SMALL_STATE(647)] = 24226,
  [SMALL_STATE(648)] = 24241,
  [SMALL_STATE(649)] = 24258,
  [SMALL_STATE(650)] = 24277,
  [SMALL_STATE(651)] = 24292,
  [SMALL_STATE(652)] = 24308,
  [SMALL_STATE(653)] = 24324,
  [SMALL_STATE(654)] = 24338,
  [SMALL_STATE(655)] = 24354,
  [SMALL_STATE(656)] = 24370,
  [SMALL_STATE(657)] = 24386,
  [SMALL_STATE(658)] = 24402,
  [SMALL_STATE(659)] = 24418,
  [SMALL_STATE(660)] = 24434,
  [SMALL_STATE(661)] = 24450,
  [SMALL_STATE(662)] = 24468,
  [SMALL_STATE(663)] = 24484,
  [SMALL_STATE(664)] = 24500,
  [SMALL_STATE(665)] = 24516,
  [SMALL_STATE(666)] = 24532,
  [SMALL_STATE(667)] = 24548,
  [SMALL_STATE(668)] = 24564,
  [SMALL_STATE(669)] = 24580,
  [SMALL_STATE(670)] = 24596,
  [SMALL_STATE(671)] = 24612,
  [SMALL_STATE(672)] = 24628,
  [SMALL_STATE(673)] = 24646,
  [SMALL_STATE(674)] = 24662,
  [SMALL_STATE(675)] = 24678,
  [SMALL_STATE(676)] = 24700,
  [SMALL_STATE(677)] = 24716,
  [SMALL_STATE(678)] = 24732,
  [SMALL_STATE(679)] = 24754,
  [SMALL_STATE(680)] = 24770,
  [SMALL_STATE(681)] = 24792,
  [SMALL_STATE(682)] = 24810,
  [SMALL_STATE(683)] = 24823,
  [SMALL_STATE(684)] = 24838,
  [SMALL_STATE(685)] = 24853,
  [SMALL_STATE(686)] = 24866,
  [SMALL_STATE(687)] = 24879,
  [SMALL_STATE(688)] = 24894,
  [SMALL_STATE(689)] = 24909,
  [SMALL_STATE(690)] = 24928,
  [SMALL_STATE(691)] = 24947,
  [SMALL_STATE(692)] = 24962,
  [SMALL_STATE(693)] = 24975,
  [SMALL_STATE(694)] = 24990,
  [SMALL_STATE(695)] = 25005,
  [SMALL_STATE(696)] = 25018,
  [SMALL_STATE(697)] = 25033,
  [SMALL_STATE(698)] = 25046,
  [SMALL_STATE(699)] = 25061,
  [SMALL_STATE(700)] = 25074,
  [SMALL_STATE(701)] = 25093,
  [SMALL_STATE(702)] = 25112,
  [SMALL_STATE(703)] = 25125,
  [SMALL_STATE(704)] = 25138,
  [SMALL_STATE(705)] = 25153,
  [SMALL_STATE(706)] = 25168,
  [SMALL_STATE(707)] = 25181,
  [SMALL_STATE(708)] = 25200,
  [SMALL_STATE(709)] = 25215,
  [SMALL_STATE(710)] = 25228,
  [SMALL_STATE(711)] = 25243,
  [SMALL_STATE(712)] = 25256,
  [SMALL_STATE(713)] = 25275,
  [SMALL_STATE(714)] = 25290,
  [SMALL_STATE(715)] = 25303,
  [SMALL_STATE(716)] = 25316,
  [SMALL_STATE(717)] = 25331,
  [SMALL_STATE(718)] = 25346,
  [SMALL_STATE(719)] = 25365,
  [SMALL_STATE(720)] = 25384,
  [SMALL_STATE(721)] = 25397,
  [SMALL_STATE(722)] = 25412,
  [SMALL_STATE(723)] = 25427,
  [SMALL_STATE(724)] = 25446,
  [SMALL_STATE(725)] = 25465,
  [SMALL_STATE(726)] = 25478,
  [SMALL_STATE(727)] = 25497,
  [SMALL_STATE(728)] = 25512,
  [SMALL_STATE(729)] = 25525,
  [SMALL_STATE(730)] = 25544,
  [SMALL_STATE(731)] = 25563,
  [SMALL_STATE(732)] = 25578,
  [SMALL_STATE(733)] = 25597,
  [SMALL_STATE(734)] = 25612,
  [SMALL_STATE(735)] = 25627,
  [SMALL_STATE(736)] = 25642,
  [SMALL_STATE(737)] = 25655,
  [SMALL_STATE(738)] = 25668,
  [SMALL_STATE(739)] = 25683,
  [SMALL_STATE(740)] = 25696,
  [SMALL_STATE(741)] = 25709,
  [SMALL_STATE(742)] = 25722,
  [SMALL_STATE(743)] = 25737,
  [SMALL_STATE(744)] = 25756,
  [SMALL_STATE(745)] = 25775,
  [SMALL_STATE(746)] = 25787,
  [SMALL_STATE(747)] = 25801,
  [SMALL_STATE(748)] = 25815,
  [SMALL_STATE(749)] = 25829,
  [SMALL_STATE(750)] = 25839,
  [SMALL_STATE(751)] = 25855,
  [SMALL_STATE(752)] = 25871,
  [SMALL_STATE(753)] = 25887,
  [SMALL_STATE(754)] = 25901,
  [SMALL_STATE(755)] = 25915,
  [SMALL_STATE(756)] = 25929,
  [SMALL_STATE(757)] = 25945,
  [SMALL_STATE(758)] = 25961,
  [SMALL_STATE(759)] = 25977,
  [SMALL_STATE(760)] = 25991,
  [SMALL_STATE(761)] = 26005,
  [SMALL_STATE(762)] = 26021,
  [SMALL_STATE(763)] = 26037,
  [SMALL_STATE(764)] = 26051,
  [SMALL_STATE(765)] = 26065,
  [SMALL_STATE(766)] = 26079,
  [SMALL_STATE(767)] = 26093,
  [SMALL_STATE(768)] = 26109,
  [SMALL_STATE(769)] = 26125,
  [SMALL_STATE(770)] = 26141,
  [SMALL_STATE(771)] = 26155,
  [SMALL_STATE(772)] = 26171,
  [SMALL_STATE(773)] = 26185,
  [SMALL_STATE(774)] = 26199,
  [SMALL_STATE(775)] = 26213,
  [SMALL_STATE(776)] = 26227,
  [SMALL_STATE(777)] = 26243,
  [SMALL_STATE(778)] = 26259,
  [SMALL_STATE(779)] = 26275,
  [SMALL_STATE(780)] = 26287,
  [SMALL_STATE(781)] = 26303,
  [SMALL_STATE(782)] = 26317,
  [SMALL_STATE(783)] = 26333,
  [SMALL_STATE(784)] = 26349,
  [SMALL_STATE(785)] = 26365,
  [SMALL_STATE(786)] = 26374,
  [SMALL_STATE(787)] = 26387,
  [SMALL_STATE(788)] = 26400,
  [SMALL_STATE(789)] = 26411,
  [SMALL_STATE(790)] = 26424,
  [SMALL_STATE(791)] = 26437,
  [SMALL_STATE(792)] = 26450,
  [SMALL_STATE(793)] = 26463,
  [SMALL_STATE(794)] = 26476,
  [SMALL_STATE(795)] = 26489,
  [SMALL_STATE(796)] = 26502,
  [SMALL_STATE(797)] = 26515,
  [SMALL_STATE(798)] = 26526,
  [SMALL_STATE(799)] = 26539,
  [SMALL_STATE(800)] = 26552,
  [SMALL_STATE(801)] = 26563,
  [SMALL_STATE(802)] = 26576,
  [SMALL_STATE(803)] = 26589,
  [SMALL_STATE(804)] = 26602,
  [SMALL_STATE(805)] = 26615,
  [SMALL_STATE(806)] = 26628,
  [SMALL_STATE(807)] = 26641,
  [SMALL_STATE(808)] = 26654,
  [SMALL_STATE(809)] = 26665,
  [SMALL_STATE(810)] = 26678,
  [SMALL_STATE(811)] = 26691,
  [SMALL_STATE(812)] = 26704,
  [SMALL_STATE(813)] = 26717,
  [SMALL_STATE(814)] = 26726,
  [SMALL_STATE(815)] = 26739,
  [SMALL_STATE(816)] = 26748,
  [SMALL_STATE(817)] = 26761,
  [SMALL_STATE(818)] = 26774,
  [SMALL_STATE(819)] = 26787,
  [SMALL_STATE(820)] = 26796,
  [SMALL_STATE(821)] = 26809,
  [SMALL_STATE(822)] = 26818,
  [SMALL_STATE(823)] = 26831,
  [SMALL_STATE(824)] = 26844,
  [SMALL_STATE(825)] = 26857,
  [SMALL_STATE(826)] = 26870,
  [SMALL_STATE(827)] = 26881,
  [SMALL_STATE(828)] = 26894,
  [SMALL_STATE(829)] = 26903,
  [SMALL_STATE(830)] = 26916,
  [SMALL_STATE(831)] = 26929,
  [SMALL_STATE(832)] = 26938,
  [SMALL_STATE(833)] = 26951,
  [SMALL_STATE(834)] = 26960,
  [SMALL_STATE(835)] = 26969,
  [SMALL_STATE(836)] = 26982,
  [SMALL_STATE(837)] = 26993,
  [SMALL_STATE(838)] = 27006,
  [SMALL_STATE(839)] = 27017,
  [SMALL_STATE(840)] = 27030,
  [SMALL_STATE(841)] = 27043,
  [SMALL_STATE(842)] = 27056,
  [SMALL_STATE(843)] = 27069,
  [SMALL_STATE(844)] = 27078,
  [SMALL_STATE(845)] = 27091,
  [SMALL_STATE(846)] = 27104,
  [SMALL_STATE(847)] = 27117,
  [SMALL_STATE(848)] = 27130,
  [SMALL_STATE(849)] = 27143,
  [SMALL_STATE(850)] = 27156,
  [SMALL_STATE(851)] = 27165,
  [SMALL_STATE(852)] = 27175,
  [SMALL_STATE(853)] = 27185,
  [SMALL_STATE(854)] = 27195,
  [SMALL_STATE(855)] = 27205,
  [SMALL_STATE(856)] = 27215,
  [SMALL_STATE(857)] = 27225,
  [SMALL_STATE(858)] = 27235,
  [SMALL_STATE(859)] = 27245,
  [SMALL_STATE(860)] = 27255,
  [SMALL_STATE(861)] = 27263,
  [SMALL_STATE(862)] = 27273,
  [SMALL_STATE(863)] = 27283,
  [SMALL_STATE(864)] = 27291,
  [SMALL_STATE(865)] = 27301,
  [SMALL_STATE(866)] = 27311,
  [SMALL_STATE(867)] = 27321,
  [SMALL_STATE(868)] = 27331,
  [SMALL_STATE(869)] = 27341,
  [SMALL_STATE(870)] = 27351,
  [SMALL_STATE(871)] = 27361,
  [SMALL_STATE(872)] = 27371,
  [SMALL_STATE(873)] = 27381,
  [SMALL_STATE(874)] = 27391,
  [SMALL_STATE(875)] = 27401,
  [SMALL_STATE(876)] = 27411,
  [SMALL_STATE(877)] = 27421,
  [SMALL_STATE(878)] = 27431,
  [SMALL_STATE(879)] = 27441,
  [SMALL_STATE(880)] = 27451,
  [SMALL_STATE(881)] = 27461,
  [SMALL_STATE(882)] = 27471,
  [SMALL_STATE(883)] = 27479,
  [SMALL_STATE(884)] = 27489,
  [SMALL_STATE(885)] = 27499,
  [SMALL_STATE(886)] = 27509,
  [SMALL_STATE(887)] = 27519,
  [SMALL_STATE(888)] = 27527,
  [SMALL_STATE(889)] = 27535,
  [SMALL_STATE(890)] = 27543,
  [SMALL_STATE(891)] = 27553,
  [SMALL_STATE(892)] = 27563,
  [SMALL_STATE(893)] = 27573,
  [SMALL_STATE(894)] = 27583,
  [SMALL_STATE(895)] = 27593,
  [SMALL_STATE(896)] = 27601,
  [SMALL_STATE(897)] = 27611,
  [SMALL_STATE(898)] = 27621,
  [SMALL_STATE(899)] = 27629,
  [SMALL_STATE(900)] = 27639,
  [SMALL_STATE(901)] = 27649,
  [SMALL_STATE(902)] = 27659,
  [SMALL_STATE(903)] = 27669,
  [SMALL_STATE(904)] = 27679,
  [SMALL_STATE(905)] = 27689,
  [SMALL_STATE(906)] = 27699,
  [SMALL_STATE(907)] = 27709,
  [SMALL_STATE(908)] = 27719,
  [SMALL_STATE(909)] = 27729,
  [SMALL_STATE(910)] = 27739,
  [SMALL_STATE(911)] = 27749,
  [SMALL_STATE(912)] = 27759,
  [SMALL_STATE(913)] = 27769,
  [SMALL_STATE(914)] = 27777,
  [SMALL_STATE(915)] = 27787,
  [SMALL_STATE(916)] = 27797,
  [SMALL_STATE(917)] = 27807,
  [SMALL_STATE(918)] = 27817,
  [SMALL_STATE(919)] = 27827,
  [SMALL_STATE(920)] = 27837,
  [SMALL_STATE(921)] = 27847,
  [SMALL_STATE(922)] = 27857,
  [SMALL_STATE(923)] = 27867,
  [SMALL_STATE(924)] = 27877,
  [SMALL_STATE(925)] = 27887,
  [SMALL_STATE(926)] = 27897,
  [SMALL_STATE(927)] = 27907,
  [SMALL_STATE(928)] = 27917,
  [SMALL_STATE(929)] = 27927,
  [SMALL_STATE(930)] = 27937,
  [SMALL_STATE(931)] = 27947,
  [SMALL_STATE(932)] = 27957,
  [SMALL_STATE(933)] = 27965,
  [SMALL_STATE(934)] = 27975,
  [SMALL_STATE(935)] = 27983,
  [SMALL_STATE(936)] = 27993,
  [SMALL_STATE(937)] = 28003,
  [SMALL_STATE(938)] = 28013,
  [SMALL_STATE(939)] = 28023,
  [SMALL_STATE(940)] = 28033,
  [SMALL_STATE(941)] = 28043,
  [SMALL_STATE(942)] = 28053,
  [SMALL_STATE(943)] = 28063,
  [SMALL_STATE(944)] = 28073,
  [SMALL_STATE(945)] = 28083,
  [SMALL_STATE(946)] = 28093,
  [SMALL_STATE(947)] = 28103,
  [SMALL_STATE(948)] = 28113,
  [SMALL_STATE(949)] = 28123,
  [SMALL_STATE(950)] = 28133,
  [SMALL_STATE(951)] = 28143,
  [SMALL_STATE(952)] = 28153,
  [SMALL_STATE(953)] = 28160,
  [SMALL_STATE(954)] = 28167,
  [SMALL_STATE(955)] = 28174,
  [SMALL_STATE(956)] = 28181,
  [SMALL_STATE(957)] = 28188,
  [SMALL_STATE(958)] = 28195,
  [SMALL_STATE(959)] = 28202,
  [SMALL_STATE(960)] = 28209,
  [SMALL_STATE(961)] = 28216,
  [SMALL_STATE(962)] = 28223,
  [SMALL_STATE(963)] = 28230,
  [SMALL_STATE(964)] = 28237,
  [SMALL_STATE(965)] = 28244,
  [SMALL_STATE(966)] = 28251,
  [SMALL_STATE(967)] = 28258,
  [SMALL_STATE(968)] = 28265,
  [SMALL_STATE(969)] = 28272,
  [SMALL_STATE(970)] = 28279,
  [SMALL_STATE(971)] = 28286,
  [SMALL_STATE(972)] = 28293,
  [SMALL_STATE(973)] = 28300,
  [SMALL_STATE(974)] = 28307,
  [SMALL_STATE(975)] = 28314,
  [SMALL_STATE(976)] = 28321,
  [SMALL_STATE(977)] = 28328,
  [SMALL_STATE(978)] = 28335,
  [SMALL_STATE(979)] = 28342,
  [SMALL_STATE(980)] = 28349,
  [SMALL_STATE(981)] = 28356,
  [SMALL_STATE(982)] = 28363,
  [SMALL_STATE(983)] = 28370,
  [SMALL_STATE(984)] = 28377,
  [SMALL_STATE(985)] = 28384,
  [SMALL_STATE(986)] = 28391,
  [SMALL_STATE(987)] = 28398,
  [SMALL_STATE(988)] = 28405,
  [SMALL_STATE(989)] = 28412,
  [SMALL_STATE(990)] = 28419,
  [SMALL_STATE(991)] = 28426,
  [SMALL_STATE(992)] = 28433,
  [SMALL_STATE(993)] = 28440,
  [SMALL_STATE(994)] = 28447,
  [SMALL_STATE(995)] = 28454,
  [SMALL_STATE(996)] = 28461,
  [SMALL_STATE(997)] = 28468,
  [SMALL_STATE(998)] = 28475,
  [SMALL_STATE(999)] = 28482,
  [SMALL_STATE(1000)] = 28489,
  [SMALL_STATE(1001)] = 28496,
  [SMALL_STATE(1002)] = 28503,
  [SMALL_STATE(1003)] = 28510,
  [SMALL_STATE(1004)] = 28517,
  [SMALL_STATE(1005)] = 28524,
  [SMALL_STATE(1006)] = 28531,
  [SMALL_STATE(1007)] = 28538,
  [SMALL_STATE(1008)] = 28545,
  [SMALL_STATE(1009)] = 28552,
  [SMALL_STATE(1010)] = 28559,
  [SMALL_STATE(1011)] = 28566,
  [SMALL_STATE(1012)] = 28573,
  [SMALL_STATE(1013)] = 28580,
  [SMALL_STATE(1014)] = 28587,
  [SMALL_STATE(1015)] = 28594,
  [SMALL_STATE(1016)] = 28601,
  [SMALL_STATE(1017)] = 28608,
  [SMALL_STATE(1018)] = 28615,
  [SMALL_STATE(1019)] = 28622,
  [SMALL_STATE(1020)] = 28629,
  [SMALL_STATE(1021)] = 28636,
  [SMALL_STATE(1022)] = 28643,
  [SMALL_STATE(1023)] = 28650,
  [SMALL_STATE(1024)] = 28657,
  [SMALL_STATE(1025)] = 28664,
  [SMALL_STATE(1026)] = 28671,
  [SMALL_STATE(1027)] = 28678,
  [SMALL_STATE(1028)] = 28685,
  [SMALL_STATE(1029)] = 28692,
  [SMALL_STATE(1030)] = 28699,
  [SMALL_STATE(1031)] = 28706,
  [SMALL_STATE(1032)] = 28713,
  [SMALL_STATE(1033)] = 28720,
  [SMALL_STATE(1034)] = 28727,
  [SMALL_STATE(1035)] = 28734,
  [SMALL_STATE(1036)] = 28741,
  [SMALL_STATE(1037)] = 28748,
  [SMALL_STATE(1038)] = 28755,
  [SMALL_STATE(1039)] = 28762,
  [SMALL_STATE(1040)] = 28769,
  [SMALL_STATE(1041)] = 28776,
  [SMALL_STATE(1042)] = 28783,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [41] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9),
  [43] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(985),
  [46] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(837),
  [49] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(990),
  [52] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(269),
  [55] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(110),
  [58] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(121),
  [61] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(978),
  [64] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(853),
  [67] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(991),
  [70] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(967),
  [73] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(757),
  [76] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(936),
  [79] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(916),
  [82] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(777),
  [85] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(761),
  [88] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(903),
  [91] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(983),
  [94] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [96] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [98] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(998),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(847),
  [144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(1035),
  [147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(371),
  [150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(123),
  [153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(108),
  [156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(1023),
  [159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(868),
  [162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(1024),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(1025),
  [168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(756),
  [171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(869),
  [174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(867),
  [177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(751),
  [180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(750),
  [183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(866),
  [186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 9), SHIFT_REPEAT(1026),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 1, 0, 1),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 3, 0, 17),
  [217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 3, 0, 17),
  [219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primitive, 1, 0, 0),
  [221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primitive, 1, 0, 0),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 19),
  [237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 19),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 14),
  [251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 14),
  [253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 20),
  [259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 20),
  [261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_group, 3, 0, 0),
  [263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group, 3, 0, 0),
  [265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 35),
  [275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, 0, 35),
  [277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 26),
  [279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 26),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bracket_expression, 4, 0, 19),
  [285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bracket_expression, 4, 0, 19),
  [287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 28),
  [289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 28),
  [291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pipe_argument, 2, 0, 0),
  [293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pipe_argument, 2, 0, 0),
  [295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 36),
  [301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 36),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullish_coalescing_expression, 3, 0, 15),
  [307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullish_coalescing_expression, 3, 0, 15),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 41),
  [315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 41),
  [317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9),
  [319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9),
  [321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(853),
  [324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(916),
  [327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(777),
  [330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(761),
  [333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(903),
  [336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(983),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 37),
  [343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 37),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_call, 1, 0, 18),
  [377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_call, 1, 0, 18),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(868),
  [384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(867),
  [387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(751),
  [390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(750),
  [393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(866),
  [396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(1026),
  [399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_arguments, 1, 0, 0),
  [401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_arguments, 1, 0, 0),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0),
  [407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0),
  [409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(189),
  [412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__binding_assignment_repeat1, 1, 0, 0), SHIFT_REPEAT(743),
  [417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__binding_assignment_repeat1, 1, 0, 0),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 16),
  [433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 16),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_sequence, 1, 0, 0),
  [453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_sequence, 1, 0, 0),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__any_expression, 1, 0, 0),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__any_expression, 1, 0, 0),
  [467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0),
  [469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(890),
  [474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(152),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 1, 0, 0),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(945),
  [564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 10),
  [568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 10),
  [570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 2, 0, 11),
  [572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 2, 0, 11),
  [574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_call, 2, 0, 27),
  [576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_call, 2, 0, 27),
  [578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(856),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(880),
  [592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(149),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 5, 0, 30),
  [647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 5, 0, 30),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__node, 1, 0, 1),
  [659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__node, 1, 0, 1),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 2, 0, 8),
  [671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 2, 0, 8),
  [673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 1, 0, 1),
  [675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 1, 0, 1),
  [677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 2, 0, 8),
  [679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 2, 0, 8),
  [681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 1),
  [683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 1),
  [685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_statement, 2, 0, 8),
  [687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_statement, 2, 0, 8),
  [689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_erroneous_end_tag, 3, 0, 0),
  [691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_erroneous_end_tag, 3, 0, 0),
  [693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 3, 0, 13),
  [695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 3, 0, 13),
  [697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_statement, 2, 0, 8),
  [699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loading_statement, 2, 0, 8),
  [701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 2),
  [703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 2),
  [705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_element, 3, 0, 0),
  [707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_element, 3, 0, 0),
  [709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_element, 3, 0, 0),
  [711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_style_element, 3, 0, 0),
  [713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_statement, 6, 0, 37),
  [715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_statement, 6, 0, 37),
  [717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 2, 0, 0),
  [719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 2, 0, 0),
  [721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_element, 2, 0, 0),
  [723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_element, 2, 0, 0),
  [725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_element, 2, 0, 0),
  [727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_style_element, 2, 0, 0),
  [729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(167),
  [732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 13),
  [734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 13),
  [736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 7),
  [738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 7),
  [740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3, 0, 0),
  [742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, 0, 0),
  [744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 6),
  [746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 6),
  [748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 5),
  [750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 5),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_statement, 3, 0, 12),
  [758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loading_statement, 3, 0, 12),
  [760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 4),
  [762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 4),
  [764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctype, 4, 0, 0),
  [766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctype, 4, 0, 0),
  [768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_statement, 5, 0, 28),
  [770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_statement, 5, 0, 28),
  [772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 43),
  [774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 43),
  [776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alternative_statement, 1, 0, 3),
  [782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__alternative_statement, 1, 0, 3),
  [784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__any_statement, 1, 0, 1),
  [790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__any_statement, 1, 0, 1),
  [792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_statement, 2, 0, 8),
  [794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_statement, 2, 0, 8),
  [796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_statement, 3, 0, 12),
  [798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_statement, 3, 0, 12),
  [800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_closing_tag, 4, 0, 0),
  [802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_closing_tag, 4, 0, 0),
  [804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(865),
  [807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 1, 0, 0),
  [809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 1, 0, 0),
  [811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_icu_expression, 7, 0, 0),
  [813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_icu_expression, 7, 0, 0),
  [815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 3, 0, 12),
  [817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 3, 0, 12),
  [819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 29),
  [821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 29),
  [823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_statement, 2, 0, 8),
  [825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_statement, 2, 0, 8),
  [827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_closing_tag, 3, 0, 0),
  [829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_self_closing_tag, 3, 0, 0),
  [831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 3, 0, 0),
  [833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 3, 0, 0),
  [835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_end_tag, 3, 0, 0),
  [837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_end_tag, 3, 0, 0),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_start_tag, 3, 0, 0),
  [847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_start_tag, 3, 0, 0),
  [849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(905),
  [852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_start_tag, 4, 0, 0),
  [854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_start_tag, 4, 0, 0),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(938),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [1025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0),
  [1027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(576),
  [1030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(424),
  [1033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(981),
  [1036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(402),
  [1039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(407),
  [1042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(409),
  [1045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(607),
  [1048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(414),
  [1051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(994),
  [1054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(427),
  [1057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(410),
  [1060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_start_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(429),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [1089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(181),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_assignment, 3, 0, 0),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [1098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [1100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(127),
  [1103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(907),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(141),
  [1111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(854),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [1118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(939),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [1129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(870),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [1134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(124),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [1141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animation_binding, 3, 0, 0),
  [1143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_animation_binding, 3, 0, 0),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [1147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(171),
  [1150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(919),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [1159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(923),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [1164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(744),
  [1167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(743),
  [1170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [1172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(984),
  [1175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_directive, 2, 0, 0),
  [1177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structural_directive, 2, 0, 0),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [1183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_attribute, 1, 0, 0),
  [1185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__normal_attribute, 1, 0, 0),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [1193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(946),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(150),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(922),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_binding, 4, 0, 0),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_binding, 4, 0, 0),
  [1220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(184),
  [1223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [1225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 1, 0, 0),
  [1227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 1, 0, 18),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [1237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_directive, 6, 0, 0),
  [1239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structural_directive, 6, 0, 0),
  [1241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 1, 0, 0),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [1249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_assignment, 4, 0, 0),
  [1251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_assignment, 4, 0, 0),
  [1253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_attribute_value, 3, 0, 0),
  [1255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_attribute_value, 3, 0, 0),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [1259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animation_binding, 4, 0, 40),
  [1261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_animation_binding, 4, 0, 40),
  [1263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(134),
  [1266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_two_way_binding, 4, 0, 0),
  [1270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_two_way_binding, 4, 0, 0),
  [1272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_assignment, 5, 0, 0),
  [1274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_assignment, 5, 0, 0),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event_binding, 4, 0, 0),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event_binding, 4, 0, 0),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_attribute_value, 2, 0, 0),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_attribute_value, 2, 0, 0),
  [1284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [1288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_attribute, 3, 0, 0),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__normal_attribute, 3, 0, 0),
  [1294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(906),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [1305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 25),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding_name, 1, 0, 0),
  [1313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(927),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger_condition, 3, 0, 31),
  [1318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [1320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(904),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [1325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [1327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenation_expression_repeat1, 2, 0, 0),
  [1329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(133),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [1334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 23),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger_condition, 2, 0, 21),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [1352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(962),
  [1355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(937),
  [1358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(942),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [1367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(145),
  [1370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [1372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [1378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [1386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [1390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [1394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [1406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [1410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [1416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [1420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 3, 0, 52),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 4, 0, 54),
  [1448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [1450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [1452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [1458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [1466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_reference, 2, 0, 38),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_condition, 1, 0, 0),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 4, 0, 25),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [1480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [1484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structural_declaration_repeat1, 2, 0, 0),
  [1488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structural_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(820),
  [1491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(947),
  [1494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [1496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [1500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_declaration, 3, 0, 0),
  [1506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [1510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [1514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__binding_assignment_repeat1, 2, 0, 0),
  [1520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_reference, 3, 0, 42),
  [1522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [1524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(767),
  [1527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(767),
  [1530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [1532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(768),
  [1535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(768),
  [1538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [1540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipe_sequence_repeat1, 2, 0, 0), SHIFT_REPEAT(894),
  [1543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 46),
  [1545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_declaration, 2, 0, 0),
  [1547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_icu_expression_repeat1, 2, 0, 0),
  [1549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_icu_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(954),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_declaration, 6, 0, 44),
  [1554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_reference_repeat1, 2, 0, 45), SHIFT_REPEAT(951),
  [1557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_reference_repeat1, 2, 0, 45),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, 0, 30),
  [1565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__context_expression, 4, 0, 0),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [1589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation_expression, 3, 0, 0),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(327),
  [1606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [1612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation_expression, 4, 0, 0),
  [1614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_defer_trigger_repeat1, 2, 0, 33), SHIFT_REPEAT(758),
  [1617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_defer_trigger_repeat1, 2, 0, 33),
  [1619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(446),
  [1622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [1624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(456),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [1631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 8),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [1637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_reference_repeat1, 2, 0, 38),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [1645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 0),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [1649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__binding_assignment_repeat1, 2, 0, 0), SHIFT_REPEAT(95),
  [1652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 2, 0, 48),
  [1654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alias, 2, 0, 38),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 46),
  [1658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [1664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 4, 0, 55),
  [1668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [1670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(449),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [1675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 3, 0, 23),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [1695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_assignment, 5, 0, 57),
  [1697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__context_expression, 4, 0, 56),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_start_tag, 3, 0, 0),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_start_tag, 3, 0, 0),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [1745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_start_tag, 4, 0, 0),
  [1747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_style_start_tag, 4, 0, 0),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_defer_trigger_repeat1, 2, 0, 22),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [1761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_timed_expression, 3, 0, 34),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__else_template_expression, 3, 0, 0),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [1791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_icu_case, 4, 0, 51),
  [1793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_icu_case, 4, 0, 51),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_condition, 5, 0, 39),
  [1855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 2, 0, 47),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [1869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_reference, 3, 0, 0),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [1873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_member_expression, 3, 0, 0),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 49),
  [1881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 3, 0, 50),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structural_expression, 4, 0, 53),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [1903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger, 4, 0, 32),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [1911] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [1933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_icu_clause, 1, 0, 0),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loading_condition, 3, 0, 22),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_minimum, 3, 0, 24),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [1961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_trigger, 3, 0, 22),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__start_tag_name = 0,
  ts_external_token__script_start_tag_name = 1,
  ts_external_token__style_start_tag_name = 2,
  ts_external_token__end_tag_name = 3,
  ts_external_token_erroneous_end_tag_name = 4,
  ts_external_token_SLASH_GT = 5,
  ts_external_token__implicit_end_tag = 6,
  ts_external_token_raw_text = 7,
  ts_external_token_comment = 8,
  ts_external_token__interpolation_start = 9,
  ts_external_token__interpolation_end = 10,
  ts_external_token_if_start = 11,
  ts_external_token_else_start = 12,
  ts_external_token_for_start = 13,
  ts_external_token_switch_start = 14,
  ts_external_token_case_start = 15,
  ts_external_token_default_start = 16,
  ts_external_token_defer_start = 17,
  ts_external_token_let_start = 18,
  ts_external_token_empty_start = 19,
  ts_external_token_placeholder_start = 20,
  ts_external_token_loading_start = 21,
  ts_external_token_error_start = 22,
  ts_external_token_else_if_start = 23,
  ts_external_token_at_sign = 24,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__start_tag_name] = sym__start_tag_name,
  [ts_external_token__script_start_tag_name] = sym__script_start_tag_name,
  [ts_external_token__style_start_tag_name] = sym__style_start_tag_name,
  [ts_external_token__end_tag_name] = sym__end_tag_name,
  [ts_external_token_erroneous_end_tag_name] = sym_erroneous_end_tag_name,
  [ts_external_token_SLASH_GT] = anon_sym_SLASH_GT,
  [ts_external_token__implicit_end_tag] = sym__implicit_end_tag,
  [ts_external_token_raw_text] = sym_raw_text,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token__interpolation_start] = sym__interpolation_start,
  [ts_external_token__interpolation_end] = sym__interpolation_end,
  [ts_external_token_if_start] = sym_if_start,
  [ts_external_token_else_start] = sym_else_start,
  [ts_external_token_for_start] = sym_for_start,
  [ts_external_token_switch_start] = sym_switch_start,
  [ts_external_token_case_start] = sym_case_start,
  [ts_external_token_default_start] = sym_default_start,
  [ts_external_token_defer_start] = sym_defer_start,
  [ts_external_token_let_start] = sym_let_start,
  [ts_external_token_empty_start] = sym_empty_start,
  [ts_external_token_placeholder_start] = sym_placeholder_start,
  [ts_external_token_loading_start] = sym_loading_start,
  [ts_external_token_error_start] = sym_error_start,
  [ts_external_token_else_if_start] = sym_else_if_start,
  [ts_external_token_at_sign] = sym_at_sign,
};

static const bool ts_external_scanner_states[13][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__start_tag_name] = true,
    [ts_external_token__script_start_tag_name] = true,
    [ts_external_token__style_start_tag_name] = true,
    [ts_external_token__end_tag_name] = true,
    [ts_external_token_erroneous_end_tag_name] = true,
    [ts_external_token_SLASH_GT] = true,
    [ts_external_token__implicit_end_tag] = true,
    [ts_external_token_raw_text] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_start] = true,
    [ts_external_token__interpolation_end] = true,
    [ts_external_token_if_start] = true,
    [ts_external_token_else_start] = true,
    [ts_external_token_for_start] = true,
    [ts_external_token_switch_start] = true,
    [ts_external_token_case_start] = true,
    [ts_external_token_default_start] = true,
    [ts_external_token_defer_start] = true,
    [ts_external_token_let_start] = true,
    [ts_external_token_empty_start] = true,
    [ts_external_token_placeholder_start] = true,
    [ts_external_token_loading_start] = true,
    [ts_external_token_error_start] = true,
    [ts_external_token_else_if_start] = true,
    [ts_external_token_at_sign] = true,
  },
  [2] = {
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_start] = true,
    [ts_external_token_if_start] = true,
    [ts_external_token_else_start] = true,
    [ts_external_token_for_start] = true,
    [ts_external_token_switch_start] = true,
    [ts_external_token_defer_start] = true,
    [ts_external_token_let_start] = true,
    [ts_external_token_empty_start] = true,
    [ts_external_token_placeholder_start] = true,
    [ts_external_token_loading_start] = true,
    [ts_external_token_error_start] = true,
    [ts_external_token_else_if_start] = true,
    [ts_external_token_at_sign] = true,
  },
  [3] = {
    [ts_external_token__implicit_end_tag] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_start] = true,
    [ts_external_token_if_start] = true,
    [ts_external_token_else_start] = true,
    [ts_external_token_for_start] = true,
    [ts_external_token_switch_start] = true,
    [ts_external_token_defer_start] = true,
    [ts_external_token_let_start] = true,
    [ts_external_token_empty_start] = true,
    [ts_external_token_placeholder_start] = true,
    [ts_external_token_loading_start] = true,
    [ts_external_token_error_start] = true,
    [ts_external_token_else_if_start] = true,
    [ts_external_token_at_sign] = true,
  },
  [4] = {
    [ts_external_token_comment] = true,
  },
  [5] = {
    [ts_external_token_comment] = true,
    [ts_external_token__interpolation_end] = true,
  },
  [6] = {
    [ts_external_token_SLASH_GT] = true,
    [ts_external_token_comment] = true,
  },
  [7] = {
    [ts_external_token_comment] = true,
    [ts_external_token_case_start] = true,
    [ts_external_token_default_start] = true,
  },
  [8] = {
    [ts_external_token_raw_text] = true,
    [ts_external_token_comment] = true,
  },
  [9] = {
    [ts_external_token__start_tag_name] = true,
    [ts_external_token__script_start_tag_name] = true,
    [ts_external_token__style_start_tag_name] = true,
    [ts_external_token_comment] = true,
  },
  [10] = {
    [ts_external_token__end_tag_name] = true,
    [ts_external_token_erroneous_end_tag_name] = true,
    [ts_external_token_comment] = true,
  },
  [11] = {
    [ts_external_token__end_tag_name] = true,
    [ts_external_token_comment] = true,
  },
  [12] = {
    [ts_external_token_erroneous_end_tag_name] = true,
    [ts_external_token_comment] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_angular_external_scanner_create(void);
void tree_sitter_angular_external_scanner_destroy(void *);
bool tree_sitter_angular_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_angular_external_scanner_serialize(void *, char *);
void tree_sitter_angular_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_angular(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_angular_external_scanner_create,
      tree_sitter_angular_external_scanner_destroy,
      tree_sitter_angular_external_scanner_scan,
      tree_sitter_angular_external_scanner_serialize,
      tree_sitter_angular_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
